<?php

class ofertyPracyStatystykiUploadForm extends sfForm {

    public function configure() {
        $this->setWidgets(array(
            'file_src' => new sfWidgetFormInputFile(),
        ));

        $this->widgetSchema->setNameFormat('file[%s]');

        $this->setValidators(array(
            'file_src' => new sfValidatorFile(array('mime_types' => array(
                    'type: application/dbase',
                    'application/x-dbase',
                    'application/dbf',
                    'application/x-dbf',
                    'zz-application/zz-winassoc-dbf',
                    'application/octet-stream',
                    'application/octetstream',
                ),
                'max_size' => '209715200',
            ),array(
                'invalid' => 'Niepoprawny plik.',
                'required' => 'Wybierz plik do wgrania.',
                'mime_types' => 'Wymagany format pliku: dbf.',
                'max_size' => 'Plik za duży',
            )),
        ));

        $this->widgetSchema->setLabels(array(
            'file_src' => 'Wybierz plik dbf:',
        ));
    }
}
?>