<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>

<form name="pform" action="<?php echo url_for('gieldypracy/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
<fieldset class="editor">
    <legend><?php echo __('Giełda pracy'); ?></legend>
<?php if (!$form->getObject()->isNew()): ?>
<input type="hidden" name="sf_method" value="put" />
<?php endif; ?>
<?php echo $form->renderHiddenFields();?>
  <table class="simple_tab_for_form">
    <tbody>
      <?php echo $form->renderGlobalErrors() ?>
      <tr>
        <th><?php echo $form['tytul_gieldy']->renderLabel() ?></th>
        <td>
          <?php echo $form['tytul_gieldy']->renderError() ?>
          <?php echo $form['tytul_gieldy'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['tytul_gieldy']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['data_gieldy']->renderLabel() ?></th>
        <td>
          <?php echo $form['data_gieldy']->renderError() ?>
          <?php echo $form['data_gieldy'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['data_gieldy']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['miejsce_gieldy']->renderLabel() ?></th>
        <td>
          <?php echo $form['miejsce_gieldy']->renderError() ?>
          <?php echo $form['miejsce_gieldy'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['miejsce_gieldy']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['stanowisko']->renderLabel() ?></th>
        <td>
          <?php echo $form['stanowisko']->renderError() ?>
          <?php echo $form['stanowisko'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['stanowisko']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['wymagania']->renderLabel() ?></th>
        <td>
          <?php echo $form['wymagania']->renderError() ?>
          <?php echo $form['wymagania'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['wymagania']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['opis']->renderLabel() ?></th>
        <td>
          <?php echo $form['opis']->renderError() ?>
          <?php echo $form['opis'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['opis']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['publikacja_od']->renderLabel() ?></th>
        <td>
          <?php echo $form['publikacja_od']->renderError() ?>
          <?php echo $form['publikacja_od'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['publikacja_od']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['publikacja_do']->renderLabel() ?></th>
        <td>
          <?php echo $form['publikacja_do']->renderError() ?>
          <?php echo $form['publikacja_do'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['publikacja_do']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['status']->renderLabel() ?></th>
        <td>
          <?php echo $form['status']->renderError() ?>
          <?php echo $form['status'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['status']->renderHelp() ?></td></tr>
    </tbody>
  </table>
</fieldset>
</form>
<div class="right">
    <?php include_partial('edit_actions', array('form' => $form));?>
</div>
