<?php use_stylesheet('admin/ofertyinwestycyjne')?>
<?php use_helper('Date')?>

<?php slot('top') ?>
    <?php GenerateTab('gipr'); ?>
<?php end_slot() ?>

<?php slot('actions'); ?>
    <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('gieldypracy/new')."');"); ?>
<?php end_slot(); ?>

<?php slot('message'); ?>
    <span id="updater">
        <?php include_partial('frontend/flashes'); ?>
    </span>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%">
	<div id="cms_center_panel">
        <?php include_partial('gieldypracy/filtry')?>
	</div>
	
    <div id="cms_right_panel">
		<div class="right_item_title">
            <?php echo __('Giełdy pracy'); ?>
        </div>
		
        <table class="table_list">
            <tfoot>
                <tr><th colspan="7">
                        <div style="float:left;">
                            <?php echo __('wyników'); ?>: <?php echo count($gieldypracy_list)?>
                        </div>
                    </th></tr>
            </tfoot>

            <thead>
                <tr>
                    <th><?php echo __('Tytul gieldy'); ?></th>
                    <th><?php echo __('Data gieldy'); ?></th>
                    <th><?php echo __('Miejsce gieldy'); ?></th>
                    <th><?php echo __('Stanowisko'); ?></th>
                    <th><?php echo __('Wymagania'); ?></th>
                    <th><?php echo __('Akcje'); ?></th>
                </tr>
            </thead>

            <tbody>
                <?php $i = 1; ?>
                <?php foreach ($gieldypracy_list as $gieldypracy): ?>
                    <?php $odd = fmod(++$i, 2) ?>
                    <tr class="row_<?php echo $odd?>">

                        <td><?php echo link_to($gieldypracy->getTytulGieldy(),'gieldypracy/edit?id='.$gieldypracy->getId()) ?></td>
                        <td><?php echo $gieldypracy->getDataGieldy() ?></td>
                        <td><?php echo $gieldypracy->getMiejsceGieldy() ?></td>
                        <td><?php echo $gieldypracy->getStanowisko() ?></td>
                        <td><?php echo $gieldypracy->getWymagania() ?></td>
                        <td>
                            <?php echo link_to(' ', 'gieldypracy/edit?id='.$gieldypracy->getId(),array('class'=>'min_edit', 'title'=>__('Edytuj'))) ?>
                            <?php echo link_to(' ', 'gieldypracy/delete?id='.$gieldypracy->getId(), array('class'=>'min_del', 'title'=>__('Skasuj'), 'method' => 'delete', 'confirm' => __('Czy na pewno usunąć tą giełdę?'))) ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                <?php if(!count($gieldypracy_list)): ?>
                    <tr class="row_0">
                        <td colspan="6" style="text-align: center; font-weight: bold;">
                            <?php echo __('Brak wyników') ?>
                        </td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>

        <div class="right">
            <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('gieldypracy/new')."');");?>
        </div>
    </div>
</div>
