<?php $statusy = array('0'=>'Robocza', '1'=>'Opublikowana', '2' => '','3' => 'Do usunięcia', '4' => 'Do publikacji', '5' => 'Odrzucona', '6' => 'Usuń z publikacji')?>
<?php $icon_dir = 'ikony/20x20/';?>

<?php use_stylesheet('admin/ofertyinwestycyjne')?>
<?php use_stylesheet('admin/ofertypracy')?>

<?php use_helper('Date')?>

<?php slot('top')?>
    <?php GenerateTab('prac'); ?>
<?php end_slot()?>

<?php slot('actions'); ?>
    <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('ofertypracy/new')."');");?>
<?php end_slot(); ?>

<?php slot('message'); ?>
    <span id="updater"><?php include_partial('frontend/flashes');?></span>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%">
    <div id="cms_center_panel">
        <?php include_partial('ofertypracy/filtry', array('nazwa_zawodu'=>$nazwa_zawodu, 'nazwa_pracodawcy'=>$nazwa_pracodawcy, 'status'=>$status, 'kategoria'=>$kategoria, 'filters'=>$filters))?>
        <?php include_partial('statusy');?>
        <?php include_component('ofertypracy','kategorie');?>
    </div>


    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('OFERTY PRACY') ?></div>

        <form method="post" action="<?php echo url_for('ofertypracy/batchActions')?>" onsubmit="return delConfirmation()">
            <table id="pano" class="table_list">
                <thead>
                    <tr>
                        <th style="width: 14px"><input id="sf_admin_list_batch_checkbox" type="checkbox" onclick="checkAll();" /></th>
                        <th style="width: 18px" title="<?php echo __('Status wersji roboczej')?>"><div class="menu_icon_22"></div></th>
                        <th style="width: 18px" title="<?php echo __('Status wersji opublikowanej')?>"><div class="menu_icon_21"></div></th>
                        <th style="width: 18px" title="<?php echo __('Kategoria')?>"><?php echo image_tag($icon_dir.'default.png'); ?></th>
                        <th><?php echo __('Nazwa zawodu') ?></th>
                        <th><?php echo __('Nazwa stanowiska') ?></th>
                        <th><?php echo __('Nazwa pracodawcy') ?></th>
                        <th><?php echo __('Data dodania') ?></th>
                        <th style="width:80px;"><?php echo __('Akcje') ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php if(!$pager->getNbResults()): ?>
                        <tr class="row_0">
                            <td colspan="8" style="text-align: center; font-weight: bold;"><?php echo __('Brak ofert pracy') ?></td>
                        </tr>
                    <?php endif; ?>
                    <?php $i = 1; foreach ($pager->getResults() as $ofertypracy): $odd = fmod(++$i, 2)?>
                    <tr class="row_<?php echo $odd?>">
                        <td>
                            <input type="checkbox" name="ids[]" value="<?php echo $ofertypracy->getId() ?>" class="sf_admin_batch_checkbox" />
                        </td>

                        <td>
                            <div class="menu_icon_<?php echo $ofertypracy->getStatus()?>" title="<?php echo $statusy[$ofertypracy->getStatus()]?>"></div>
                        </td>

                        <td> <div class="menu_icon_<?php echo $ofertypracy->jestOpublikowana()?1:0?>" title="<?php echo $ofertypracy->jestOpublikowana()?'Opublikowana':'Nieopublikowana'?>"></div></td>

                        <?php $path = $ofertypracy->getOfertypracyKategorie()?$icon_dir.$ofertypracy->getOfertypracyKategorie()->getIkona():$icon_dir.'default.png';?>
                        <?php $title = $ofertypracy->getOfertypracyKategorie()?$ofertypracy->getOfertypracyKategorie()->getNazwa():'';?>
                        <td><?php echo image_tag($path, array('alt_title' => $title)); ?></td>
          
                        <td><?php echo link_to($ofertypracy->getOfertaNazwaZawodu(),'ofertypracy/edit?id='.$ofertypracy->getId()) ?></td>
                        <td><?php echo $ofertypracy->getOfertaNazwaStanowiska() ?></td>
                        <td><?php echo $ofertypracy->getPracodawcaNazwa() ?></td>

                        <td title="<?php echo $ofertypracy->getCreatedAt() ? format_date($ofertypracy->getCreatedAt(), "U") : '&nbsp;' ?>" style="text-align: center;">
                                <?php echo $ofertypracy->getCreatedAt() ? date_format(date_create($ofertypracy->getCreatedAt()),'d.m.Y') : '&nbsp;' ?>
                        </td>
                        <td>
                                <?php echo link_to(' ', 'ofertypracy/edit?id='.$ofertypracy->getId(),array('class'=>'min_edit', 'title'=>__('Edytuj'))) ?>
                                <?php echo link_to(' ', 'ofertypracy/delete?id='.$ofertypracy->getId(), array('class'=>'min_del', 'title'=>__('Skasuj'), 'method' => 'delete', 'confirm' => 'Czy na pewno usunąć tą ofertę?')) ?>
                                <?php echo link_to(' ', 'ofertypracy/drukzgloszenia?id='.$ofertypracy->getId(), array('class'=>'min_pdf', 'title'=>__('Wygeneruj druk zgłoszenia'))) ?>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>

                <?php
                    $link = '';
                    if($nazwa_zawodu!='') $link .= '&nazwa_zawodu='.$nazwa_zawodu;
                    if($nazwa_pracodawcy!='') $link .= '&nazwa_pracodawcy='.$nazwa_pracodawcy;
                    if($status!='') $link .='&status='.$status;
                ?>

                <tfoot>
                    <tr><th colspan="9" class="result_separator">
                            <?php if($pager->haveToPaginate()):?>
                            <div class="sf_admin_pagination">
                                <div class="first"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/first.png', array('align' => 'absmiddle', 'alt' => __('First page'), 'title' => __('First page'))), 'ofertypracy/index?page=1&sort='.$sortuj.'&sort_type='.$kierunek.$link) ?></div>
                                <div class="prev"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/previous.png', array('align' => 'absmiddle', 'alt' => __('Previous page'), 'title' => __('Previous page'))), 'ofertypracy/index?page='.$pager->getPreviousPage().'&sort='.$sortuj.'&sort_type='.$kierunek.$link) ?></div>
                                    <?php foreach ($pager->getLinks() as $page): ?>
                                        <?php if ($page == $pager->getPage()): ?>
                                            <?php echo '<div class="current" title="'.__('Bieżąca strona').'">'.$page.'</div>' ?>
                                        <?php else: ?>
                                <div class="pages"><?php echo link_to($page, 'ofertypracy/index?page='.$page.'&sort='.$sortuj.'&sort_type='.$kierunek.$link) ?></div>
                                        <?php endif; ?>
                                    <?php endforeach; ?>
                                <div class="next"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/next.png', array('align' => 'absmiddle', 'alt' => __('Next page'), 'title' => __('Next page'))), 'ofertypracy/index?page='.$pager->getNextPage().'&sort='.$sortuj.'&sort_type='.$kierunek.$link) ?></div>
                                <div class="last"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/last.png', array('align' => 'absmiddle', 'alt' => __('Last page'), 'title' => __('Last page'))), 'ofertypracy/index?page='.$pager->getLastPage().'&sort='.$sortuj.'&sort_type='.$kierunek.$link) ?></div>
                            </div>
                            <?php endif;?>
                            <div style="float:left;">
                                <?php echo __('wyników') ?>: <?php echo $pager->getNbResults()?>
                            </div>
                        </th></tr>
                </tfoot>

            </table>

            <div style="margin: 4px 0px 0px 0px; float: left;">
                <?php include_partial('ofertypracy/list_batch_actions') ?>
            </div>

            <div style="margin: 4px 0px 0px 0px; float: right;">
                <?php include_partial('ofertypracy/list_actions') ?>
            </div>
        </form>

    </div>
</div>
<?php javascript_tag();?>
	function checkAll()
	{
            var boxes = document.getElementsByTagName('input'); for(index in boxes) { box = boxes[index]; if (box.type == 'checkbox' && box.className == 'sf_admin_batch_checkbox') box.checked = document.getElementById('sf_admin_list_batch_checkbox').checked } return true;
	}
	function delConfirmation()
	{
            if($('batch_action').value=='delete') {
                if(!confirm('<?php echo __("Napewno usunąć zaznaczone elementy?") ?>'))return false;
            }
            return true;
	}
<?php end_javascript_tag();?>