<?php

/**
 * ofertypracy_branze actions.
 *
 * @package    sam3
 * @subpackage ofertypracy_branze
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class ofertypracy_branzeActions extends sfActions
{
  public function executeIndex(sfWebRequest $request)
  {
    $this->ofertypracy_branza_list = OfertypracyBranzaPeer::doSelect(new Criteria());
  }

  public function executeNew(sfWebRequest $request)
  {
    $this->form = new OfertypracyBranzaForm();
  }

  public function executeCreate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post'));

    $this->form = new OfertypracyBranzaForm();

    $this->processForm($request, $this->form);

    $this->setTemplate('new');
  }

  public function executeEdit(sfWebRequest $request)
  {
    $this->forward404Unless($ofertypracy_branza = OfertypracyBranzaPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy_branza does not exist (%s).', $request->getParameter('id')));
    $this->form = new OfertypracyBranzaForm($ofertypracy_branza);
  }

  public function executeUpdate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
    $this->forward404Unless($ofertypracy_branza = OfertypracyBranzaPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy_branza does not exist (%s).', $request->getParameter('id')));
    $this->form = new OfertypracyBranzaForm($ofertypracy_branza);

    $this->processForm($request, $this->form);

    $this->setTemplate('edit');
  }

  public function executeDelete(sfWebRequest $request)
  {
    $request->checkCSRFProtection();

    $this->forward404Unless($ofertypracy_branza = OfertypracyBranzaPeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy_branza does not exist (%s).', $request->getParameter('id')));
    $ofertypracy_branza->delete();

    $this->redirect('ofertypracy_branze/index');
  }

  protected function processForm(sfWebRequest $request, sfForm $form)
  {
    $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
    if ($form->isValid())
    {
      $ofertypracy_branza = $form->save();

      $this->redirect('ofertypracy_branze/edit?id='.$ofertypracy_branza->getId());
    }
  }
}
