<?php

/**
 * ofertypracy_kategorie actions.
 *
 * @package    sam3
 * @subpackage ofertypracy_kategorie
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class ofertypracy_kategorieActions extends myActions {

    public function preExecute() {
        $perm = ($this->getUser()->checkPermission('prac','edit')==1)?true:false;
        
        if(!$perm || !in_array('prac',ModulPeer::getEnabled()))$this->forward(sfConfig::get('sf_secure_module'),sfConfig::get('sf_secure_action'));
    }
    
    public function executeIndex(sfWebRequest $request) {
        $this->ofertypracy_kategorie_list = OfertypracyKategoriePeer::doSelect(new Criteria());
    }

    public function executeNew(sfWebRequest $request) {
        $this->form = new OfertypracyKategorieForm();
    }

    public function executeCreate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod('post'));

        $this->form = new OfertypracyKategorieForm();

        $this->processForm($request, $this->form);

        $this->setTemplate('new');
    }

    public function executeEdit(sfWebRequest $request) {
        $this->forward404Unless($ofertypracy_kategorie = OfertypracyKategoriePeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy_kategorie does not exist (%s).', $request->getParameter('id')));
        $this->form = new OfertypracyKategorieForm($ofertypracy_kategorie);
    }

    public function executeUpdate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
        $this->forward404Unless($ofertypracy_kategorie = OfertypracyKategoriePeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy_kategorie does not exist (%s).', $request->getParameter('id')));
        $this->form = new OfertypracyKategorieForm($ofertypracy_kategorie);

        $this->processForm($request, $this->form);

        $this->setTemplate('edit');
    }

    public function executeDelete(sfWebRequest $request) {
        $request->checkCSRFProtection();

        $this->forward404Unless($ofertypracy_kategorie = OfertypracyKategoriePeer::retrieveByPk($request->getParameter('id')), sprintf('Object ofertypracy_kategorie does not exist (%s).', $request->getParameter('id')));
        if($ofertypracy_kategorie->countOfertypracys()) {
            $this->getUser()->setFlash('error', 'Nie można usunąć kategorii z przypisanymi ofertami');
        }
        else {
            $ofertypracy_kategorie->delete();
            $this->getUser()->setFlash('notice', 'Pomyślnie usunięto kategorię');
        }

        $this->redirect('ofertypracy_kategorie/index');
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if ($form->isValid()) {
            $ofertypracy_kategorie = $form->save();
            $this->getUser()->setFlash('notice', $this->__('save_ok'));
            $this->redirect('ofertypracy_kategorie/edit?id='.$ofertypracy_kategorie->getId());
        }
    }

    public function executeGeticon($request) {
        $request = $this->getRequest();

        $dir = $request->getParameter('icon_dir');
        $thelist = array();
        if ($handle = opendir($dir)) {
            while (false !== ($file = readdir($handle))) {
                if ($file != "." && $file != "..") {
                    $filname_tbl = explode('.', $file);
                    if(sizeof($filname_tbl) > 1 ) {

                        if($filname_tbl[1] != 'png' && $filname_tbl[1] != 'jpg' && $filname_tbl[1] != 'gif' &&  $filname_tbl[1] != 'jpeg') continue;

                        //$thelist[ ]= "<td>".image_tag($icon_dir.$file,array('onclick' => 'changeIcon(\''.$file.'\',\'iobiekt_ikona\', this)'))."</td>";
                        $sub_dir = explode('images/', $dir);
                        $objec_dir = explode('images/ikony/48x48/', $dir);
                        $thelist[] = array('dir' => $sub_dir[1].'/', 'object_dir' => $objec_dir[1] ,'file' => $file );
                    }
                    else continue;
                }
                else continue;
            }
            closedir($handle);

        }
        $this->icon_list = $thelist;
    }
}
