<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>

<form name="pform" action="<?php echo url_for('ofertypracy_kategorie/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
<?php if (!$form->getObject()->isNew()): ?>
<input type="hidden" name="sf_method" value="put" />
<?php endif; ?>
<fieldset class="editor">
<legend><?php echo __('Nazwa'); ?></legend>
  <table>
    <tfoot>
      <tr>
        <td colspan="2">
          <?php echo $form->renderHiddenFields() ?>
        </td>
      </tr>
    </tfoot>
    <tbody>
      <?php echo $form->renderGlobalErrors() ?>
      <tr>
        <th><?php echo $form['nazwa']->renderLabel() ?></th>
        <td>
          <?php echo $form['nazwa']->renderError() ?>
          <?php echo $form['nazwa'] ?>
        </td>
      </tr>
    <tr><th></th><td class="help"><?php echo $form['nazwa']->renderHelp() ?></td></tr>
    </tbody>
  </table>
  </fieldset>
  
  <fieldset class="editor">
		<legend><?php echo __('Ikona'); ?></legend>
		<?php $icon_dir = 'ikony/48x48/';?>
		<?php if ($form->getObject()->getIkona()): ?>
        <?php include_partial('icons', array('icon_dir' => $icon_dir, 'icon' => $form->getObject()->getIkona())); ?>	
        <?php else:?>
        <?php include_partial('icons', array('icon_dir' => $icon_dir, 'icon' => 'default.png')); ?>	
        <?php endif; ?>
		<div class="clear" style="height:10px;"></div>
		
    </fieldset>
  
    <div style="margin: 4px 0px 0px; float: right;">
  <?php include_partial('actions', array('form' => $form))?>
  </div>
</form>
