<?php slot('navigator'); ?>
    <?php $path = array( __('Giełdy pracy') => url_for('gieldypracy/index')); ?>
    <?php include_partial('Common/nawigator', array('path' => $path)); ?>
<?php end_slot(); ?>

<div id="content_center" class="page_content">
    <div class="belka resize_font"><div class="title"><?php echo link_to(__('Giełdy pracy'),'gieldypracy/index'); ?></div></div>
    
    <div class="content_tresc">
        <div class="title1"><?php echo __($gielda->getTytulGieldy()); ?></div>
        <table class="table_common">
            <?php if($gielda->getDataGieldy()):?>
                <tr><th width="35%"><?php echo __('Termin').':';?></th><td><?php echo $gielda->getDataGieldy() ? date_format(date_create($gielda->getDataGieldy()),'d-m-Y') : '&nbsp;'; ?></td></tr>
            <?php endif; ?>
            <?php if($gielda->getStanowisko()):?>
                <tr><th width="35%"><?php echo __('Stanowisko').':';?></th><td><?php echo $gielda->getStanowisko() ?></td></tr>
            <?php endif; ?>
            <?php if($gielda->getMiejsceGieldy()):?>
                <tr><th width="35%"><?php echo __('Miejsce').':';?></th><td><?php echo $gielda->getMiejsceGieldy(); ?></td></tr>
            <?php endif; ?>
            <?php if($gielda->getWymagania()):?>
                <tr><th width="35%"><?php echo __('Wymagania').':';?></th><td><?php echo $gielda->getWymagania(); ?></td></tr>
            <?php endif; ?>
            <?php if($gielda->getOpis()):?>
                <tr><th width="35%"><?php echo __('Dodatkowe informacje').':';?></th><td><?php echo $gielda->getOpis(); ?></td></tr>
            <?php endif;?>
        </table>
    </div>
	
    <ul class="actions">
        <li class="print" title="<?php echo __('Drukuj treść'); ?>" onclick="window.print();"><?php echo __('Drukuj'); ?><span class="hidden-wcag"> treść tego artykułu</span></li>
        <li class="back" title="<?php echo __('Powrót'); ?>" onclick="history.back();"><?php echo __('Powrót'); ?><span class="hidden-wcag"> do poprzedniej strony</span></li>
        <li class="zglos" title="<?php echo __('Wypowiedz się'); ?>" onclick="location=('<?php echo url_for('kontakt/index?adresat=admin'); ?>');"><?php echo __('Wypowiedz się'); ?><span class="hidden-wcag"> na stronie Kontakt</span></li>
    </ul>
	
    <div class="clr"></div>
	
    </div>
