<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>
<?php use_helper('Form') ?>
<form action="<?php echo url_for('ofertypracy/' . ($form->getObject()->isNew() ? 'create' : 'update') . (!$form->getObject()->isNew() ? '?id=' . $form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
    <?php if (!$form->getObject()->isNew()): ?>
        <input type="hidden" name="sf_method" value="put" />
    <?php endif; ?>

    <?php echo $form->renderHiddenFields() ?>
    <?php echo $form->renderGlobalErrors() ?>
    <?php if($form->hasErrors()): ?>
        <div class="box_red"><?php echo __('Proszę wypełnić wszystkie wymagane pola!')?></div>
    <?php else: ?>
        <div class="box_blue"><?php echo __('Pola oznaczone niebieską ramką są polami wymaganymi!')?></div>
    <?php endif; ?>
            <table class="table_common">
                <tr>
                    <th><?php echo $form['pracodawca_nazwa']->renderLabel() ?></th>
                    <td><?php echo $form['pracodawca_nazwa']->render(array('class'=>$form['pracodawca_nazwa']->hasError() ? 'valid-err':'valid', 'title' => $form['pracodawca_nazwa']->hasError() ? __('Pole wymagane!'):''));?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_osoba_kontaktowa']->renderLabel() ?></th>
                    <td><?php echo $form['pracodawca_osoba_kontaktowa'] ?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_telefon']->renderLabel() ?> </th>
                    <td><?php echo $form['pracodawca_telefon'] ?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_fax']->renderLabel() ?></th>
                    <td><?php echo $form['pracodawca_fax'] ?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_email']->renderLabel() ?></th>
                    <td><?php echo $form['pracodawca_email'] ?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_ulica']->renderLabel() ?> </th>
                    <td><?php echo $form['pracodawca_ulica']->render(array('class'=>$form['pracodawca_ulica']->hasError() ? 'valid-err':'valid', 'title' => $form['pracodawca_ulica']->hasError() ? __('Pole wymagane!'):''));?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_kod']->renderLabel() ?> </th>
                    <td><?php echo $form['pracodawca_kod']->render(array('class'=>$form['pracodawca_kod']->hasError() ? 'valid-err':'valid', 'title' => $form['pracodawca_kod']->hasError() ? __('Pole wymagane!'):''));?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_miasto']->renderLabel() ?> </th>
                    <td><?php echo $form['pracodawca_miasto']->render(array('class'=>$form['pracodawca_miasto']->hasError() ? 'valid-err':'valid', 'title' => $form['pracodawca_miasto']->hasError() ? __('Pole wymagane!'):''));?></td>
                </tr>
                <tr>
                    <td><?php echo $form['pracodawca_nip']->renderLabel() ?> </td>
                    <td><?php echo $form['pracodawca_nip'] ?></td>
                </tr>
                <tr>
                    <th> <?php echo $form['pracodawca_regon']->renderLabel() ?> </th>
                    <td><?php echo $form['pracodawca_regon'] ?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_forma_prawna']->renderLabel() ?> </th>
                    <td><?php echo $form['pracodawca_forma_prawna']->render(array('class'=>$form['pracodawca_forma_prawna']->hasError() ? 'valid-err':'valid', 'title' => $form['pracodawca_forma_prawna']->hasError() ? __('Pole wymagane!'):''));?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_forma_kontaktu']->renderLabel() ?> </th>
                    <td><?php echo $form['pracodawca_forma_kontaktu'] ?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_rodzaj_dzialalnosci']->renderLabel() ?> </th>
                    <td><?php echo $form['pracodawca_rodzaj_dzialalnosci'] ?></td>
                </tr>
                <tr>
                    <th><?php echo $form['pracodawca_liczba_zatrudnionych']->renderLabel() ?> </th>
                    <td><?php echo $form['pracodawca_liczba_zatrudnionych'] ?></td>
                </tr>
            </table>
        <hr />
            <table class="table_common">

                <tr>
                    <th><?php echo $form['oferta_numer']->renderLabel() ?></th>
                    <td><?php echo $form['oferta_numer'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_kategoria']->renderLabel() ?></th>
                <td><?php echo $form['oferta_kategoria'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_nazwa_zawodu']->renderLabel() ?></th>
                <td><?php echo $form['oferta_nazwa_zawodu']->render(array('class'=>$form['oferta_nazwa_zawodu']->hasError() ? 'valid-err':'valid', 'title' => $form['oferta_nazwa_zawodu']->hasError() ? __('Pole wymagane!'):''));?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_nazwa_stanowiska']->renderLabel() ?></th>
                <td><?php echo $form['oferta_nazwa_stanowiska'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_liczba_miejsc']->renderLabel() ?></th>
                <td><?php echo $form['oferta_liczba_miejsc']->render(array('class'=>$form['oferta_liczba_miejsc']->hasError() ? 'valid-err':'valid', 'title' => $form['oferta_liczba_miejsc']->hasError() ? __('Pole wymagane!'):''));?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_liczba_miejsc_niepelnosprawni']->renderLabel() ?></th>
                <td><?php echo $form['oferta_liczba_miejsc_niepelnosprawni'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_wnioskowana_liczba_kandydatow']->renderLabel() ?></th>
                <td><?php echo $form['oferta_wnioskowana_liczba_kandydatow']->render(array('class'=>$form['oferta_wnioskowana_liczba_kandydatow']->hasError() ? 'valid-err':'valid', 'title' => $form['oferta_wnioskowana_liczba_kandydatow']->hasError() ? __('Pole wymagane!'):''));?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_miejsce_wykonywania_pracy']->renderLabel() ?></th>
                <td><?php echo $form['oferta_miejsce_wykonywania_pracy']->render(array('class'=>$form['oferta_miejsce_wykonywania_pracy']->hasError() ? 'valid-err':'valid', 'title' => $form['oferta_miejsce_wykonywania_pracy']->hasError() ? __('Pole wymagane!'):''));?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_dodatkowe_informacje']->renderLabel() ?></th>
                <td><?php echo $form['oferta_dodatkowe_informacje'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_rodzaj_umowy']->renderLabel() ?></th>
                <td><?php echo $form['oferta_rodzaj_umowy'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_zmianowosc']->renderLabel() ?></th>
                <td><?php echo $form['oferta_zmianowosc'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_data_rozpoczecia']->renderLabel() ?></th>
                <td><?php echo $form['oferta_data_rozpoczecia'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_wyksztalcenie']->renderLabel() ?></th>
                <td><?php echo $form['oferta_wyksztalcenie'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_staz_pracy']->renderLabel() ?></th>
                <td><?php echo $form['oferta_staz_pracy'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_specjalnosc']->renderLabel() ?></th>
                <td><?php echo $form['oferta_specjalnosc'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['kwota_wynagrodzenie_od']->renderLabel() ?></th>
                <td><?php echo $form['kwota_wynagrodzenie_od'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['kwota_wynagrodzenie_do']->renderLabel() ?></th>
                <td><?php echo $form['kwota_wynagrodzenie_do'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['system_wynagrodzenia']->renderLabel() ?></th>
                <td><?php echo $form['system_wynagrodzenia'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_charakterystyka_pracy']->renderLabel() ?></th>
                <td><?php echo $form['oferta_charakterystyka_pracy'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['oferta_zasieg']->renderLabel() ?> </th>
                <td><?php echo $form['oferta_zasieg'] ?></td>
            </tr>
        </table>       
        <hr />

        <table class="table_common">
            <tr>
                <th><?php echo $form['publikacja_od']->renderLabel() ?></th>
                <td><?php echo $form['publikacja_od'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['publikacja_do']->renderLabel() ?></th>
                <td><?php echo $form['publikacja_do'] ?></td>
            </tr>
            <tr>
                <th><?php echo $form['sposob_realizacji']->renderLabel() ?></th>
                <td><?php echo $form['sposob_realizacji'] ?></td>
            </tr>
        </table>
    <input type="submit" value="Zapisz" class="button"  />
</form>

