<?php
    $icon_dir = 'ikony/20x20/';

    use_helper('Date');
    use_stylesheet('portal/dokumenty');

    //slot('navigator');
    $path = array( __('Oferty pracy') => url_for('ofertypracy/index'));
    //include_partial('Common/nawigator', array('path' => $path));
    //end_slot();
    $_SESSION['navigator_path'] = serialize($path);
?>

<div id="content_center" class="page_content">
    <div class="belka resize_font"><div class="title"><?php echo link_to(__('Oferty pracy'),'ofertypracy/index'); ?></div></div>
    <div class="content_tresc">
        <?php include_component('ofertypracy','standaolneSearcher');?>
        <div class="zaj_cl"></div>
        <div class="cl"></div>
        <table class="table_common" cellspacing="0" cellpadding="0">
        <?php if($pager->getNbResults() == 0):?>
                <tr>
                    <th colspan="7">
                        <?php echo __('Przepraszamy, ale brak jest ofert w wybranej kategorii'); ?>
                    </th>
                </tr>
                <tr colspan="7">
                    <td>
                       <input type="button" class="button" style="width: auto; float:right;" value="<?php echo __('Zobacz wszystkie'); ?>" onclick="location.href='/ofertypracy.html'" /> 
                    </td>
                </tr>
        <?php else: ?>
            <thead>
                <tr>
                    <th colspan="6">
                        <?php
                            if($pager->haveToPaginate()):
                                include_partial('Common/pager', array('pager' => $pager, 'text' => __('Liczba ofert pracy'), 'url'=>'ofertypracy/index?page='));
                            endif;
                        ?>
                    </th>
                </tr>
                <tr>
                    <th></th>
                    <th><?php echo __('Nazwa pracodawcy'); ?></th>
                    <th><?php echo __('Zawód'); ?></th>
                    <th><?php echo __('Stanowisko'); ?></th>
                    <th><?php echo __('Dodano'); ?></th>
                    <th><?php echo __('Zobacz'); ?></th>
                </tr>
            </thead>

            <tbody>
                <?php foreach ($pager->getResults() as $i => $ofertypracy): ?>
                <tr class="<?php echo fmod($i, 2) ? 'even' : 'odd' ?>">
                    <?php $path = $ofertypracy->getOfertypracyKategorie()?$icon_dir.$ofertypracy->getOfertypracyKategorie()->getIkona():$icon_dir.'default.png';?>
                    <?php $title = $ofertypracy->getOfertypracyKategorie()?$ofertypracy->getOfertypracyKategorie()->getNazwa():__('Pozostałe');?>
                    <?php $link = 'ofertypracy/oferta?id='.$ofertypracy->getId();?>
                    
                    <td><?php echo image_tag($path, array('alt_title' => $title)); ?></td>
                    <td><?php echo link_to($ofertypracy->getPracodawcaNazwa().' ', $link) ?></td>
                    <td><?php echo link_to($ofertypracy->getOfertaNazwaZawodu().' ', $link) ?></td>
                    <td><?php echo link_to($ofertypracy->getOfertaNazwaStanowiska().' ', $link) ?></td>

                    <td title="<?php echo $ofertypracy->getCreatedAt() ? format_date($ofertypracy->getCreatedAt(), "U") : '&nbsp;' ?>">
                        <?php echo link_to($ofertypracy->getCreatedAt() ? date_format(date_create($ofertypracy->getCreatedAt()),'d-m-Y') : '&nbsp;', $link) ?>
                    </td>

                    <td><?php echo link_to(__('przejdź do oferty'), $link)?></td>
                </tr>
                <?php endforeach; ?>
            </tbody>

            <tfoot>
                <tr>
                    <td colspan="6">
                        <?php
                            $link = '';
                            if($nazwa_zawodu!='') $link .= '&nazwa_zawodu='.$nazwa_zawodu;
                            if($nazwa_pracodawcy!='') $link .= '&nazwa_pracodawcy='.$nazwa_pracodawcy;
                        
                            if($pager->haveToPaginate()):
                                include_partial('Common/pager', array('pager' => $pager, 'text' => __('Liczba ofert pracy'), 'url'=>'ofertypracy/index?page='));
                            endif;
                        ?>
                    </td>
                </tr>
            </tfoot>
            <?php endif;?>
        </table>
        <div class="clr"></div>
    </div>
    </div>
