<?php
    $icon_dir = 'ikony/20x20/';

    use_helper('Date');
    use_stylesheet('portal/dokumenty');

    //slot('navigator');
    $path = array( __('Oferty pracy') => url_for('ofertypracy/index'));
    //include_partial('Common/nawigator', array('path' => $path));
    //end_slot();
    $_SESSION['navigator_path'] = serialize($path);
?>

<div id="content_center" class="page_content">
    <div class="belka resize_font"><div class="title"><?php echo link_to(__('Oferty pracy'),'ofertypracy/index'); ?></div></div>
    <div class="content_tresc">
        <table class="table_common" cellspacing="0" cellpadding="0">
            <thead>
                <tr>
                    <th colspan="7">
                        <?php if($pager->haveToPaginate()): ?>
                            <?php include_partial('Common/pager', array('pager' => $pager, 'text' => __('Liczba ofert pracy'), 'url'=>'ofertypracy/szukaj?page=')); ?>
                        <?php endif; ?>
                    </th>
                </tr>
                <tr>
                    <th></th>
                    <th></th>
                    <th><?php echo __('Nazwa pracodawcy'); ?></th>
                    <th><?php echo __('Nazwa zawodu'); ?></th>
                    <th><?php echo __('Nazwa stanowiska'); ?></th>
                    <th><?php echo __('Data dodania'); ?></th>
                    <th></th>
                </tr>
            </thead>

            <tbody>
                <?php foreach ($pager->getResults() as $i => $ofertypracy): ?>
                <?php  
                    if(isset($scores) && is_array($scores) && array_key_exists($ofertypracy->getId(), $scores))
                        $trafnosc = Functions::renderMatchRate($scores[$ofertypracy->getId()], $minify = true);
                ?>
                <tr class="<?php echo fmod($i, 2) ? 'even' : 'odd' ?>">
                    <td>
                        <?php if($ofertypracy->getStatus() == 0):?>
                            <div class="menu_icon_0" title="<?php __('Aktywna') ?>"></div>
                        <?php else:?>
                            <div class="menu_icon_1" title="<?php __('Nieaktywna') ?>!"></div>
                        <?php endif;?>
                    </td>

                    <?php $path = $ofertypracy->getOfertypracyKategorie()?$icon_dir.$ofertypracy->getOfertypracyKategorie()->getIkona():$icon_dir.'default.png';?>
                    <?php $title = $ofertypracy->getOfertypracyKategorie()?$ofertypracy->getOfertypracyKategorie()->getNazwa():__('Pozostałe');?>
                    <?php $link = 'ofertypracy/oferta?id='.$ofertypracy->getId();?>
                    
                    <td><?php echo image_tag($path, array('alt_title' => $title)); ?></td>
                    <td><?php echo link_to((isset($parser) && $parser)?$parser->highlightMatches($ofertypracy->getPracodawcaNazwa().' '):$ofertypracy->getPracodawcaNazwa().' ', $link) ?></td>
                    <td><?php echo link_to((isset($parser) && $parser)?$parser->highlightMatches($ofertypracy->getOfertaNazwaZawodu().' '):$ofertypracy->getOfertaNazwaZawodu().' ', $link) ?></td>
                    <td><?php echo link_to((isset($parser) && $parser)?$parser->highlightMatches($ofertypracy->getOfertaNazwaStanowiska().' '.$trafnosc):$ofertypracy->getOfertaNazwaStanowiska().' '.$trafnosc, $link) ?></td>

                    <td title="<?php echo $ofertypracy->getCreatedAt() ? format_date($ofertypracy->getCreatedAt(), "U") : '&nbsp;' ?>">
                        <?php echo link_to($ofertypracy->getCreatedAt() ? date_format(date_create($ofertypracy->getCreatedAt()),'d-m-Y') : '&nbsp;', $link) ?>
                    </td>

                    <td><?php echo link_to(__('przejdź do oferty'), $link)?></td>
                </tr>
                <?php endforeach; ?>
            </tbody>

            <tfoot>
                <tr>
                    <th colspan="7">
                        <?php if($pager->haveToPaginate()): ?>
                            <?php include_partial('Common/pager', array('pager' => $pager, 'text' => __('Liczba ofert pracy'), 'url'=>'ofertypracy/szukaj?page=')); ?>
                        <?php endif; ?>
                    </th>
                </tr>
            </tfoot>

        </table>

        <div class="clr"></div>
    </div>
    </div>