<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>
<?php use_helper('Form') ?>
<form action="<?php echo url_for('ofertypracy/' . ($form->getObject()->isNew() ? 'create' : 'update') . (!$form->getObject()->isNew() ? '?id=' . $form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
    <?php if (!$form->getObject()->isNew()): ?>
        <input type="hidden" name="sf_method" value="put" />
    <?php endif; ?>

    <?php echo $form->renderHiddenFields() ?>
    <?php echo $form->renderGlobalErrors() ?>



        <fieldset class="editor">
            <table class="simple_tab_for_form">            

                <tr>
                    <td><?php echo $form['pracodawca_nazwa']->renderLabel() ?></td>
                    <td><?php echo $form['pracodawca_nazwa']->renderError() ?></td>
                    <td><?php echo $form['pracodawca_nazwa'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_osoba_kontaktowa']->renderLabel() ?></td>
                    <td><?php echo $form['pracodawca_osoba_kontaktowa']->renderError() ?></td>
                    <td><?php echo $form['pracodawca_osoba_kontaktowa'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_telefon']->renderLabel() ?> </td>
                    <td><?php echo $form['pracodawca_telefon']->renderError() ?></td>
                    <td><?php echo $form['pracodawca_telefon'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_fax']->renderLabel() ?></td>
                    <td><?php echo $form['pracodawca_fax']->renderError() ?></td>
                    <td><?php echo $form['pracodawca_fax'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_email']->renderLabel() ?></td>
                    <td><?php echo $form['pracodawca_email']->renderError() ?></td>
                    <td><?php echo $form['pracodawca_email'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_ulica']->renderLabel() ?> </td>
                    <td><?php echo $form['pracodawca_ulica']->renderError() ?></td>
                    <td><?php echo $form['pracodawca_ulica'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_kod']->renderLabel() ?> </td>
                    <td><?php echo $form['pracodawca_kod']->renderError() ?></td>
                    <td><?php echo $form['pracodawca_kod'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_miasto']->renderLabel() ?> </td>
                    <td> <?php echo $form['pracodawca_miasto']->renderError() ?></td>
                    <td> <?php echo $form['pracodawca_miasto'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_nip']->renderLabel() ?> </td>
                    <td> <?php echo $form['pracodawca_nip']->renderError() ?></td>
                    <td> <?php echo $form['pracodawca_nip'] ?></td>
                </tr>

                <tr>
                    <td> <?php echo $form['pracodawca_regon']->renderLabel() ?> </td>
                    <td> <?php echo $form['pracodawca_regon']->renderError() ?></td>
                    <td> <?php echo $form['pracodawca_regon'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_forma_prawna']->renderLabel() ?> </td>
                    <td><?php echo $form['pracodawca_forma_prawna']->renderError() ?></td>
                    <td><?php echo $form['pracodawca_forma_prawna'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_forma_kontaktu']->renderLabel() ?> </td>
                    <td> <?php echo $form['pracodawca_forma_kontaktu']->renderError() ?></td>
                    <td> <?php echo $form['pracodawca_forma_kontaktu'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_rodzaj_dzialalnosci']->renderLabel() ?> </td>
                    <td><?php echo $form['pracodawca_rodzaj_dzialalnosci']->renderError() ?></td>
                    <td> <?php echo $form['pracodawca_rodzaj_dzialalnosci'] ?></td>
                </tr>

                <tr>
                    <td><?php echo $form['pracodawca_liczba_zatrudnionych']->renderLabel() ?> </td>
                    <td><?php echo $form['pracodawca_liczba_zatrudnionych']->renderError() ?></td>
                    <td><?php echo $form['pracodawca_liczba_zatrudnionych'] ?></td>
                </tr>
            </table>
        </fieldset>


        <fieldset>
            <table class="simple_tab_for_form">

                <tr>
                    <th><?php echo $form['oferta_numer']->renderLabel() ?></th>
                    <td><?php echo $form['oferta_numer']->renderError() ?>
                    <?php echo $form['oferta_numer'] ?></td>
            </tr>

            <tr>
                <th><?php echo $form['oferta_kategoria']->renderLabel() ?></th>
                <td><?php echo $form['oferta_kategoria']->renderError() ?>
                    <?php echo $form['oferta_kategoria'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_nazwa_zawodu']->renderLabel() ?></td>
                <td><?php echo $form['oferta_nazwa_zawodu']->renderError() ?></td>
                <td><?php echo $form['oferta_nazwa_zawodu'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_nazwa_stanowiska']->renderLabel() ?></td>
                <td><?php echo $form['oferta_nazwa_stanowiska']->renderError() ?></td>
                <td><?php echo $form['oferta_nazwa_stanowiska'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_liczba_miejsc']->renderLabel() ?></td>
                <td><?php echo $form['oferta_liczba_miejsc']->renderError() ?></td>
                <td><?php echo $form['oferta_liczba_miejsc'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_liczba_miejsc_niepelnosprawni']->renderLabel() ?></td>
                <td><?php echo $form['oferta_liczba_miejsc_niepelnosprawni']->renderError() ?></td>
                <td><?php echo $form['oferta_liczba_miejsc_niepelnosprawni'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_wnioskowana_liczba_kandydatow']->renderLabel() ?></td>
                <td><?php echo $form['oferta_wnioskowana_liczba_kandydatow']->renderError() ?></td>
                <td><?php echo $form['oferta_wnioskowana_liczba_kandydatow'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_miejsce_wykonywania_pracy']->renderLabel() ?></td>
                <td><?php echo $form['oferta_miejsce_wykonywania_pracy']->renderError() ?></td>
                <td><?php echo $form['oferta_miejsce_wykonywania_pracy'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_dodatkowe_informacje']->renderLabel() ?></td>
                <td><?php echo $form['oferta_dodatkowe_informacje']->renderError() ?></td>
                <td><?php echo $form['oferta_dodatkowe_informacje'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_rodzaj_umowy']->renderLabel() ?></td>
                <td><?php echo $form['oferta_rodzaj_umowy']->renderError() ?></td>
                <td><?php echo $form['oferta_rodzaj_umowy'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_zmianowosc']->renderLabel() ?></td>
                <td><?php echo $form['oferta_zmianowosc']->renderError() ?></td>
                <td><?php echo $form['oferta_zmianowosc'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_data_rozpoczecia']->renderLabel() ?></td>
                <td><?php echo $form['oferta_data_rozpoczecia']->renderError() ?></td>
                <td><?php echo $form['oferta_data_rozpoczecia'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_wyksztalcenie']->renderLabel() ?></td>
                <td><?php echo $form['oferta_wyksztalcenie']->renderError() ?></td>
                <td><?php echo $form['oferta_wyksztalcenie'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_staz_pracy']->renderLabel() ?></td>
                <td><?php echo $form['oferta_staz_pracy']->renderError() ?></td>
                <td><?php echo $form['oferta_staz_pracy'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_specjalnosc']->renderLabel() ?></td>
                <td><?php echo $form['oferta_specjalnosc']->renderError() ?></td>
                <td><?php echo $form['oferta_specjalnosc'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_inne']->renderLabel() ?></td>
                <td><?php echo $form['oferta_inne']->renderError() ?></td>
                <td><?php echo $form['oferta_inne'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_charakterystyka_pracy']->renderLabel() ?></td>
                <td><?php echo $form['oferta_charakterystyka_pracy']->renderError() ?></td>
                <td><?php echo $form['oferta_charakterystyka_pracy'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['oferta_zasieg']->renderLabel() ?> </td>
                <td><?php echo $form['oferta_zasieg']->renderError() ?></td>
                <td><?php echo $form['oferta_zasieg'] ?></td>
            </tr>
        </table>       
    </fieldset>

    <fieldset>
        <table class="simple_tab_for_form">
            <tr>
                <td><?php echo $form['publikacja_od']->renderLabel() ?></td>
                <td><?php echo $form['publikacja_od']->renderError() ?></td>
                <td><?php echo $form['publikacja_od'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['publikacja_do']->renderLabel() ?></td>
                <td><?php echo $form['publikacja_do']->renderError() ?></td>
                <td><?php echo $form['publikacja_do'] ?></td>
            </tr>

            <tr>
                <td><?php echo $form['sposob_realizacji']->renderLabel() ?></td>
                <td><?php echo $form['sposob_realizacji']->renderError() ?></td>
                <td><?php echo $form['sposob_realizacji'] ?></td>
            </tr>




        </table>
    </fieldset>

    <input type="submit" value="Zapisz"  />

</form>

