<?php
    use_stylesheet('portal/dokumenty');

    //slot('navigator');
        $zawod = $oferta->getOfertaNazwaZawodu();
        if ($zawod == null || $zawod == '')
            $zawod = $oferta->getOfertaNazwaStanowiska();
        if ($zawod == null || $zawod == '')
            $zawod = $oferta->getPracodawcaNazwa();
        $path = array( __('Oferty pracy') => url_for('ofertypracy/index'), $zawod => null);
    //    include_partial('Common/nawigator', array('path' => $path));
    //end_slot();
    $_SESSION['navigator_path'] = serialize($path);

$formaprawna = array(  	
  	'0'=>'Indywidualna działalność gospodarcza',
  	'1'=>'Spółka cywilna',
  	'2'=>'Spółka jawna',
  	'3'=>'Spółka partnerska',
  	'4'=>'Spółka komandytowa',
  	'5'=>'Spółka komandytowo-akcyjna',
  	'6'=>'Spółka z ograniczoną odpowiedzialnością',
  	'7'=>'Spółka akcyjna',
  	'8'=>'Spółka europejska', 
  );
$rodzajumowy = array(
   	'0'=>'na czas nieokreślony',
  	'1'=>'na czas określony',
  	'2'=>'praca sezonowa',
  	'3'=>'w niepełnym wymiarze czasu',
  	'4'=>'inne',
  );
$zmianowosc = array(  	
  	'0'=>'jednozmianowa',
  	'1'=>'dwie zmiany',
  	'2'=>'trzy zmiany',
  	'3'=>'ruch ciągły',
  	'4'=>'inne',
  );
  
$forma_kontaktu = array(  	
  	'0'=>'kontakt osobisty',
  	'1'=>'kontakt telefoniczny',
  	'2'=>'e-mail',
  	'3'=>'cv u pośrednika',  
  );

?>

    <div class="belka resize_font"><div class="title"><?php echo link_to(__('Oferty pracy'),'ofertypracy/index'); ?></div></div>
    <div class="content_tresc">
        <table class="table_dokumenty">
            <?php if($oferta->getSposobRealizacji()== 0): //oferta otwarta - publikujemy pelne dane pracodawcy ?>

            <?php if($oferta->getPracodawcaNazwa()): ?>
            <tr><th><?php echo __('Nazwa pacodawcy'); ?>:</th><td> <?php echo $oferta->getPracodawcaNazwa(); ?></td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaNumer()): ?>
            <tr><th><?php echo __('Numer oferty').':';?> </th><td> <?php echo $oferta->getOfertaNumer(); ?></td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertypracyKategorie()): ?>
            <tr><th><?php echo __('Kategoria').':';?> </th><td> <?php echo $oferta->getOfertypracyKategorie()->getNazwa(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaOsobaKontaktowa()): ?>
            <tr><th><?php echo __('Osoba kontaktowa po stronie pracodawcy'); ?>:</th><td> <?php echo $oferta->getPracodawcaOsobaKontaktowa(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaTelefon()): ?>
            <tr><th><?php echo __('Telefon'); ?>:</th><td> <?php echo $oferta->getPracodawcaTelefon(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaFax()): ?>
            <tr><th><?php echo __('Fax'); ?>:</th><td> <?php echo $oferta->getPracodawcaFax();?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaEmail()): ?>
            <tr><th><?php echo __('E-mail'); ?>:</th><td> <?php echo $oferta->getPracodawcaEmail();?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaUlica()): ?>
            <tr><th><?php echo __('Adres'); ?>:</th><td> <?php echo $oferta->getPracodawcaUlica().'&nbsp;'.$oferta->getPracodawcaKod().'&nbsp;'.$oferta->getPracodawcaMiasto();?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaNip()): ?>
            <tr><th><?php echo __('NIP'); ?>:</th><td> <?php echo $oferta->getPracodawcaNip();?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaRegon()): ?>
            <tr><th><?php echo __('REGON'); ?>:</th><td> <?php echo $oferta->getPracodawcaRegon();?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaFormaPrawna()): ?>
            <tr><th><?php echo __('Forma prawna'); ?>:</th><td> <?php echo $formaprawna[$oferta->getPracodawcaFormaPrawna()];?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaRodzajDzialalnosci()): ?>
            <tr><th><?php echo __('Rodzaj działalności'); ?>:</th><td> <?php echo $oferta->getPracodawcaRodzajDzialalnosci();?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaLiczbaZatrudnionych()): ?>
            <tr><th><?php echo __('Liczba aktualnie zatrudnionych'); ?>:</th><td> <?php echo $oferta->getPracodawcaLiczbaZatrudnionych();?> </td></tr>
            <?php endif; ?>

            <?php endif; ?>

            <?php if($oferta->getOfertaNazwaZawodu()): ?>
            <tr><th><?php echo __('Nazwa zawodu'); ?>:</th><td> <?php echo $oferta->getOfertaNazwaZawodu(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaNazwaStanowiska()): ?>
            <tr><th><?php echo __('Nazwa stanowiska'); ?>:</th><td> <?php echo $oferta->getOfertaNazwaStanowiska(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaLiczbaMiejsc()): ?>
            <tr><th><?php echo __('Liczba miejsc'); ?>:</th><td> <?php echo $oferta->getOfertaLiczbaMiejsc(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaLiczbaMiejscNiepelnosprawni()): ?>
            <tr><th><?php echo __('Liczba miejsc dla osób niepełnosprawnych'); ?>:</th><td> <?php echo $oferta->getOfertaLiczbaMiejscNiepelnosprawni(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaWnioskowanaLiczbaKandydatow()): ?>
            <tr><th><?php echo __('Wnioskowana liczba kandydatów'); ?>:</th><td> <?php echo $oferta->getOfertaWnioskowanaLiczbaKandydatow(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaMiejsceWykonywaniaPracy()): ?>
            <tr><th><?php echo __('Miejsce wykonywania pracy'); ?>:</th><td> <?php echo $oferta->getOfertaMiejsceWykonywaniaPracy(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaDodatkoweInformacje()): ?>
            <tr><th><?php echo __('Dodatkowe informacje'); ?>:</th><td> <?php echo $oferta->getOfertaDodatkoweInformacje(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaRodzajUmowy()): ?>
            <tr><th><?php echo __('Rodzaj umowy'); ?>:</th><td> <?php echo $rodzajumowy[$oferta->getOfertaRodzajUmowy()]; ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaZmianowosc()): ?>
            <tr><th><?php echo __('Zmianowość'); ?>:</th><td> <?php echo $zmianowosc[$oferta->getOfertaZmianowosc()]; ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaDataRozpoczecia()): ?>
            <tr><th><?php echo __('Termin rozpoczęcia pracy'); ?>:</th><td> <?php echo $oferta->getOfertaDataRozpoczecia() ? date_format(date_create($oferta->getOfertaDataRozpoczecia()),'d-m-Y') : '&nbsp;';?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaWyksztalcenie()): ?>
            <tr><th><?php echo __('Wymagane wykształcenie'); ?>:</th><td> <?php echo $oferta->getOfertaWyksztalcenie(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaStazPracy()): ?>
            <tr><th><?php echo __('Wymagany staż pracy'); ?>:</th><td> <?php echo $oferta->getOfertaStazPracy(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaSpecjalnosc()): ?>
            <tr><th><?php echo __('Specjalność'); ?>:</th><td> <?php echo $oferta->getOfertaSpecjalnosc(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaInne()): ?>
            <tr><th><?php echo __('Inne wymagania'); ?>:</th><td> <?php echo $oferta->getOfertainne(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getOfertaCharakterystykaPracy()): ?>
            <tr><th><?php echo __('Charakterystyka pracy'); ?>:</th><td> <?php echo $oferta->getOfertaCharakterystykaPracy(); ?> </td></tr>
            <?php endif; ?>

            <?php if($oferta->getPracodawcaFormaKontaktu()): ?>
            <tr><th><?php echo __('Forma kontaktu'); ?>:</th><td> <?php echo $forma_kontaktu[$oferta->getPracodawcaFormaKontaktu()];?> </td></tr>
            <?php endif; ?>
        </table>

        <div class="bottom">
            <?php include_partial('ofertypracy_akcje', array('next'=>null,'prev'=>null,'pdf'=>1,'print'=>1,'back'=>1,'report'=>1, 'id'=>$oferta->getId())); ?>
            <div class="cl"></div>
        </div>
    </div>
