<?php

class statystykiActions extends sfActions {

    public function executeIndex(sfWebRequest $request) {

    }

    public function executeData(sfWebrequest $request) {
        //bezrobotni ogółem (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 1);
        $this->statlist1 = SyriuszStatsPeer::doSelect($c);

        //liczba bezrobotnych z prawem do zasilku (kolumna R7)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 1);
        $this->statlist2 = SyriuszStatsPeer::doSelect($c);

        //liczba wyrejestrowani (kolumna R1)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 2);
        $c->add(SyriuszStatsPeer::NRW, 32);
        $this->statlist3 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji do 25 roku zycia (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 14);
        $this->statlist4 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji po ukonczeniu szkoly wyzszej do 27 rz (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 8);
        $this->statlist5 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji dlugotrwale bezrobotni (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 15);
        $this->statlist6 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji kobiety ktorej nie podjely pracy po urodzeniu dziecka (kolumna R6)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 11);
        $this->statlist7 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji powyzej 50 rz (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 16);
        $this->statlist8 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji powyzej bez kwalifikacji zawodowych (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 9);
        $this->statlist9 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji powyzej bez doswiadczenia zawodowego (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 10);
        $this->statlist10 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji powyzej bez wyksztalcenia sredniego (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 17);
        $this->statlist11 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji samotnie wychowujace co najmniej jedno dziecko do 18 rz (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 19);
        $this->statlist12 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji po odbyciu kary pozbawienia wolnosci (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 19);
        $this->statlist13 = SyriuszStatsPeer::doSelect($c);

        //w szczegolnej sytuacji niepelnosprawni (kolumna R5)
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 20);
        $this->statlist14 = SyriuszStatsPeer::doSelect($c);

        //bezrobotni z danego miesiaca
        // edit - tomek
        $c = new Criteria();
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::ROK);
        $c->addAscendingOrderByColumn(SyriuszStatsPeer::M_C);
        $c->add(SyriuszStatsPeer::DZIAL, 1);
        $c->add(SyriuszStatsPeer::TABELA, 1);
        $c->add(SyriuszStatsPeer::NRW, 1);
        $this->statlist15 = SyriuszStatsPeer::doSelect($c);

        $this->setLayout(false);
    }

    public function executeGetSearchForm(sfWebRequest $request) {
        $this->disp = $request->getCookie('show_search') ? 'block' : 'none';
        $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
        $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');
        if ($request->getParameter('kategoria_id') != 0)
            $this->kategoria_id = $request->getParameter('kategoria_id');
        else
            $this->kategoria_id = 0;

        if ($request->getParameter('branza_id') != 0)
            $this->branza_id = $request->getParameter('branza_id');
        else
            $this->branza_id = 0;

        $this->ofertypracy_kategorie_list = OfertypracyKategoriePeer::doSelect(new Criteria());

        $ofertypracy_kategorie_list = OfertypracyKategoriePeer::doSelect(new Criteria());
        $options = array();
        $options[] = '';
        foreach ($ofertypracy_kategorie_list as $kategoria) {
            $options[$kategoria->getId()] = $kategoria->getNazwa();
        }
        $this->options = $options;
    }
}

?>