<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * GieldypracyPub filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseGieldypracyPubFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'tytul_gieldy'   => new sfWidgetFormFilterInput(),
      'data_gieldy'    => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => false)),
      'miejsce_gieldy' => new sfWidgetFormFilterInput(),
      'stanowisko'     => new sfWidgetFormFilterInput(),
      'wymagania'      => new sfWidgetFormFilterInput(),
      'opis'           => new sfWidgetFormFilterInput(),
      'publikacja_od'  => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'publikacja_do'  => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'status'         => new sfWidgetFormFilterInput(),
      'kolejnosc'      => new sfWidgetFormFilterInput(),
      'uzytkownik_id'  => new sfWidgetFormPropelChoice(array('model' => 'sfGuardUser', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'tytul_gieldy'   => new sfValidatorPass(array('required' => false)),
      'data_gieldy'    => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'miejsce_gieldy' => new sfValidatorPass(array('required' => false)),
      'stanowisko'     => new sfValidatorPass(array('required' => false)),
      'wymagania'      => new sfValidatorPass(array('required' => false)),
      'opis'           => new sfValidatorPass(array('required' => false)),
      'publikacja_od'  => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'publikacja_do'  => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'status'         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'kolejnosc'      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'uzytkownik_id'  => new sfValidatorPropelChoice(array('required' => false, 'model' => 'sfGuardUser', 'column' => 'id')),
    ));

    $this->widgetSchema->setNameFormat('gieldypracy_pub_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'GieldypracyPub';
  }

  public function getFields()
  {
    return array(
      'id'             => 'Number',
      'tytul_gieldy'   => 'Text',
      'data_gieldy'    => 'Date',
      'miejsce_gieldy' => 'Text',
      'stanowisko'     => 'Text',
      'wymagania'      => 'Text',
      'opis'           => 'Text',
      'publikacja_od'  => 'Date',
      'publikacja_do'  => 'Date',
      'status'         => 'Number',
      'kolejnosc'      => 'Number',
      'uzytkownik_id'  => 'ForeignKey',
    );
  }
}
