<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * Ofertypracy filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseOfertypracyFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'identyfikator'                        => new sfWidgetFormFilterInput(),
      'nr_stanowiska'                        => new sfWidgetFormFilterInput(),
      'pracodawca_nazwa'                     => new sfWidgetFormFilterInput(),
      'pracodawca_osoba_kontaktowa'          => new sfWidgetFormFilterInput(),
      'pracodawca_stanowisko'                => new sfWidgetFormFilterInput(),
      'pracodawca_kontakt_telefon'           => new sfWidgetFormFilterInput(),
      'pracodawca_telefon'                   => new sfWidgetFormFilterInput(),
      'pracodawca_fax'                       => new sfWidgetFormFilterInput(),
      'pracodawca_email'                     => new sfWidgetFormFilterInput(),
      'pracodawca_ulica'                     => new sfWidgetFormFilterInput(),
      'pracodawca_kod'                       => new sfWidgetFormFilterInput(),
      'pracodawca_miasto'                    => new sfWidgetFormFilterInput(),
      'pracodawca_nip'                       => new sfWidgetFormFilterInput(),
      'pracodawca_regon'                     => new sfWidgetFormFilterInput(),
      'pracodawca_forma_prawna'              => new sfWidgetFormFilterInput(),
      'pracodawca_forma_kontaktu'            => new sfWidgetFormFilterInput(),
      'pracodawca_rodzaj_dzialalnosci'       => new sfWidgetFormFilterInput(),
      'pracodawca_liczba_zatrudnionych'      => new sfWidgetFormFilterInput(),
      'pracodawca_miejsce_aplikowania'       => new sfWidgetFormFilterInput(),
      'pracodawca_terminy'                   => new sfWidgetFormFilterInput(),
      'pracodawca_godziny'                   => new sfWidgetFormFilterInput(),
      'oferta_nazwa_zawodu'                  => new sfWidgetFormFilterInput(),
      'oferta_nazwa_stanowiska'              => new sfWidgetFormFilterInput(),
      'oferta_opis_zawodu'                   => new sfWidgetFormFilterInput(),
      'oferta_liczba_miejsc'                 => new sfWidgetFormFilterInput(),
      'oferta_liczba_miejsc_niepelnosprawni' => new sfWidgetFormFilterInput(),
      'oferta_wnioskowana_liczba_kandydatow' => new sfWidgetFormFilterInput(),
      'oferta_miejsce_wykonywania_pracy'     => new sfWidgetFormFilterInput(),
      'oferta_dodatkowe_informacje'          => new sfWidgetFormFilterInput(),
      'oferta_rodzaj_umowy'                  => new sfWidgetFormFilterInput(),
      'oferta_zmianowosc'                    => new sfWidgetFormFilterInput(),
      'oferta_data_rozpoczecia'              => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'oferta_wyksztalcenie'                 => new sfWidgetFormFilterInput(),
      'oferta_staz_pracy'                    => new sfWidgetFormFilterInput(),
      'oferta_specjalnosc'                   => new sfWidgetFormFilterInput(),
      'oferta_inne'                          => new sfWidgetFormFilterInput(),
      'oferta_charakterystyka_pracy'         => new sfWidgetFormFilterInput(),
      'oferta_zasieg'                        => new sfWidgetFormFilterInput(),
      'publikacja_od'                        => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'publikacja_do'                        => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'sposob_realizacji'                    => new sfWidgetFormFilterInput(),
      'status'                               => new sfWidgetFormFilterInput(),
      'created_at'                           => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'oferta_numer'                         => new sfWidgetFormFilterInput(),
      'oferta_kategoria'                     => new sfWidgetFormPropelChoice(array('model' => 'OfertypracyKategorie', 'add_empty' => true)),
      'oferta_branza'                        => new sfWidgetFormPropelChoice(array('model' => 'OfertypracyBranza', 'add_empty' => true)),
      'pfron'                                => new sfWidgetFormFilterInput(),
      'subsydiowana'                         => new sfWidgetFormFilterInput(),
      'wymagania_zawod_opis_zawodu'          => new sfWidgetFormFilterInput(),
      'wymagania_zawod_staz'                 => new sfWidgetFormFilterInput(),
      'wymagania_zawod_waga'                 => new sfWidgetFormFilterInput(),
      'wymagania_wyksztalcenie_poziom'       => new sfWidgetFormFilterInput(),
      'wymagania_wyksztalcenie_typ'          => new sfWidgetFormFilterInput(),
      'wymagania_wyksztalcenie_waga'         => new sfWidgetFormFilterInput(),
      'wymagania_umiejetnosci_umiejetnosc'   => new sfWidgetFormFilterInput(),
      'wymagania_umiejetnosci_waga'          => new sfWidgetFormFilterInput(),
      'wymagania_uprawnienia'                => new sfWidgetFormFilterInput(),
      'wymagania_inne_wymagania'             => new sfWidgetFormFilterInput(),
      'aplikacja_jezyk'                      => new sfWidgetFormFilterInput(),
      'aplikacja_sposob'                     => new sfWidgetFormFilterInput(),
      'aplikacja_dokumenty'                  => new sfWidgetFormFilterInput(),
      'kontakt_pup_nazwisko'                 => new sfWidgetFormFilterInput(),
      'kontakt_pup_imie'                     => new sfWidgetFormFilterInput(),
      'kontakt_pup_telefon'                  => new sfWidgetFormFilterInput(),
      'kwota_wynagrodzenia_od'               => new sfWidgetFormFilterInput(),
      'kwota_wynagrodzenia_do'               => new sfWidgetFormFilterInput(),
      'system_wynagrodzenia'                 => new sfWidgetFormFilterInput(),
      'kontakt_pracodawca_nazwisko'          => new sfWidgetFormFilterInput(),
      'kontakt_pracodawca_imie'              => new sfWidgetFormFilterInput(),
      'kontakt_pracodawca_telefon'           => new sfWidgetFormFilterInput(),
      'kontakt_pracodawca_stanowisko'        => new sfWidgetFormFilterInput(),
      'kontakt_pracodawca_termin'            => new sfWidgetFormFilterInput(),
      'kontakt_pracodawca_godziny'           => new sfWidgetFormFilterInput(),
      'kontakt_pracodawca_miejsce_app'       => new sfWidgetFormFilterInput(),
      'wymiar_zatrud'                        => new sfWidgetFormFilterInput(),
      'liczba_godzin_dzien'                  => new sfWidgetFormFilterInput(),
      'liczba_godzin_tydzien'                => new sfWidgetFormFilterInput(),
      'godz_rozp_pracy'                      => new sfWidgetFormFilterInput(),
      'uzytkownik_id'                        => new sfWidgetFormPropelChoice(array('model' => 'sfGuardUser', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'identyfikator'                        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'nr_stanowiska'                        => new sfValidatorPass(array('required' => false)),
      'pracodawca_nazwa'                     => new sfValidatorPass(array('required' => false)),
      'pracodawca_osoba_kontaktowa'          => new sfValidatorPass(array('required' => false)),
      'pracodawca_stanowisko'                => new sfValidatorPass(array('required' => false)),
      'pracodawca_kontakt_telefon'           => new sfValidatorPass(array('required' => false)),
      'pracodawca_telefon'                   => new sfValidatorPass(array('required' => false)),
      'pracodawca_fax'                       => new sfValidatorPass(array('required' => false)),
      'pracodawca_email'                     => new sfValidatorPass(array('required' => false)),
      'pracodawca_ulica'                     => new sfValidatorPass(array('required' => false)),
      'pracodawca_kod'                       => new sfValidatorPass(array('required' => false)),
      'pracodawca_miasto'                    => new sfValidatorPass(array('required' => false)),
      'pracodawca_nip'                       => new sfValidatorPass(array('required' => false)),
      'pracodawca_regon'                     => new sfValidatorPass(array('required' => false)),
      'pracodawca_forma_prawna'              => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'pracodawca_forma_kontaktu'            => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'pracodawca_rodzaj_dzialalnosci'       => new sfValidatorPass(array('required' => false)),
      'pracodawca_liczba_zatrudnionych'      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'pracodawca_miejsce_aplikowania'       => new sfValidatorPass(array('required' => false)),
      'pracodawca_terminy'                   => new sfValidatorPass(array('required' => false)),
      'pracodawca_godziny'                   => new sfValidatorPass(array('required' => false)),
      'oferta_nazwa_zawodu'                  => new sfValidatorPass(array('required' => false)),
      'oferta_nazwa_stanowiska'              => new sfValidatorPass(array('required' => false)),
      'oferta_opis_zawodu'                   => new sfValidatorPass(array('required' => false)),
      'oferta_liczba_miejsc'                 => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'oferta_liczba_miejsc_niepelnosprawni' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'oferta_wnioskowana_liczba_kandydatow' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'oferta_miejsce_wykonywania_pracy'     => new sfValidatorPass(array('required' => false)),
      'oferta_dodatkowe_informacje'          => new sfValidatorPass(array('required' => false)),
      'oferta_rodzaj_umowy'                  => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'oferta_zmianowosc'                    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'oferta_data_rozpoczecia'              => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'oferta_wyksztalcenie'                 => new sfValidatorPass(array('required' => false)),
      'oferta_staz_pracy'                    => new sfValidatorPass(array('required' => false)),
      'oferta_specjalnosc'                   => new sfValidatorPass(array('required' => false)),
      'oferta_inne'                          => new sfValidatorPass(array('required' => false)),
      'oferta_charakterystyka_pracy'         => new sfValidatorPass(array('required' => false)),
      'oferta_zasieg'                        => new sfValidatorPass(array('required' => false)),
      'publikacja_od'                        => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'publikacja_do'                        => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'sposob_realizacji'                    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'status'                               => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'created_at'                           => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'oferta_numer'                         => new sfValidatorPass(array('required' => false)),
      'oferta_kategoria'                     => new sfValidatorPropelChoice(array('required' => false, 'model' => 'OfertypracyKategorie', 'column' => 'id')),
      'oferta_branza'                        => new sfValidatorPropelChoice(array('required' => false, 'model' => 'OfertypracyBranza', 'column' => 'id')),
      'pfron'                                => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'subsydiowana'                         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'wymagania_zawod_opis_zawodu'          => new sfValidatorPass(array('required' => false)),
      'wymagania_zawod_staz'                 => new sfValidatorPass(array('required' => false)),
      'wymagania_zawod_waga'                 => new sfValidatorPass(array('required' => false)),
      'wymagania_wyksztalcenie_poziom'       => new sfValidatorPass(array('required' => false)),
      'wymagania_wyksztalcenie_typ'          => new sfValidatorPass(array('required' => false)),
      'wymagania_wyksztalcenie_waga'         => new sfValidatorPass(array('required' => false)),
      'wymagania_umiejetnosci_umiejetnosc'   => new sfValidatorPass(array('required' => false)),
      'wymagania_umiejetnosci_waga'          => new sfValidatorPass(array('required' => false)),
      'wymagania_uprawnienia'                => new sfValidatorPass(array('required' => false)),
      'wymagania_inne_wymagania'             => new sfValidatorPass(array('required' => false)),
      'aplikacja_jezyk'                      => new sfValidatorPass(array('required' => false)),
      'aplikacja_sposob'                     => new sfValidatorPass(array('required' => false)),
      'aplikacja_dokumenty'                  => new sfValidatorPass(array('required' => false)),
      'kontakt_pup_nazwisko'                 => new sfValidatorPass(array('required' => false)),
      'kontakt_pup_imie'                     => new sfValidatorPass(array('required' => false)),
      'kontakt_pup_telefon'                  => new sfValidatorPass(array('required' => false)),
      'kwota_wynagrodzenia_od'               => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'kwota_wynagrodzenia_do'               => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'system_wynagrodzenia'                 => new sfValidatorPass(array('required' => false)),
      'kontakt_pracodawca_nazwisko'          => new sfValidatorPass(array('required' => false)),
      'kontakt_pracodawca_imie'              => new sfValidatorPass(array('required' => false)),
      'kontakt_pracodawca_telefon'           => new sfValidatorPass(array('required' => false)),
      'kontakt_pracodawca_stanowisko'        => new sfValidatorPass(array('required' => false)),
      'kontakt_pracodawca_termin'            => new sfValidatorPass(array('required' => false)),
      'kontakt_pracodawca_godziny'           => new sfValidatorPass(array('required' => false)),
      'kontakt_pracodawca_miejsce_app'       => new sfValidatorPass(array('required' => false)),
      'wymiar_zatrud'                        => new sfValidatorPass(array('required' => false)),
      'liczba_godzin_dzien'                  => new sfValidatorPass(array('required' => false)),
      'liczba_godzin_tydzien'                => new sfValidatorPass(array('required' => false)),
      'godz_rozp_pracy'                      => new sfValidatorPass(array('required' => false)),
      'uzytkownik_id'                        => new sfValidatorPropelChoice(array('required' => false, 'model' => 'sfGuardUser', 'column' => 'id')),
    ));

    $this->widgetSchema->setNameFormat('ofertypracy_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Ofertypracy';
  }

  public function getFields()
  {
    return array(
      'id'                                   => 'Number',
      'identyfikator'                        => 'Number',
      'nr_stanowiska'                        => 'Text',
      'pracodawca_nazwa'                     => 'Text',
      'pracodawca_osoba_kontaktowa'          => 'Text',
      'pracodawca_stanowisko'                => 'Text',
      'pracodawca_kontakt_telefon'           => 'Text',
      'pracodawca_telefon'                   => 'Text',
      'pracodawca_fax'                       => 'Text',
      'pracodawca_email'                     => 'Text',
      'pracodawca_ulica'                     => 'Text',
      'pracodawca_kod'                       => 'Text',
      'pracodawca_miasto'                    => 'Text',
      'pracodawca_nip'                       => 'Text',
      'pracodawca_regon'                     => 'Text',
      'pracodawca_forma_prawna'              => 'Number',
      'pracodawca_forma_kontaktu'            => 'Number',
      'pracodawca_rodzaj_dzialalnosci'       => 'Text',
      'pracodawca_liczba_zatrudnionych'      => 'Number',
      'pracodawca_miejsce_aplikowania'       => 'Text',
      'pracodawca_terminy'                   => 'Text',
      'pracodawca_godziny'                   => 'Text',
      'oferta_nazwa_zawodu'                  => 'Text',
      'oferta_nazwa_stanowiska'              => 'Text',
      'oferta_opis_zawodu'                   => 'Text',
      'oferta_liczba_miejsc'                 => 'Number',
      'oferta_liczba_miejsc_niepelnosprawni' => 'Number',
      'oferta_wnioskowana_liczba_kandydatow' => 'Number',
      'oferta_miejsce_wykonywania_pracy'     => 'Text',
      'oferta_dodatkowe_informacje'          => 'Text',
      'oferta_rodzaj_umowy'                  => 'Number',
      'oferta_zmianowosc'                    => 'Number',
      'oferta_data_rozpoczecia'              => 'Date',
      'oferta_wyksztalcenie'                 => 'Text',
      'oferta_staz_pracy'                    => 'Text',
      'oferta_specjalnosc'                   => 'Text',
      'oferta_inne'                          => 'Text',
      'oferta_charakterystyka_pracy'         => 'Text',
      'oferta_zasieg'                        => 'Text',
      'publikacja_od'                        => 'Date',
      'publikacja_do'                        => 'Date',
      'sposob_realizacji'                    => 'Number',
      'status'                               => 'Number',
      'created_at'                           => 'Date',
      'oferta_numer'                         => 'Text',
      'oferta_kategoria'                     => 'ForeignKey',
      'oferta_branza'                        => 'ForeignKey',
      'pfron'                                => 'Number',
      'subsydiowana'                         => 'Number',
      'wymagania_zawod_opis_zawodu'          => 'Text',
      'wymagania_zawod_staz'                 => 'Text',
      'wymagania_zawod_waga'                 => 'Text',
      'wymagania_wyksztalcenie_poziom'       => 'Text',
      'wymagania_wyksztalcenie_typ'          => 'Text',
      'wymagania_wyksztalcenie_waga'         => 'Text',
      'wymagania_umiejetnosci_umiejetnosc'   => 'Text',
      'wymagania_umiejetnosci_waga'          => 'Text',
      'wymagania_uprawnienia'                => 'Text',
      'wymagania_inne_wymagania'             => 'Text',
      'aplikacja_jezyk'                      => 'Text',
      'aplikacja_sposob'                     => 'Text',
      'aplikacja_dokumenty'                  => 'Text',
      'kontakt_pup_nazwisko'                 => 'Text',
      'kontakt_pup_imie'                     => 'Text',
      'kontakt_pup_telefon'                  => 'Text',
      'kwota_wynagrodzenia_od'               => 'Number',
      'kwota_wynagrodzenia_do'               => 'Number',
      'system_wynagrodzenia'                 => 'Text',
      'kontakt_pracodawca_nazwisko'          => 'Text',
      'kontakt_pracodawca_imie'              => 'Text',
      'kontakt_pracodawca_telefon'           => 'Text',
      'kontakt_pracodawca_stanowisko'        => 'Text',
      'kontakt_pracodawca_termin'            => 'Text',
      'kontakt_pracodawca_godziny'           => 'Text',
      'kontakt_pracodawca_miejsce_app'       => 'Text',
      'wymiar_zatrud'                        => 'Text',
      'liczba_godzin_dzien'                  => 'Text',
      'liczba_godzin_tydzien'                => 'Text',
      'godz_rozp_pracy'                      => 'Text',
      'uzytkownik_id'                        => 'ForeignKey',
    );
  }
}
