<?php

/**
 * Gieldypracy form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseGieldypracyForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'             => new sfWidgetFormInputHidden(),
      'tytul_gieldy'   => new sfWidgetFormInput(),
      'data_gieldy'    => new sfWidgetFormDateTime(),
      'miejsce_gieldy' => new sfWidgetFormInput(),
      'stanowisko'     => new sfWidgetFormInput(),
      'wymagania'      => new sfWidgetFormTextarea(),
      'opis'           => new sfWidgetFormTextarea(),
      'publikacja_od'  => new sfWidgetFormDateTime(),
      'publikacja_do'  => new sfWidgetFormDateTime(),
      'status'         => new sfWidgetFormInput(),
      'kolejnosc'      => new sfWidgetFormInput(),
      'uzytkownik_id'  => new sfWidgetFormPropelChoice(array('model' => 'sfGuardUser', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id'             => new sfValidatorPropelChoice(array('model' => 'Gieldypracy', 'column' => 'id', 'required' => false)),
      'tytul_gieldy'   => new sfValidatorString(array('max_length' => 255)),
      'data_gieldy'    => new sfValidatorDateTime(),
      'miejsce_gieldy' => new sfValidatorString(array('max_length' => 255)),
      'stanowisko'     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wymagania'      => new sfValidatorString(array('required' => false)),
      'opis'           => new sfValidatorString(array('required' => false)),
      'publikacja_od'  => new sfValidatorDateTime(array('required' => false)),
      'publikacja_do'  => new sfValidatorDateTime(array('required' => false)),
      'status'         => new sfValidatorInteger(),
      'kolejnosc'      => new sfValidatorInteger(),
      'uzytkownik_id'  => new sfValidatorPropelChoice(array('model' => 'sfGuardUser', 'column' => 'id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('gieldypracy[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Gieldypracy';
  }


}
