<?php

/**
 * OfertypracyPub form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseOfertypracyPubForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                                   => new sfWidgetFormInputHidden(),
      'identyfikator'                        => new sfWidgetFormInput(),
      'nr_stanowiska'                        => new sfWidgetFormInput(),
      'pracodawca_nazwa'                     => new sfWidgetFormInput(),
      'pracodawca_osoba_kontaktowa'          => new sfWidgetFormInput(),
      'pracodawca_stanowisko'                => new sfWidgetFormInput(),
      'pracodawca_kontakt_telefon'           => new sfWidgetFormInput(),
      'pracodawca_telefon'                   => new sfWidgetFormInput(),
      'pracodawca_fax'                       => new sfWidgetFormInput(),
      'pracodawca_email'                     => new sfWidgetFormInput(),
      'pracodawca_ulica'                     => new sfWidgetFormInput(),
      'pracodawca_kod'                       => new sfWidgetFormInput(),
      'pracodawca_miasto'                    => new sfWidgetFormInput(),
      'pracodawca_nip'                       => new sfWidgetFormInput(),
      'pracodawca_regon'                     => new sfWidgetFormInput(),
      'pracodawca_forma_prawna'              => new sfWidgetFormInput(),
      'pracodawca_forma_kontaktu'            => new sfWidgetFormInput(),
      'pracodawca_rodzaj_dzialalnosci'       => new sfWidgetFormInput(),
      'pracodawca_liczba_zatrudnionych'      => new sfWidgetFormInput(),
      'pracodawca_miejsce_aplikowania'       => new sfWidgetFormInput(),
      'pracodawca_terminy'                   => new sfWidgetFormInput(),
      'pracodawca_godziny'                   => new sfWidgetFormInput(),
      'oferta_nazwa_zawodu'                  => new sfWidgetFormInput(),
      'oferta_nazwa_stanowiska'              => new sfWidgetFormInput(),
      'oferta_opis_zawodu'                   => new sfWidgetFormTextarea(),
      'oferta_liczba_miejsc'                 => new sfWidgetFormInput(),
      'oferta_liczba_miejsc_niepelnosprawni' => new sfWidgetFormInput(),
      'oferta_wnioskowana_liczba_kandydatow' => new sfWidgetFormInput(),
      'oferta_miejsce_wykonywania_pracy'     => new sfWidgetFormInput(),
      'oferta_dodatkowe_informacje'          => new sfWidgetFormTextarea(),
      'oferta_rodzaj_umowy'                  => new sfWidgetFormInput(),
      'oferta_zmianowosc'                    => new sfWidgetFormInput(),
      'oferta_data_rozpoczecia'              => new sfWidgetFormDateTime(),
      'oferta_wyksztalcenie'                 => new sfWidgetFormInput(),
      'oferta_staz_pracy'                    => new sfWidgetFormInput(),
      'oferta_specjalnosc'                   => new sfWidgetFormInput(),
      'oferta_inne'                          => new sfWidgetFormTextarea(),
      'oferta_charakterystyka_pracy'         => new sfWidgetFormTextarea(),
      'oferta_zasieg'                        => new sfWidgetFormInput(),
      'publikacja_od'                        => new sfWidgetFormDateTime(),
      'publikacja_do'                        => new sfWidgetFormDateTime(),
      'sposob_realizacji'                    => new sfWidgetFormInput(),
      'status'                               => new sfWidgetFormInput(),
      'created_at'                           => new sfWidgetFormDateTime(),
      'oferta_numer'                         => new sfWidgetFormInput(),
      'oferta_kategoria'                     => new sfWidgetFormPropelChoice(array('model' => 'OfertypracyKategorie', 'add_empty' => true)),
      'oferta_branza'                        => new sfWidgetFormPropelChoice(array('model' => 'OfertypracyBranza', 'add_empty' => true)),
      'pfron'                                => new sfWidgetFormInput(),
      'subsydiowana'                         => new sfWidgetFormInput(),
      'wymagania_zawod_opis_zawodu'          => new sfWidgetFormInput(),
      'wymagania_zawod_staz'                 => new sfWidgetFormInput(),
      'wymagania_zawod_waga'                 => new sfWidgetFormInput(),
      'wymagania_wyksztalcenie_poziom'       => new sfWidgetFormInput(),
      'wymagania_wyksztalcenie_typ'          => new sfWidgetFormInput(),
      'wymagania_wyksztalcenie_waga'         => new sfWidgetFormInput(),
      'wymagania_umiejetnosci_umiejetnosc'   => new sfWidgetFormTextarea(),
      'wymagania_umiejetnosci_waga'          => new sfWidgetFormInput(),
      'wymagania_uprawnienia'                => new sfWidgetFormTextarea(),
      'wymagania_inne_wymagania'             => new sfWidgetFormInput(),
      'aplikacja_jezyk'                      => new sfWidgetFormInput(),
      'aplikacja_sposob'                     => new sfWidgetFormInput(),
      'aplikacja_dokumenty'                  => new sfWidgetFormTextarea(),
      'kontakt_pup_nazwisko'                 => new sfWidgetFormInput(),
      'kontakt_pup_imie'                     => new sfWidgetFormInput(),
      'kontakt_pup_telefon'                  => new sfWidgetFormInput(),
      'kwota_wynagrodzenia_od'               => new sfWidgetFormInput(),
      'kwota_wynagrodzenia_do'               => new sfWidgetFormInput(),
      'system_wynagrodzenia'                 => new sfWidgetFormInput(),
      'kontakt_pracodawca_nazwisko'          => new sfWidgetFormInput(),
      'kontakt_pracodawca_imie'              => new sfWidgetFormInput(),
      'kontakt_pracodawca_telefon'           => new sfWidgetFormInput(),
      'kontakt_pracodawca_stanowisko'        => new sfWidgetFormInput(),
      'kontakt_pracodawca_termin'            => new sfWidgetFormInput(),
      'kontakt_pracodawca_godziny'           => new sfWidgetFormInput(),
      'kontakt_pracodawca_miejsce_app'       => new sfWidgetFormInput(),
      'wymiar_zatrud'                        => new sfWidgetFormInput(),
      'liczba_godzin_dzien'                  => new sfWidgetFormInput(),
      'liczba_godzin_tydzien'                => new sfWidgetFormInput(),
      'godz_rozp_pracy'                      => new sfWidgetFormInput(),
      'uzytkownik_id'                        => new sfWidgetFormPropelChoice(array('model' => 'sfGuardUser', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id'                                   => new sfValidatorPropelChoice(array('model' => 'Ofertypracy', 'column' => 'id', 'required' => false)),
      'identyfikator'                        => new sfValidatorInteger(array('required' => false)),
      'nr_stanowiska'                        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'pracodawca_nazwa'                     => new sfValidatorString(array('max_length' => 255)),
      'pracodawca_osoba_kontaktowa'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'pracodawca_stanowisko'                => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'pracodawca_kontakt_telefon'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'pracodawca_telefon'                   => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'pracodawca_fax'                       => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'pracodawca_email'                     => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'pracodawca_ulica'                     => new sfValidatorString(array('max_length' => 100)),
      'pracodawca_kod'                       => new sfValidatorString(array('max_length' => 20)),
      'pracodawca_miasto'                    => new sfValidatorString(array('max_length' => 50)),
      'pracodawca_nip'                       => new sfValidatorString(array('max_length' => 20, 'required' => false)),
      'pracodawca_regon'                     => new sfValidatorString(array('max_length' => 20, 'required' => false)),
      'pracodawca_forma_prawna'              => new sfValidatorInteger(),
      'pracodawca_forma_kontaktu'            => new sfValidatorInteger(array('required' => false)),
      'pracodawca_rodzaj_dzialalnosci'       => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'pracodawca_liczba_zatrudnionych'      => new sfValidatorInteger(array('required' => false)),
      'pracodawca_miejsce_aplikowania'       => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'pracodawca_terminy'                   => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'pracodawca_godziny'                   => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'oferta_nazwa_zawodu'                  => new sfValidatorString(array('max_length' => 255)),
      'oferta_nazwa_stanowiska'              => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'oferta_opis_zawodu'                   => new sfValidatorString(array('required' => false)),
      'oferta_liczba_miejsc'                 => new sfValidatorInteger(),
      'oferta_liczba_miejsc_niepelnosprawni' => new sfValidatorInteger(array('required' => false)),
      'oferta_wnioskowana_liczba_kandydatow' => new sfValidatorInteger(array('required' => false)),
      'oferta_miejsce_wykonywania_pracy'     => new sfValidatorString(array('max_length' => 255)),
      'oferta_dodatkowe_informacje'          => new sfValidatorString(array('required' => false)),
      'oferta_rodzaj_umowy'                  => new sfValidatorInteger(array('required' => false)),
      'oferta_zmianowosc'                    => new sfValidatorInteger(array('required' => false)),
      'oferta_data_rozpoczecia'              => new sfValidatorDateTime(array('required' => false)),
      'oferta_wyksztalcenie'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'oferta_staz_pracy'                    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'oferta_specjalnosc'                   => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'oferta_inne'                          => new sfValidatorString(array('required' => false)),
      'oferta_charakterystyka_pracy'         => new sfValidatorString(array('required' => false)),
      'oferta_zasieg'                        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'publikacja_od'                        => new sfValidatorDateTime(array('required' => false)),
      'publikacja_do'                        => new sfValidatorDateTime(array('required' => false)),
      'sposob_realizacji'                    => new sfValidatorInteger(),
      'status'                               => new sfValidatorInteger(),
      'created_at'                           => new sfValidatorDateTime(array('required' => false)),
      'oferta_numer'                         => new sfValidatorString(array('max_length' => 30, 'required' => false)),
      'oferta_kategoria'                     => new sfValidatorPropelChoice(array('model' => 'OfertypracyKategorie', 'column' => 'id', 'required' => false)),
      'oferta_branza'                        => new sfValidatorPropelChoice(array('model' => 'OfertypracyBranza', 'column' => 'id', 'required' => false)),
      'pfron'                                => new sfValidatorInteger(array('required' => false)),
      'subsydiowana'                         => new sfValidatorInteger(array('required' => false)),
      'wymagania_zawod_opis_zawodu'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wymagania_zawod_staz'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wymagania_zawod_waga'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wymagania_wyksztalcenie_poziom'       => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wymagania_wyksztalcenie_typ'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wymagania_wyksztalcenie_waga'         => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wymagania_umiejetnosci_umiejetnosc'   => new sfValidatorString(array('required' => false)),
      'wymagania_umiejetnosci_waga'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wymagania_uprawnienia'                => new sfValidatorString(array('required' => false)),
      'wymagania_inne_wymagania'             => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'aplikacja_jezyk'                      => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'aplikacja_sposob'                     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'aplikacja_dokumenty'                  => new sfValidatorString(array('required' => false)),
      'kontakt_pup_nazwisko'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kontakt_pup_imie'                     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kontakt_pup_telefon'                  => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kwota_wynagrodzenia_od'               => new sfValidatorInteger(array('required' => false)),
      'kwota_wynagrodzenia_do'               => new sfValidatorInteger(array('required' => false)),
      'system_wynagrodzenia'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kontakt_pracodawca_nazwisko'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kontakt_pracodawca_imie'              => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kontakt_pracodawca_telefon'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kontakt_pracodawca_stanowisko'        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kontakt_pracodawca_termin'            => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kontakt_pracodawca_godziny'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'kontakt_pracodawca_miejsce_app'       => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wymiar_zatrud'                        => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'liczba_godzin_dzien'                  => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'liczba_godzin_tydzien'                => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'godz_rozp_pracy'                      => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'uzytkownik_id'                        => new sfValidatorPropelChoice(array('model' => 'sfGuardUser', 'column' => 'id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('ofertypracy_pub[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'OfertypracyPub';
  }


}
