<?php

class SyriuszStatsPeer extends BaseSyriuszStatsPeer
{
    public static function ifExist(SyriuszStats $object) {
        $criteria = new Criteria();
        $criteria->add(SyriuszStatsPeer::WGM,$object->getWgm());
        $criteria->addAnd(SyriuszStatsPeer::M_C,$object->getMC());
        $criteria->addAnd(SyriuszStatsPeer::ROK,$object->getRok());
        $criteria->addAnd(SyriuszStatsPeer::DZIAL,$object->getDzial());
        $criteria->addAnd(SyriuszStatsPeer::TABELA,$object->getTabela());
        $criteria->addAnd(SyriuszStatsPeer::NRW,$object->getNrw());
        $criteria->addAnd(SyriuszStatsPeer::R1,$object->getR1());
        $criteria->addAnd(SyriuszStatsPeer::R2,$object->getR2());
        $criteria->addAnd(SyriuszStatsPeer::R3,$object->getR3());
        $criteria->addAnd(SyriuszStatsPeer::R4,$object->getR4());
        $criteria->addAnd(SyriuszStatsPeer::R5,$object->getR5());
        $criteria->addAnd(SyriuszStatsPeer::R6,$object->getR6());
        $criteria->addAnd(SyriuszStatsPeer::R7,$object->getR7());
        $criteria->addAnd(SyriuszStatsPeer::R8,$object->getR8());

        $result = SyriuszStatsPeer::doSelectOne($criteria);
        if($result) {
            return true;
        } else {
            return false;
        }
        return true;
    }

    public static function getSyriuszStatsByAllValues(SyriuszStats $object) {
        $criteria = new Criteria();
        $criteria->add(SyriuszStatsPeer::WGM,$object->getWgm());
        $criteria->addAnd(SyriuszStatsPeer::M_C,$object->getMC());
        $criteria->addAnd(SyriuszStatsPeer::ROK,$object->getRok());
        $criteria->addAnd(SyriuszStatsPeer::DZIAL,$object->getDzial());
        $criteria->addAnd(SyriuszStatsPeer::TABELA,$object->getTabela());
        $criteria->addAnd(SyriuszStatsPeer::NRW,$object->getNrw());
        $criteria->addAnd(SyriuszStatsPeer::R1,$object->getR1());
        $criteria->addAnd(SyriuszStatsPeer::R2,$object->getR2());
        $criteria->addAnd(SyriuszStatsPeer::R3,$object->getR3());
        $criteria->addAnd(SyriuszStatsPeer::R4,$object->getR4());
        $criteria->addAnd(SyriuszStatsPeer::R5,$object->getR5());
        $criteria->addAnd(SyriuszStatsPeer::R6,$object->getR6());
        $criteria->addAnd(SyriuszStatsPeer::R7,$object->getR7());
        $criteria->addAnd(SyriuszStatsPeer::R8,$object->getR8());

        $result = SyriuszStatsPeer::doSelectOne($criteria);
        
        return $result;
    }
}
