<?php



class Mb100203MapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.Mb100203MapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(Mb100203Peer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(Mb100203Peer::TABLE_NAME);
		$tMap->setPhpName('Mb100203');
		$tMap->setClassname('Mb100203');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('WGM', 'Wgm', 'VARCHAR', false, 4);

		$tMap->addColumn('RJ', 'Rj', 'VARCHAR', false, 1);

		$tMap->addColumn('M_C', 'MC', 'VARCHAR', false, 2);

		$tMap->addColumn('ROK', 'Rok', 'VARCHAR', false, 4);

		$tMap->addColumn('D1W40R1', 'D1w40r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W40R2', 'D1w40r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W40R3', 'D1w40r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W40R4', 'D1w40r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W41R1', 'D1w41r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W41R2', 'D1w41r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W41R3', 'D1w41r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W41R4', 'D1w41r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W42R1', 'D1w42r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W42R2', 'D1w42r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W42R3', 'D1w42r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W42R4', 'D1w42r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W43R1', 'D1w43r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W43R2', 'D1w43r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W43R3', 'D1w43r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W43R4', 'D1w43r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W44R1', 'D1w44r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W44R2', 'D1w44r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W44R3', 'D1w44r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W44R4', 'D1w44r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W45R1', 'D1w45r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W45R2', 'D1w45r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W45R3', 'D1w45r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W45R4', 'D1w45r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W46R1', 'D1w46r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W46R2', 'D1w46r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W46R3', 'D1w46r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W46R4', 'D1w46r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W47R1', 'D1w47r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W47R2', 'D1w47r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W47R3', 'D1w47r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W47R4', 'D1w47r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W48R1', 'D1w48r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W48R2', 'D1w48r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W48R3', 'D1w48r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W48R4', 'D1w48r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W49R1', 'D1w49r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W49R2', 'D1w49r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W49R3', 'D1w49r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W49R4', 'D1w49r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W50R1', 'D1w50r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W50R2', 'D1w50r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W50R3', 'D1w50r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W50R4', 'D1w50r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W51R1', 'D1w51r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W51R2', 'D1w51r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W51R3', 'D1w51r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W51R4', 'D1w51r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W52R1', 'D1w52r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W52R2', 'D1w52r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W52R3', 'D1w52r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W52R4', 'D1w52r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W53R1', 'D1w53r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W53R2', 'D1w53r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W53R3', 'D1w53r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W53R4', 'D1w53r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W54R1', 'D1w54r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W54R2', 'D1w54r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W54R3', 'D1w54r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W54R4', 'D1w54r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W55R1', 'D1w55r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W55R2', 'D1w55r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W55R3', 'D1w55r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W55R4', 'D1w55r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W55R5', 'D1w55r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W55R6', 'D1w55r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W56R1', 'D1w56r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W56R2', 'D1w56r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W56R3', 'D1w56r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W56R4', 'D1w56r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W56R5', 'D1w56r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W56R6', 'D1w56r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W57R1', 'D1w57r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W57R2', 'D1w57r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W57R3', 'D1w57r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W57R4', 'D1w57r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W58R1', 'D1w58r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W58R2', 'D1w58r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W58R3', 'D1w58r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W58R4', 'D1w58r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W58R5', 'D1w58r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W58R6', 'D1w58r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W59R1', 'D1w59r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W59R2', 'D1w59r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W59R3', 'D1w59r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W59R4', 'D1w59r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W59R5', 'D1w59r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W59R6', 'D1w59r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W60R1', 'D1w60r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W60R2', 'D1w60r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W60R3', 'D1w60r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W60R4', 'D1w60r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W60R5', 'D1w60r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W60R6', 'D1w60r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W61R1', 'D1w61r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W61R2', 'D1w61r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W61R3', 'D1w61r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W61R4', 'D1w61r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W61R5', 'D1w61r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W61R6', 'D1w61r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W62R1', 'D1w62r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W62R2', 'D1w62r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W62R3', 'D1w62r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W62R4', 'D1w62r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W62R5', 'D1w62r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W62R6', 'D1w62r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W63R1', 'D1w63r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W63R2', 'D1w63r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W63R3', 'D1w63r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W63R4', 'D1w63r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W63R5', 'D1w63r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W63R6', 'D1w63r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W64R1', 'D1w64r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W64R2', 'D1w64r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W64R3', 'D1w64r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W64R4', 'D1w64r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W64R5', 'D1w64r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W64R6', 'D1w64r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W65R1', 'D1w65r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W65R2', 'D1w65r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W65R3', 'D1w65r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W65R4', 'D1w65r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W65R5', 'D1w65r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W65R6', 'D1w65r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W66R1', 'D1w66r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W66R2', 'D1w66r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W66R3', 'D1w66r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W66R4', 'D1w66r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W66R5', 'D1w66r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W66R6', 'D1w66r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W67R1', 'D1w67r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W67R2', 'D1w67r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W67R3', 'D1w67r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W67R4', 'D1w67r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W67R5', 'D1w67r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W67R6', 'D1w67r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W68R1', 'D1w68r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W68R2', 'D1w68r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W68R3', 'D1w68r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W68R4', 'D1w68r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W68R5', 'D1w68r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W68R6', 'D1w68r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W69R1', 'D1w69r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W69R2', 'D1w69r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W69R3', 'D1w69r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W69R4', 'D1w69r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W69R5', 'D1w69r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W69R6', 'D1w69r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W70R1', 'D1w70r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W70R2', 'D1w70r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W70R3', 'D1w70r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W70R4', 'D1w70r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W70R5', 'D1w70r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W70R6', 'D1w70r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W71R1', 'D1w71r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W71R2', 'D1w71r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W71R3', 'D1w71r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W71R4', 'D1w71r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W71R5', 'D1w71r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W71R6', 'D1w71r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W72R1', 'D1w72r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W72R2', 'D1w72r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W72R3', 'D1w72r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W72R4', 'D1w72r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W72R5', 'D1w72r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W72R6', 'D1w72r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W73R1', 'D1w73r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W73R2', 'D1w73r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W73R3', 'D1w73r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W73R4', 'D1w73r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W73R5', 'D1w73r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W73R6', 'D1w73r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W74R1', 'D1w74r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W74R2', 'D1w74r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W74R3', 'D1w74r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W74R4', 'D1w74r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W74R5', 'D1w74r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W74R6', 'D1w74r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W75R1', 'D1w75r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W75R2', 'D1w75r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W75R3', 'D1w75r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W75R4', 'D1w75r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W75R5', 'D1w75r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W75R6', 'D1w75r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W76R1', 'D1w76r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W76R2', 'D1w76r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W76R3', 'D1w76r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W76R4', 'D1w76r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W76R5', 'D1w76r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W76R6', 'D1w76r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W77R1', 'D1w77r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W77R2', 'D1w77r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W77R3', 'D1w77r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W77R4', 'D1w77r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W77R5', 'D1w77r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W77R6', 'D1w77r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W78R1', 'D1w78r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W78R2', 'D1w78r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W78R3', 'D1w78r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W78R4', 'D1w78r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W78R5', 'D1w78r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W78R6', 'D1w78r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W79R1', 'D1w79r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W79R2', 'D1w79r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W79R3', 'D1w79r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W79R4', 'D1w79r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W79R5', 'D1w79r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W79R6', 'D1w79r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W80R1', 'D1w80r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W80R2', 'D1w80r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W80R3', 'D1w80r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W80R4', 'D1w80r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W80R5', 'D1w80r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W80R6', 'D1w80r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W81R1', 'D1w81r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W81R2', 'D1w81r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W81R3', 'D1w81r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W81R4', 'D1w81r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W81R5', 'D1w81r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W81R6', 'D1w81r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W82R1', 'D1w82r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W82R2', 'D1w82r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W82R3', 'D1w82r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W82R4', 'D1w82r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W82R5', 'D1w82r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W82R6', 'D1w82r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W83R1', 'D1w83r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W83R2', 'D1w83r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W83R3', 'D1w83r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W83R4', 'D1w83r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W83R5', 'D1w83r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W83R6', 'D1w83r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W84R3', 'D1w84r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W84R4', 'D1w84r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W84R5', 'D1w84r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W84R6', 'D1w84r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W85R1', 'D1w85r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W85R2', 'D1w85r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W85R3', 'D1w85r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W85R4', 'D1w85r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W85R5', 'D1w85r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W85R6', 'D1w85r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W86R3', 'D1w86r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W86R4', 'D1w86r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W86R5', 'D1w86r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W86R6', 'D1w86r6', 'INTEGER', false, 11);

	} 
} 