<?php



class SyriuszStatsMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.SyriuszStatsMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(SyriuszStatsPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(SyriuszStatsPeer::TABLE_NAME);
		$tMap->setPhpName('SyriuszStats');
		$tMap->setClassname('SyriuszStats');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('WGM', 'Wgm', 'INTEGER', false, 11);

		$tMap->addColumn('M_C', 'MC', 'INTEGER', false, 11);

		$tMap->addColumn('ROK', 'Rok', 'INTEGER', false, 11);

		$tMap->addColumn('DZIAL', 'Dzial', 'INTEGER', false, 11);

		$tMap->addColumn('TABELA', 'Tabela', 'INTEGER', false, 11);

		$tMap->addColumn('NRW', 'Nrw', 'INTEGER', false, 11);

		$tMap->addColumn('R1', 'R1', 'INTEGER', false, 11);

		$tMap->addColumn('R2', 'R2', 'INTEGER', false, 11);

		$tMap->addColumn('R3', 'R3', 'INTEGER', false, 11);

		$tMap->addColumn('R4', 'R4', 'INTEGER', false, 11);

		$tMap->addColumn('R5', 'R5', 'INTEGER', false, 11);

		$tMap->addColumn('R6', 'R6', 'INTEGER', false, 11);

		$tMap->addColumn('R7', 'R7', 'INTEGER', false, 11);

		$tMap->addColumn('R8', 'R8', 'INTEGER', false, 11);

	} 
} 