<?php
class ofertypracyImportuploadForm extends sfForm
{
	public function configure()
	{
		$this->setWidgets(array
		(			
			'file_src'			=> new sfWidgetFormInputFile(),			
		));

		$this->widgetSchema->setNameFormat('file[%s]');

		$this->setValidators(array
		(			
			'file_src'		=> new ciValidatorFile(array('mime_types' => array
			(
				'application/xml',
                                'text/xml'

			),
			'max_size'		=> '209715200',
		),
		array(
			'invalid'		=> 'Niepoprawny plik.',
			'required'		=> 'Wybierz plik do wgrania.', 
			'mime_types'	=> 'Wymagany format pliku: xml.'
		)),
		)); 

		$this->widgetSchema->setLabels(array
		(
			'file_src'			=> 'Wybierz plik xml:',
		));
	}
}
?>