<?php

/**
 * gieldypracy actions.
 *
 * @package    sam3
 * @subpackage gieldypracy
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class gieldypracyActions extends myActions {

    public function preExecute() {
        $perm = ($this->getUser()->checkPermission('gipr', 'edit') == 1) ? true : false;

        if (!$perm || !in_array('gipr', ModulPeer::getEnabled())
            )$this->forward(sfConfig::get('sf_secure_module'), sfConfig::get('sf_secure_action'));
    }

    public function executeIndex(sfWebRequest $request) {
        $c = new Criteria();
        if ($request->getParameter('status') == '0' || $request->getParameter('status') == '1') {
            $c->add(GieldypracyPeer::STATUS, $request->getParameter('status'));
        }
        $this->gieldypracy_list = GieldypracyPeer::doSelect($c);
    }

    public function executeNew(sfWebRequest $request) {
        $this->form = new GieldypracyForm();
        if ($request->getParameter('ofeid'))
            $this->ofertapracy = OfertypracyPeer::retrieveByPk($request->getParameter('ofeid'));
    }

    public function executeCreate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod('post'));

        $this->form = new GieldypracyForm();

        sfCacheManager::clearCache('gieldypracy');

        $this->processForm($request, $this->form);
        $this->setTemplate('new');
    }

    public function executeEdit(sfWebRequest $request) {
        $this->forward404Unless($gieldypracy = GieldypracyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object gieldypracy does not exist (%s).', $request->getParameter('id')));
        $this->form = new GieldypracyForm($gieldypracy);
    }

    public function executeUpdate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
        $this->forward404Unless($gieldypracy = GieldypracyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object gieldypracy does not exist (%s).', $request->getParameter('id')));
        $this->form = new GieldypracyForm($gieldypracy);

        sfCacheManager::clearCache('gieldypracy');
        
        $this->processForm($request, $this->form);
        $this->setTemplate('edit');
    }

    public function executeDelete(sfWebRequest $request) {
        $request->checkCSRFProtection();

        $this->forward404Unless($gieldypracy = GieldypracyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object gieldypracy does not exist (%s).', $request->getParameter('id')));
        $gieldypracy->delete();

        sfCacheManager::clearCache('gieldypracy');

        $this->getUser()->setFlash('notice', 'Giełda została usunięta.');
        $this->redirect('gieldypracy/index');
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $this->getContext()->getConfiguration()->loadHelpers(array('Funkcje'));

        $params = $request->getParameter($form->getName());
        $safe_params = cleanValuesFromForm($form, $params);

        $form->bind($safe_params, $request->getFiles($form->getName()));
        if ($form->isValid()) {
            $gieldypracy = $form->save();
            $this->getUser()->setFlash('notice', $this->__('save_ok'));
            $this->redirect('gieldypracy/edit?id=' . $gieldypracy->getId());
        }
    }

}
