<?php use_helper('Form')?>
<div class="center_item_title">
    <div class="menu_icon_6"></div>
    <?php echo __('WYSZUKAJ OFERTĘ') ?>
</div>
<div class="center_item" onclick="Element.toggle('filters');">
    <div class="menu_icon_7"></div><?php echo __('Szukanie zaawansowane') ?></div>
    <?php if(!empty($filters)):?>
        <div class="bgr_filter_title">- <?php echo __('AKTYWNY FILTR') ?> -</div>
    <?php endif;?>
			
    <div <?php if(empty($filters)) echo 'style="display: none;"'?> id="filters" class="bgr_filter">
        <table class="filter_table">
        <?php echo form_tag('ofertypracy/index') ?>

            <tr><td colspan="2"><?php echo __('Nazwa zawodu') ?></td></tr>
            <tr><td colspan="2">
                <?php echo input_auto_complete_tag('nazwa_zawodu', $nazwa_zawodu,
                        'ofertypracy/autocompletenazwazawodu',
                        array('autocomplete' => 'on'),
                        array('use_style' => 'false')
                    )
                ?>
            </td></tr>

            <tr><td colspan="2"><?php echo __('Nazwa pracodawcy') ?></td></tr>

            <tr><td colspan="2">
                <?php echo input_auto_complete_tag('nazwa_pracodawcy', $nazwa_pracodawcy,
                        'ofertypracy/autocompletenazwapracodawcy',
                        array('autocomplete' => 'on'),
                        array('use_style' => 'false')
                    )
                ?>
            </td></tr>

            <tr><td colspan="2"><?php echo __('Status oferty') ?></td></tr>
            <tr><td colspan="2">
                <?php echo select_tag('status', options_for_select(array(''=>'', '0'=>__('Robocza'), '1'=>__('Opublikowana'), '3' => __('Do usunięcia'), '4' => __('Do publikacji'), '5' => __('Odrzucona'), '6' => __('Usuń z publikacji')), $status))?>
            </td></tr>
            
            <tr><td colspan="2"><?php echo __('Kategoria oferty') ?></td></tr>
            <tr><td colspan="2">
                <?php $select = new sfWidgetFormPropelChoice(array('model'=>'OfertypracyKategorie','add_empty'=>true));?>
                <?php echo $select->render('kategoria', $sf_params->get('kategoria'));?>
            </td></tr>
            <tr>
                <td style="vertical-align: middle;"><?php echo link_to('Wyczyść', 'ofertypracy/filter?reset=true') ?></td>
                <td><button type="submit" class="big_show" style="float:right;"><?php echo __('Szukaj') ?></button></td>
            </tr>

        <?php echo '</form>' ?>
        </table>
    </div>

	