<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>

<form name="pform" action="<?php echo url_for('ofertypracy/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
    <?php if (!$form->getObject()->isNew()): ?>
    <input type="hidden" name="sf_method" value="put" />
    <?php endif; ?>
    <div id="tab-container-1">
        <!-- Menu z zakładkami formularza edycji oferty inwestycyjnej: -->
        <ul class="info_tabs" id="tab-container-1-nav">
            <li class="sel"><a href="#tab1">Dane pracodawcy</a></li>
            <li><a href="#tab2">Dane oferty</a></li>
            <li><a href="#tab3">Informacje dodatkowe</a></li>
            <li><a href="#tab3">Informacje PUP</a></li>
        </ul>

        <?php echo $form->renderHiddenFields() ?>
        <?php echo $form->renderGlobalErrors() ?>

        <div class="tab" id="tab1">

            <fieldset class="editor">
                <legend><?php echo __('Dane pracodawcy') ?></legend>
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['pracodawca_nazwa']->renderLabel() ?></th>
                        <td><?php echo $form['pracodawca_nazwa']->renderError() ?>
                        <?php echo $form['pracodawca_nazwa'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_nazwa']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_telefon']->renderLabel() ?> </th>
                        <td><?php echo $form['pracodawca_telefon']->renderError() ?>
                        <?php echo $form['pracodawca_telefon'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_telefon']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_fax']->renderLabel() ?></th>
                        <td><?php echo $form['pracodawca_fax']->renderError() ?>
                        <?php echo $form['pracodawca_fax'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_fax']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_email']->renderLabel() ?></th>
                        <td><?php echo $form['pracodawca_email']->renderError() ?>
                        <?php echo $form['pracodawca_email'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_email']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_ulica']->renderLabel() ?> </th>
                        <td><?php echo $form['pracodawca_ulica']->renderError() ?>
                        <?php echo $form['pracodawca_ulica'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_ulica']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_kod']->renderLabel() ?> </th>
                        <td><?php echo $form['pracodawca_kod']->renderError() ?>
                        <?php echo $form['pracodawca_kod'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_kod']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_miasto']->renderLabel() ?> </th>
                        <td> <?php echo $form['pracodawca_miasto']->renderError() ?>
                         <?php echo $form['pracodawca_miasto'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_miasto']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_nip']->renderLabel() ?> </th>
                        <td> <?php echo $form['pracodawca_nip']->renderError() ?>
                        <?php echo $form['pracodawca_nip'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_nip']->renderHelp() ?></td></tr>

                    <tr>
                        <th> <?php echo $form['pracodawca_regon']->renderLabel() ?> </th>
                        <td> <?php echo $form['pracodawca_regon']->renderError() ?>
                        <?php echo $form['pracodawca_regon'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_regon']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_forma_prawna']->renderLabel() ?> </th>
                        <td><?php echo $form['pracodawca_forma_prawna']->renderError() ?>
                        <?php echo $form['pracodawca_forma_prawna'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_forma_prawna']->renderHelp() ?></td></tr>

                    <!--tr>
                        <th><?php echo $form['pracodawca_forma_kontaktu']->renderLabel() ?> </th>
                        <td> <?php echo $form['pracodawca_forma_kontaktu']->renderError() ?>
                        <?php echo $form['pracodawca_forma_kontaktu'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_forma_kontaktu']->renderHelp() ?></td></tr -->

                    <tr>
                        <th><?php echo $form['pracodawca_rodzaj_dzialalnosci']->renderLabel() ?> </th>
                        <td><?php echo $form['pracodawca_rodzaj_dzialalnosci']->renderError() ?>
                        <?php echo $form['pracodawca_rodzaj_dzialalnosci'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_rodzaj_dzialalnosci']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_liczba_zatrudnionych']->renderLabel() ?> </th>
                        <td><?php echo $form['pracodawca_liczba_zatrudnionych']->renderError() ?>
                        <?php echo $form['pracodawca_liczba_zatrudnionych'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_liczba_zatrudnionych']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
            
            <fieldset class="editor">
                <legend><?php echo __('Dane osoby prowadzącej nabór') ?></legend>
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['pracodawca_osoba_kontaktowa']->renderLabel() ?></th>
                        <td><?php echo $form['pracodawca_osoba_kontaktowa']->renderError() ?>
                        <?php echo $form['pracodawca_osoba_kontaktowa'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_osoba_kontaktowa']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_stanowisko']->renderLabel() ?></th>
                        <td><?php echo $form['pracodawca_stanowisko']->renderError() ?>
                        <?php echo $form['pracodawca_stanowisko'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_stanowisko']->renderHelp() ?></td></tr>
                    
                    <tr>
                        <th><?php echo $form['pracodawca_kontakt_telefon']->renderLabel() ?></th>
                        <td><?php echo $form['pracodawca_kontakt_telefon']->renderError() ?>
                        <?php echo $form['pracodawca_kontakt_telefon'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_kontakt_telefon']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['pracodawca_miejsce_aplikowania']->renderLabel() ?></th>
                        <td><?php echo $form['pracodawca_miejsce_aplikowania']->renderError() ?>
                        <?php echo $form['pracodawca_miejsce_aplikowania'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_miejsce_aplikowania']->renderHelp() ?></td></tr>
                    
                    <tr>
                        <th><?php echo $form['pracodawca_terminy']->renderLabel() ?></th>
                        <td><?php echo $form['pracodawca_terminy']->renderError() ?>
                        <?php echo $form['pracodawca_terminy'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_terminy']->renderHelp() ?></td></tr>
                    
                    <tr>
                        <th><?php echo $form['pracodawca_godziny']->renderLabel() ?></th>
                        <td><?php echo $form['pracodawca_godziny']->renderError() ?>
                        <?php echo $form['pracodawca_godziny'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pracodawca_godziny']->renderHelp() ?></td></tr>

                
                </table>
            </fieldset>
        </div>

        <div class="tab" id="tab2">
            <fieldset class="editor">
                <table class="simple_tab_for_form">

                    <tr>
                        <th><?php echo $form['oferta_numer']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_numer']->renderError() ?>
                        <?php echo $form['oferta_numer'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_numer']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_zasieg']->renderLabel() ?> </th>
                        <td><?php echo $form['oferta_zasieg']->renderError() ?>
                        <?php echo $form['oferta_zasieg'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_zasieg']->renderHelp() ?></td></tr>
                   
                    <tr>
                        <th><?php echo $form['oferta_kategoria']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_kategoria']->renderError() ?>
                        <?php echo $form['oferta_kategoria'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_kategoria']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_branza']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_branza']->renderError() ?>
                        <?php echo $form['oferta_branza'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_branza']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_nazwa_zawodu']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_nazwa_zawodu']->renderError() ?>
                        <?php echo $form['oferta_nazwa_zawodu'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_nazwa_zawodu']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_nazwa_stanowiska']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_nazwa_stanowiska']->renderError() ?>
                        <?php echo $form['oferta_nazwa_stanowiska'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_nazwa_stanowiska']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_liczba_miejsc']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_liczba_miejsc']->renderError() ?>
                        <?php echo $form['oferta_liczba_miejsc'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_liczba_miejsc']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_liczba_miejsc_niepelnosprawni']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_liczba_miejsc_niepelnosprawni']->renderError() ?>
                        <?php echo $form['oferta_liczba_miejsc_niepelnosprawni'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_liczba_miejsc_niepelnosprawni']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_wnioskowana_liczba_kandydatow']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_wnioskowana_liczba_kandydatow']->renderError() ?>
                        <?php echo $form['oferta_wnioskowana_liczba_kandydatow'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_wnioskowana_liczba_kandydatow']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_miejsce_wykonywania_pracy']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_miejsce_wykonywania_pracy']->renderError() ?>
                        <?php echo $form['oferta_miejsce_wykonywania_pracy'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_miejsce_wykonywania_pracy']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_dodatkowe_informacje']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_dodatkowe_informacje']->renderError() ?>
                       <?php echo $form['oferta_dodatkowe_informacje'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_dodatkowe_informacje']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_rodzaj_umowy']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_rodzaj_umowy']->renderError() ?>
                        <?php echo $form['oferta_rodzaj_umowy'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_rodzaj_umowy']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_zmianowosc']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_zmianowosc']->renderError() ?>
                        <?php echo $form['oferta_zmianowosc'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_zmianowosc']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_data_rozpoczecia']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_data_rozpoczecia']->renderError() ?>
                        <?php echo $form['oferta_data_rozpoczecia'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_data_rozpoczecia']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['kwota_wynagrodzenia_od']->renderLabel() ?></th>
                        <td><?php echo $form['kwota_wynagrodzenia_od'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['kwota_wynagrodzenia_od']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['kwota_wynagrodzenia_do']->renderLabel() ?></th>
                        <td><?php echo $form['kwota_wynagrodzenia_do'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['kwota_wynagrodzenia_do']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['system_wynagrodzenia']->renderLabel() ?></th>
                        <td><?php echo $form['system_wynagrodzenia'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['system_wynagrodzenia']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['oferta_charakterystyka_pracy']->renderLabel() ?></th>
                        <td><?php echo $form['oferta_charakterystyka_pracy']->renderError() ?>
                        <?php echo $form['oferta_charakterystyka_pracy'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['oferta_charakterystyka_pracy']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
            <fieldset class="editor">
                <legend><?php echo __('Wymagany zawód') ?></legend>
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['wymagania_zawod_opis_zawodu']->renderLabel() ?></th>
                        <td><?php echo $form['wymagania_zawod_opis_zawodu']->renderError() ?>
                        <?php echo $form['wymagania_zawod_opis_zawodu'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['wymagania_zawod_opis_zawodu']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['wymagania_zawod_staz']->renderLabel() ?></th>
                        <td><?php echo $form['wymagania_zawod_staz']->renderError() ?>
                        <?php echo $form['wymagania_zawod_staz'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['wymagania_zawod_staz']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['wymagania_zawod_waga']->renderLabel() ?></th>
                        <td><?php echo $form['wymagania_zawod_waga']->renderError() ?>
                        <?php echo $form['wymagania_zawod_waga'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['wymagania_zawod_waga']->renderHelp() ?></td></tr>

                </table>
            </fieldset>
            <fieldset class="editor">
                <legend><?php echo __('Wymagane wykształcenie') ?></legend>
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['wymagania_wyksztalcenie_typ']->renderLabel() ?></th>
                        <td><?php echo $form['wymagania_wyksztalcenie_typ']->renderError() ?>
                        <?php echo $form['wymagania_wyksztalcenie_typ'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['wymagania_wyksztalcenie_typ']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['wymagania_wyksztalcenie_poziom']->renderLabel() ?></th>
                        <td><?php echo $form['wymagania_wyksztalcenie_poziom']->renderError() ?>
                        <?php echo $form['wymagania_wyksztalcenie_poziom'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['wymagania_wyksztalcenie_poziom']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['wymagania_wyksztalcenie_waga']->renderLabel() ?></th>
                        <td><?php echo $form['wymagania_wyksztalcenie_waga']->renderError() ?>
                        <?php echo $form['wymagania_wyksztalcenie_waga'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['wymagania_wyksztalcenie_waga']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
            <fieldset class="editor">
                <legend><?php echo __('Wymagane umiejętności') ?></legend>
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['wymagania_umiejetnosci_umiejetnosc']->renderLabel() ?></th>
                        <td><?php echo $form['wymagania_umiejetnosci_umiejetnosc']->renderError() ?>
                        <?php echo $form['wymagania_umiejetnosci_umiejetnosc'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['wymagania_umiejetnosci_umiejetnosc']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
            <fieldset class="editor">
                <legend><?php echo __('Wymagane uprawnienia') ?></legend>
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['wymagania_uprawnienia']->renderLabel() ?></th>
                        <td><?php echo $form['wymagania_uprawnienia']->renderError() ?>
                        <?php echo $form['wymagania_uprawnienia'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['wymagania_uprawnienia']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
            
            <fieldset class="editor">
                <legend><?php echo __('Aplikowanie') ?></legend>
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['aplikacja_jezyk']->renderLabel() ?></th>
                        <td><?php echo $form['aplikacja_jezyk']->renderError() ?>
                        <?php echo $form['aplikacja_jezyk'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['aplikacja_jezyk']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['aplikacja_sposob']->renderLabel() ?></th>
                        <td><?php echo $form['aplikacja_sposob']->renderError() ?>
                        <?php echo $form['aplikacja_sposob'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['aplikacja_sposob']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['aplikacja_dokumenty']->renderLabel() ?></th>
                        <td><?php echo $form['aplikacja_dokumenty']->renderError() ?>
                        <?php echo $form['aplikacja_dokumenty'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['aplikacja_dokumenty']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
        </div>

        <div class="tab" id="tab3">
            <fieldset class="editor">
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['publikacja_od']->renderLabel() ?></th>
                        <td><?php echo $form['publikacja_od']->renderError() ?>
                        <?php echo $form['publikacja_od'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['publikacja_od']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['publikacja_do']->renderLabel() ?></th>
                        <td><?php echo $form['publikacja_do']->renderError() ?>
                        <?php echo $form['publikacja_do'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['publikacja_do']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['sposob_realizacji']->renderLabel() ?></th>
                        <td><?php echo $form['sposob_realizacji']->renderError() ?>
                        <?php echo $form['sposob_realizacji'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['sposob_realizacji']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
        </div>
        
        <div class="tab" id="tab4">
            <fieldset class="editor">
                <legend><?php echo __('Dane ewidencyjne oferty') ?></legend>
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['identyfikator']->renderLabel() ?></th>
                        <td><?php echo $form['identyfikator']->renderError() ?>
                        <?php echo $form['identyfikator'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['identyfikator']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['nr_stanowiska']->renderLabel() ?></th>
                        <td><?php echo $form['nr_stanowiska']->renderError() ?>
                        <?php echo $form['nr_stanowiska'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['nr_stanowiska']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
            <fieldset class="editor">
                <legend><?php echo __('Dane konaktowe osooby ze strony PUP') ?></legend>
                <table class="simple_tab_for_form">
                    <tr>
                        <th><?php echo $form['kontakt_pup_nazwisko']->renderLabel() ?></th>
                        <td><?php echo $form['kontakt_pup_nazwisko']->renderError() ?>
                        <?php echo $form['kontakt_pup_nazwisko'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['kontakt_pup_nazwisko']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['kontakt_pup_imie']->renderLabel() ?></th>
                        <td><?php echo $form['kontakt_pup_imie']->renderError() ?>
                        <?php echo $form['kontakt_pup_imie'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['kontakt_pup_imie']->renderHelp() ?></td></tr>

                    <tr>
                        <th><?php echo $form['kontakt_pup_telefon']->renderLabel() ?></th>
                        <td><?php echo $form['kontakt_pup_telefon']->renderError() ?>
                        <?php echo $form['kontakt_pup_telefon'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['kontakt_pup_telefon']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
            <fieldset class="editor">
                <legend><?php echo __('PFRON') ?></legend>
                <table class="simple_tab_for_form">
                                                    <tr>
                        <th><?php echo $form['pfron']->renderLabel() ?></th>
                        <td><?php echo $form['pfron']->renderError() ?>
                        <?php echo $form['pfron'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['pfron']->renderHelp() ?></td></tr>
                    
                    <tr>
                        <th><?php echo $form['subsydiowana']->renderLabel() ?></th>
                        <td><?php echo $form['subsydiowana']->renderError() ?>
                        <?php echo $form['subsydiowana'] ?></td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['subsydiowana']->renderHelp() ?></td></tr>
                </table>
            </fieldset>
        </div>

        <div style="margin: 4px 0px 0px; float: right;"><!--  -->
            <?php include_partial('edit_actions', array('form' => $form))?>
        </div>
    </div>
</form>

<!-- uruchomienie zakladek -->
<script type="text/javascript">
    var tabber1 = new Yetii({
        id: 'tab-container-1'
    });
</script>