<?php slot('top')?>
    <?php GenerateTab('prac'); ?>
<?php end_slot()?>

<?php slot('actions'); ?>

<?php end_slot(); ?>

<?php slot('message'); ?>
    <?php include_partial('frontend/flashes'); ?>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <?php include_partial('filters') ?>
        </div>
    </div>
    <div id="cms_right_panel">
        
    </div>

    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('Statystyki') ?></div>
        <table class="table_list">
            <?php if($pager->getNbResults() == 0):?>
                <tr class="row_0">
                    <td colspan="15" style="font-weight: bold; text-align: center;"><?php echo __('Brak danych statystycznych')?></td>
                </tr>
            <?php else: ?>
                <thead>
                    <tr>
                    <th>Id</th>
                    <th>Wgm</th>
                    <th>Mc</th>
                    <th>Rok</th>
                    <th>Dzial</th>
                    <th>Tabela</th>
                    <th>Nrw</th>
                    <th>R1</th>
                    <th>R2</th>
                    <th>R3</th>
                    <th>R4</th>
                    <th>R5</th>
                    <th>R6</th>
                    <th>R7</th>
                    <th>R8</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $i=1; foreach ($pager->getResults() as $syriusz_stats): $odd = fmod(++$i, 2)?>
                    <tr class="row_<?php echo $odd?>">
                        <td><a href="<?php echo url_for('ofertypracy_statystyki/show?id='.$syriusz_stats->getId()) ?>"><?php echo $syriusz_stats->getId() ?></a></td>
                        <td><?php echo $syriusz_stats->getWgm() ?></td>
                        <td><?php echo $syriusz_stats->getMC() ?></td>
                        <td><?php echo $syriusz_stats->getRok() ?></td>
                        <td><?php echo $syriusz_stats->getDzial() ?></td>
                        <td><?php echo $syriusz_stats->getTabela() ?></td>
                        <td><?php echo $syriusz_stats->getNrw() ?></td>
                        <td><?php echo $syriusz_stats->getR1() ?></td>
                        <td><?php echo $syriusz_stats->getR2() ?></td>
                        <td><?php echo $syriusz_stats->getR3() ?></td>
                        <td><?php echo $syriusz_stats->getR4() ?></td>
                        <td><?php echo $syriusz_stats->getR5() ?></td>
                        <td><?php echo $syriusz_stats->getR6() ?></td>
                        <td><?php echo $syriusz_stats->getR7() ?></td>
                        <td><?php echo $syriusz_stats->getR8() ?></td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
                <tfoot>
                    <tr><th colspan="15" class="result_separator">
                    <?php if($pager->haveToPaginate()):?>
                        <div class="sf_admin_pagination">
                            <div class="first"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/first.png', array('align' => 'absmiddle', 'alt' => __('First page'), 'title' => __('First page'))), 'ofertypracy_statystyki/index?strona=1') ?></div>
                            <div class="prev"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/previous.png', array('align' => 'absmiddle', 'alt' => __('Previous page'), 'title' => __('Previous page'))), 'dokumenty/index?strona='.$pager->getPreviousPage()) ?></div>
                            <?php foreach ($pager->getLinks() as $page): ?>
                                <?php if ($page == $pager->getPage()): ?>
                                    <?php echo '<div class="current" title="'.__('Bieżąca strona').'">'.$page.'</div>' ?>
                                <?php else: ?>
                                    <div class="pages"><?php echo link_to($page, 'ofertypracy_statystyki/index?strona='.$page) ?></div>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            <div class="next"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/next.png', array('align' => 'absmiddle', 'alt' => __('Next page'), 'title' => __('Next page'))), 'ofertypracy_statystyki/index?strona='.$pager->getNextPage()) ?></div>
                            <div class="last"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/last.png', array('align' => 'absmiddle', 'alt' => __('Last page'), 'title' => __('Last page'))), 'ofertypracy_statystyki/index?strona='.$pager->getLastPage()) ?></div>
                        </div>
                    <?php endif;?>
                    <div style="float:left;">
                        <?php echo __('Liczba rekordów').':&nbsp;'.$pager->getNbResults() ?>
                    </div>
                    </th></tr>
                </tfoot>
            <?php endif;?>
        </table>
    </div>
</div>

