<?php

/**
 * Ofertypracy form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class OfertypracyuserForm extends BaseOfertypracyForm {

    //status oferty pracy
    protected static $sposob_realizacji = array('0' => 'otwarty', '1' => 'zamknięty');
    protected static $formaprawna = array(
        ''  => '',
        '0' => 'Indywidualna działalność gospodarcza',
        '1' => 'Spółka cywilna',
        '2' => 'Spółka jawna',
        '3' => 'Spółka partnerska',
        '4' => 'Spółka komandytowa',
        '5' => 'Spółka komandytowo-akcyjna',
        '6' => 'Spółka z ograniczoną odpowiedzialnością',
        '7' => 'Spółka akcyjna',
        '8' => 'Spółka europejska',
    );
    protected static $rodzajumowy = array(
        ''  => '',
        '0' => 'na czas nieokreślony',
        '1' => 'na czas określony',
        '2' => 'praca sezonowa',
        '3' => 'w niepełnym wymiarze czasu',
        '4' => 'inne',
    );
    protected static $zmianowosc = array(
        ''  => '',
        '0' => 'jednozmianowa',
        '1' => 'dwie zmiany',
        '2' => 'trzy zmiany',
        '3' => 'ruch ciągły',
        '4' => 'inne',
    );
    protected static $forma_kontaktu = array(
        ''  => '',
        '0' => 'kontakt osobisty',
        '1' => 'kontakt telefoniczny',
        '2' => 'e-mail',
        '3' => 'cv u pośrednika',
    );

    public function configure() {
        $this->widgetSchema['publikacja_od'] = new sfWidgetFormInputDateTimeRich();
        $this->widgetSchema['publikacja_do'] = new sfWidgetFormInputDateTimeRich();
        $this->widgetSchema['oferta_data_rozpoczecia'] = new sfWidgetFormInputDateTimeRich();
        $this->widgetSchema['sposob_realizacji'] = new sfWidgetFormSelect(array('choices' => self::$sposob_realizacji));
        $this->widgetSchema['pracodawca_forma_prawna'] = new sfWidgetFormSelect(array('choices' => self::$formaprawna));
        $this->widgetSchema['oferta_rodzaj_umowy'] = new sfWidgetFormSelect(array('choices' => self::$rodzajumowy));
        $this->widgetSchema['oferta_zmianowosc'] = new sfWidgetFormSelect(array('choices' => self::$zmianowosc));
        $this->widgetSchema['pracodawca_forma_kontaktu'] = new sfWidgetFormSelect(array('choices' => self::$forma_kontaktu));
        $this->widgetSchema['oferta_numer'] = new sfWidgetFormInput();
        $this->widgetSchema['oferta_kategoria'] = new sfWidgetFormPropelChoice(array('model' => 'OfertypracyKategorie', 'add_empty' => true));

        unset($this->validatorSchema['created_at']);
        unset($this->widgetSchema['created_at']);

        unset($this->validatorSchema['status']);
        unset($this->widgetSchema['status']);


        $this->widgetSchema['oferta_dodatkowe_informacje'] = new sfWidgetFormTextareaTinyMCE(
            array(
                'config' => '
                    language: "pl",
                    width: "100%",
                    theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,link,unlink",
                    theme_advanced_buttons2 : "",
                    theme_advanced_buttons3 : "",
                    theme_advanced_toolbar_location : "top",
                    theme_advanced_toolbar_align : "left",
                    theme_advanced_statusbar_location : "bottom",
                    theme : "advanced",
                    theme_advanced_resizing : false,
                    debug: false
                ',
            ),array(
                'class' => 'tiny_mce'
            )
        );

        $this->widgetSchema['oferta_inne'] = new sfWidgetFormTextareaTinyMCE(
            array(
                'config' => '
                    language: "pl",
                    width: "100%",
                    theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,link,unlink",
                    theme_advanced_buttons2 : "",
                    theme_advanced_buttons3 : "",
                    theme_advanced_toolbar_location : "top",
                    theme_advanced_toolbar_align : "left",
                    theme_advanced_statusbar_location : "bottom",
                    theme : "advanced",
                    theme_advanced_resizing : false,
                    debug: false
                ',
            ),array(
                'class' => 'tiny_mce_1'
            )
        );

        $this->widgetSchema['oferta_charakterystyka_pracy'] = new sfWidgetFormTextareaTinyMCE(
            array(
                'config' => '
                    language: "pl",
                    width: "100%",
                    theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,link,unlink",
                    theme_advanced_buttons2 : "",
                    theme_advanced_buttons3 : "",
                    theme_advanced_toolbar_location : "top",
                    theme_advanced_toolbar_align : "left",
                    theme_advanced_statusbar_location : "bottom",
                    theme : "advanced",
                    theme_advanced_resizing : false,
                    debug: false
                ',
            ),array(
                'class' => 'tiny_mce_2'
            )
        );

        $this->widgetSchema->setLabels(array(
            'pracodawca_nazwa'              => 'Nazwa pracodawcy',
            'pracodawca_osoba_kontaktowa'   => 'Osoba kontaktowa po stronie pracodawcy',
            'pracodawca_telefon'            => 'Telefon pracodawcy',
            'pracodawca_fax'                => 'Fax pracodawcy',
            'pracodawca_email'              => 'e-mail pracodawcy',
            'pracodawca_kod'                => 'Kod pocztowy',
            'pracodawca_miasto'             => 'Miasto',
            'pracodawca_ulica'              => 'Adres',
            'pracodawca_nip'                => 'NIP',
            'pracodawca_regon'              => 'REGON',
            'pracodawca_forma_prawna'       => 'Forma prawna',
            'pracodawca_forma_kontaktu'     => 'Forma kontaktu w sprawie oferty',
            'pracodawca_rodzaj_dzialalnosci'    => 'Rodzaj działalności',
            'pracodawca_liczba_zatrudnionych'   => 'Liczba zatrudnionych',
            'oferta_nazwa_zawodu'           => 'Nazwa zawodu',
            'oferta_nazwa_stanowiska'       => 'Nazwa stanowiska',
            'oferta_liczba_miejsc'          => 'Liczba miejsc',
            'oferta_zmianowosc'             => 'Zmianowość',
            'oferta_data_rozpoczecia'       => 'Termin rozpoczęcia pracy',
            'oferta_wyksztalcenie'          => 'Wymagane wykształcenie',
            'oferta_staz_pracy'             => 'Wymagany staż pracy',
            'oferta_specjalnosc'            => 'Specjalność',
            'oferta_inne'                   => 'Dodatkowe wymagania',
            'oferta_charakterystyka_pracy'  => 'Charakterystyka pracy',
            'oferta_zasieg'                 => 'Zasięg oferty',
            'oferta_wnioskowana_liczba_kandydatow'  => 'Wnioskowana liczba kandydatów',
            'oferta_liczba_miejsc_nipelnosprawni'   => 'Liczba miejsc dla osób niepełnosprawnych',
            'oferta_miejsce_wykonywania_pracy'      => 'Miejsce wykonywania pracy',
            'oferta_dodatkowe_informacje'   => 'Dodatkowe informacje',
            'oferta_rodzaj_umowy'           => 'Rodzaj umowy',
            'sposob_realizacji'             => 'Sposób realizacji',
        ));
        $this->widgetSchema->setHelps(array(
            'oferta_zasieg'     => "Zasięg upowszechnienia oferty",
            'sposob_realizacji' => "Dostęp do danych pracodawcy",
        ));
    }

}
