<?php

/**
 * gieldypracy actions.
 *
 * @package    sam3
 * @subpackage gieldypracy
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class gieldypracyActions extends sfActions
{

    public function preExecute() {
        if (!in_array('gipr', ModulPeer::getEnabled())) {
            $this->redirect('@homepage');
        }
        $culture = $this->getUser()->getCulture();
        $response = $this->getResponse();
        Functions::setAllMetasFromDb('gipr', $response,  $culture);
    }

  public function executeIndex(sfWebRequest $request)
  {
    $this->gieldypracy_list = GieldypracyPeer::doSelect(new Criteria());
    
    $c = new Criteria();
    
    //aktywne gieldy z wypelniona data publikacji
   	$a = $c->getNewCriterion(GieldypracyPeer::PUBLIKACJA_DO, date('Y-m-d H:i:s'), Criteria::GREATER_EQUAL);
	$b = $c->getNewCriterion(GieldypracyPeer::PUBLIKACJA_OD, date('Y-m-d H:i:s'), Criteria::LESS_EQUAL);
	$d = $c->getNewCriterion(GieldypracyPeer::STATUS, 0);
	
	$a->addAnd($b);
	$a->addAnd($d);

	//lub gieldy bez wypelnionej daty publikacji OD aniDO ale aktywny
	$y = $c->getNewCriterion(GieldypracyPeer::PUBLIKACJA_OD, null, Criteria::ISNULL);
	$z = $c->getNewCriterion(GieldypracyPeer::PUBLIKACJA_DO, null, Criteria::ISNULL);	
	$y->addAnd($z);
	$y->addAnd($d);
	
	$a->addOr($y);

	//lub gieldy bez wypelnionej daty publikacji DO ale aktywny
	$p = $c->getNewCriterion(GieldypracyPeer::PUBLIKACJA_OD, date('Y-m-d H:i:s'), Criteria::LESS_EQUAL);
	$q = $c->getNewCriterion(GieldypracyPeer::PUBLIKACJA_DO, null, Criteria::ISNULL);
	$p->addAnd($q);
	$p->addAnd($d);
	
	$a->addOr($p);

	//lub gieldy bez wypelnionej daty publikacji OD ale aktywny
	$r = $c->getNewCriterion(GieldypracyPeer::PUBLIKACJA_DO, date('Y-m-d H:i:s'), Criteria::GREATER_EQUAL);
	$s = $c->getNewCriterion(GieldypracyPeer::PUBLIKACJA_DO, null, Criteria::ISNULL);
	$r->addAnd($s);
	$r->addAnd($d);

	$a->addOr($p);


	$c->add($a);
    
   if($request->hasParameter('page'))
    {
    	$page = $request->getParameter('page');    	
    }
    else
    {
    	$page = 1;
    }
	
    $pager = new sfPropelPager('Gieldypracy', sfConfig::get('app_pages'));
    $pager->setCriteria($c);
    $pager->setPage($page);    
    $pager->init();
    $this->pager = $pager;
    
  }

  public function executeGielda(sfWebRequest $request)
  {  	
  	$this->gielda = GieldypracyPeer::retrieveByPk($request->getParameter('id'));
  }
  
  public function executeGetSearchForm(sfWebRequest $request)
 	{
		$this->forward('portal','getSearchForm');
 	}
}
