<?php
    use_helper('Date');
    use_stylesheet('portal/dokumenty');

    //slot('navigator');
        $path = array( __('Giełdy pracy') => url_for('gieldypracy/index'));
        //include_partial('Common/nawigator', array('path' => $path));
    //end_slot();
    $_SESSION['navigator_path'] = serialize($path);
?>

<div id="content_center" class="page_content">
    <div class="belka resize_font"><div class="title"><?php echo link_to(__('Giełdy pracy'),'gieldypracy/index'); ?></div></div>
    <div class="content_tresc">
        <div class="napis_pogrubiony resize_font"><?php echo __('Liczba znalezionych giełd').':&nbsp;'.$pager->getNbResults(); ?></div>
        <div class="clr"></div>

        <table class="table_common" cellspacing="0" cellpadding="0">
            <thead>
                <tr>
                    <th style="width: 40%;"><?php echo __('Tytuł giełdy');?></th>
                    <th style="width: 30%;"><?php echo __('Nazwa stanowiska');?></th>
                    <th style="width: 15%;"><?php echo __('Termin');?></th>
                    <th style="width: 15%;"><?php echo __('Zobacz'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($pager->getResults() as $i => $gieldypracy): ?>
                    <tr class="<?php echo fmod($i, 2) ? 'even' : 'odd' ?>">
                        <td><?php echo link_to($gieldypracy->getTytulGieldy(), 'gieldypracy/gielda?id='.$gieldypracy->getId()) ?></td>
                        <td>
                            <?php $stanowisko = __('brak'); ?>
                            <?php if($gieldypracy->getStanowisko()): ?>
                                <?php $stanowisko = $gieldypracy->getStanowisko(); ?>
                            <?php endif; ?>
                            <?php echo link_to($stanowisko, 'gieldypracy/gielda?id='.$gieldypracy->getId()) ?>
                        </td>
                        <td title="<?php echo $gieldypracy->getDataGieldy() ? format_date($gieldypracy->getDataGieldy(), "U") : '&nbsp;' ?>">
                            <?php echo link_to(($gieldypracy->getDataGieldy() ? date_format(date_create($gieldypracy->getDataGieldy()),'d-m-Y') : '&nbsp;'), 'gieldypracy/gielda?id='.$gieldypracy->getId()) ?>
                        </td>
                        <td><?php echo link_to(__('Pokaż szczegóły'), 'gieldypracy/gielda?id='.$gieldypracy->getId())?></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
            <tfoot>
                <tr><th colspan="7">
                    <?php if($pager->haveToPaginate()):?>
                        <div class="sf_admin_pagination">
                            <div class="first"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/first.png', array('align' => 'absmiddle', 'alt' => __('First page'), 'title' => __('First page'))), 'gieldypracy/index?page=1') ?></div>
                            <div class="prev"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/previous.png', array('align' => 'absmiddle', 'alt' => __('Previous page'), 'title' => __('Previous page'))), 'gieldypracy/index?page='.$pager->getPreviousPage()) ?></div>
                            <?php foreach ($pager->getLinks() as $page): ?>
                                <?php if ($page == $pager->getPage()): ?>
                                    <?php echo '<div class="current" title="'.__('Bieżąca strona').'">'.$page.'</div>' ?>
                                <?php else: ?>
                                    <div class="pages"><?php echo link_to($page, 'gieldypracy/index?page='.$page) ?></div>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            <div class="next"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/next.png', array('align' => 'absmiddle', 'alt' => __('Next page'), 'title' => __('Next page'))), 'gieldypracy/index?page='.$pager->getNextPage()) ?></div>
                            <div class="last"><?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/last.png', array('align' => 'absmiddle', 'alt' => __('Last page'), 'title' => __('Last page'))), 'gieldypracy/index?page='.$pager->getLastPage()) ?></div>
                        </div>
                    <?php endif;?>
                </th></tr>
            </tfoot>
        </table>
        <div class="clr"></div>
    </div>
</div>
