<?php
class ofertypracyComponents extends sfComponents
{
	public function executeNajnowsze()
	{
            if(!isset($this->limit))$this->limit = 5;
            $c = new Criteria();
            $c->setLimit($this->limit);
            $c->addDescendingOrderByColumn(OfertypracyPeer::CREATED_AT);
            $this->linki = OfertypracyPubPeer::doSelect($c);

            $c = new Criteria();
            $this->razem = OfertypracyPubPeer::doCount($c);
            
            if(empty($this->razem)) {
                return sfView::NONE;
            } 
	}
	
	public function executeSearcher($request)
	{
            $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
            $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');
            if($request->getParameter('kategoria')!=0) $this->kategoria = $request->getParameter('kategoria');
                 else $this->kategoria = 0;
		 
		 if($request->getParameter('branza')!=0) $this->branza = $request->getParameter('branza');
		 else $this->branza = 0;
		
		$this->ofertypracy_kategorie_list = OfertypracyKategoriePeer::doSelect(new Criteria());		
		
		$ofertypracy_kategorie_list = OfertypracyKategoriePeer::doSelect(new Criteria());		
		$options = array();
		$options[] = '';
		foreach ($ofertypracy_kategorie_list as $kategoria)
		{
                    $options[$kategoria->getId()] = $kategoria->getNazwa();
		}
		$this->options = $options;		
	}
        
        public function executeKategorie(sfWebRequest $request) {
            $c = new Criteria();
            $c->addAscendingOrderByColumn(OfertypracyKategoriePeer::ID);
            $this->category = OfertypracyKategoriePeer::doSelect($c);
            
            // bierzemy wszystkie oferty aktywne
            $c = new Criteria();

            $ofs = OfertypracyPubPeer::doSelect($c);
            
            $this->ilosci = array(-1 => 0);
            foreach($this->category as $cat)
                $this->ilosci[$cat->getId()] = 0;
            
            foreach($ofs as $of)
                if($of->getOfertaKategoria())
                    $this->ilosci[$of->getOfertaKategoria()] += 1;     
                else
                    $this->ilosci[-1] += 1;     
    }
    
    public function executeStandaolneSearcher(sfWebRequest $request) {
        $this->nazwa_zawodu = $request->getParameter('nazwa_zawodu');
        $this->nazwa_pracodawcy = $request->getParameter('nazwa_pracodawcy');

        if($request->getParameter('kategoria')!=0) $this->kategoria = $request->getParameter('kategoria');
            else $this->kategoria = 0;

        if($request->getParameter('branza')!=0) $this->branza = $request->getParameter('branza');
            else $this->branza = 0;

        $this->ofertypracy_kategorie_list = OfertypracyKategoriePeer::doSelect(new Criteria());

        $ofertypracy_kategorie_list = OfertypracyKategoriePeer::doSelect(new Criteria());
        $options = array();
        $options[] = '';
        foreach ($ofertypracy_kategorie_list as $kategoria)
        {
            $options[$kategoria->getId()] = $kategoria->getNazwa();
        }
        $this->options = $options;
    }
    
}

