<?php 
    use_helper('Object', 'Validation', 'ObjectAdmin', 'I18N', 'Date', 'Url');

    $def_search_prompt = __(sfConfig::get('app_search_prompt'));
    $def_search_submit = __(sfConfig::get('app_search_submit'));

    echo form_tag('ofertypracy/szukaj', array('method' => 'post', 'name' => 'search_form', 'onsubmit' => 'checkDefaultPrompt("search_query","'.$def_search_prompt.'");'));

    echo $form->renderGlobalErrors();
    echo $form->renderHiddenFields();
?>

<div class="srch_inp">
    <?php echo $form['query']->renderLabel($def_search_prompt); ?>
    <?php echo $form['query']->render(array('onclick' => 'if(this.value == "'.$def_search_prompt.'") this.value=""', 'onblur' => 'if(this.value == "") this.value="'.$def_search_prompt.'"', 'value' => $def_search_prompt)); ?>
    <input type="submit" title="<?php echo $def_search_submit; ?>" class="button" value="<?php echo $def_search_submit; ?>" />
    <?php echo $form['query']->renderError(); ?>    
</div>

<div id="adv_form<?php if(!empty($hash_id)) echo '_'.$hash_id; ?>" style="display: <?php echo $disp; ?>;">
    <?php include_partial('search/search_menu', array('select' => 'prac', 'disp' => $disp, 'hash_id' => $hash_id)); ?>
    <div class="left"><div class="info"><?php echo __('W celu ustalenia dokładniejszczych kryteriów prosimy przejść na stronę ofert pracy.'); ?></div></div>
</div>
<div class="cl"></div>
<?php echo '</form>'; ?>

