<?php $icon_dir = 'ikony/20x20/';?>
<?php use_helper('Date')?>
<?php use_stylesheet('portal/ofertytv')?>

    <div class="belka resize_font">
        <div class="title"><span><div><?php echo format_number_choice(__('Aktualne oferty pracy').': [0]|'.__('Aktualne oferty pracy').': [1]|[1,+Inf]'.__('Aktualne oferty pracy').': <b>%1%</b>', array('%1%' => $pager->getNbResults()), $pager->getNbResults());?></div></span>
            <?php foreach ($pager->getLinks() as $page): ?>
                <?php   if ($page == $pager->getPage()): ?>
                    <?php echo '<span class="current"><h2>'.__('strona').':&nbsp;<b>'.$pager->getPage().'</b>/<b>'.$pager->getLastPage().'</b></h2></span>' ?>
                <?php   endif; ?>
            <?php endforeach; ?>
         </div>
    </div>
<div class="content_tresc">
<div class="cl"></div>
    <table class="table_common" cellspacing="0" cellpadding="0">
        <thead>
            <tr>
                <th><?php echo __('Nazwa pracodawcy'); ?></th>
                <th><?php echo __('Nazwa zawodu'); ?></th>
                <th><?php echo __('Nazwa stanowiska'); ?></th>
                <th width="120px"><?php echo __('Data dodania'); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($pager->getResults() as $i => $ofertypracy): ?>
            <?php $link = 'ofertypracytv/oferta?id='.$ofertypracy->getId();?>
            <tr class="sel <?php echo fmod($i, 2) ? 'even' : 'odd' ?>">
                <td class="sel"><?php echo $ofertypracy->getPracodawcaNazwa() ?></td>
                <td><?php echo $ofertypracy->getOfertaNazwaZawodu() ?></td>
                <td><?php echo $ofertypracy->getOfertaNazwaStanowiska() ?></td>
                <td title="<?php echo $ofertypracy->getCreatedAt() ? format_date($ofertypracy->getCreatedAt(), "U") : '&nbsp;' ?>">
                    <?php echo $ofertypracy->getCreatedAt() ? date_format(date_create($ofertypracy->getCreatedAt()),'d-m-Y') : '&nbsp;' ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>
<?php end_slot(); ?>
<?php slot('scripts');?>
<script type="text/javascript">
    // [CDATA[
    var OfPIndex = 1;
    
    var OfPFirst = <?php echo ($pager->getFirstPage())?>;
    var OfPCur = <?php echo ($pager->getPage())?>;
    var OfPMax = <?php echo ($pager->getLastPage())?>;
    var OfPTimeout = 60000;//ms
    
    debugger;
    
    function showOfP(idx) {
        location.href='/ofertypracytv/index/page/<?php echo $pager->getNextPage();?>.html';
    }

    function rotateOfP()
    {
        
        if(OfPCur==OfPMax) {
            location.href='/ofertypracytv/index/page/'+OfPFirst+'.html';    
        } else {
            showOfP(OfPIndex++);
            setTimeout('rotateOfP()', OfPTimeout);
        }
    }

    setTimeout('rotateOfP()', OfPTimeout);
    // ]]
</script>
