<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * SyriuszStats filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseSyriuszStatsFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'WGM'    => new sfWidgetFormFilterInput(),
      'M_C'    => new sfWidgetFormFilterInput(),
      'ROK'    => new sfWidgetFormFilterInput(),
      'DZIAL'  => new sfWidgetFormFilterInput(),
      'TABELA' => new sfWidgetFormFilterInput(),
      'NRW'    => new sfWidgetFormFilterInput(),
      'R1'     => new sfWidgetFormFilterInput(),
      'R2'     => new sfWidgetFormFilterInput(),
      'R3'     => new sfWidgetFormFilterInput(),
      'R4'     => new sfWidgetFormFilterInput(),
      'R5'     => new sfWidgetFormFilterInput(),
      'R6'     => new sfWidgetFormFilterInput(),
      'R7'     => new sfWidgetFormFilterInput(),
      'R8'     => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'WGM'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'M_C'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'ROK'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'DZIAL'  => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'TABELA' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'NRW'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'R1'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'R2'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'R3'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'R4'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'R5'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'R6'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'R7'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'R8'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('syriusz_stats_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'SyriuszStats';
  }

  public function getFields()
  {
    return array(
      'id'     => 'Number',
      'WGM'    => 'Number',
      'M_C'    => 'Number',
      'ROK'    => 'Number',
      'DZIAL'  => 'Number',
      'TABELA' => 'Number',
      'NRW'    => 'Number',
      'R1'     => 'Number',
      'R2'     => 'Number',
      'R3'     => 'Number',
      'R4'     => 'Number',
      'R5'     => 'Number',
      'R6'     => 'Number',
      'R7'     => 'Number',
      'R8'     => 'Number',
    );
  }
}
