<?php

/**
 * Gieldypracy form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class GieldypracyForm extends BaseGieldypracyForm {

    protected static $statusy = array('0' => 'aktywna', '1' => 'nieaktywna');

    public function configure() {
        $this->widgetSchema['status']         = new sfWidgetFormSelect(array('choices' => self::$statusy), array('style' => 'width:150px'));

        $this->widgetSchema['kolejnosc']      = new sfWidgetFormInputHidden();
        $this->widgetSchema['publikacja_od']  = new sfWidgetFormInputDateTimeRich();
        $this->widgetSchema['publikacja_do']  = new sfWidgetFormInputDateTimeRich();

        $this->widgetSchema['tytul_gieldy']   = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['data_gieldy']    = new sfWidgetFormInputDateTimeRich(array(), array('class' => 'required'));
        $this->widgetSchema['miejsce_gieldy'] = new sfWidgetFormInput(array(), array('class' => 'required'));

        $this->widgetSchema['wymagania']      = new sfWidgetFormTextareaTinyMCEUser(
            array('can_be_adv' => false),
            array('class' => 'tiny_mce', 'style' => 'width: 480px;')
        );

        $this->widgetSchema['opis'] = new sfWidgetFormTextareaTinyMCEUser(
            array('can_be_adv' => false),
            array('class' => 'tiny_mce_1', 'style' => 'width: 480px;')
        );

        $this->widgetSchema->setLabels(array(
            'tytul_gieldy'  => 'Nazwa giełdy',
            'data_gieldy'   => 'Data giełdy',
            'miejsce_gieldy'=> 'Miejsce giełdy',
        ));

        $this->widgetSchema->setHelps(array(
            'tytul_gieldy'  => 'Podaj nazwę giełdy',
            'data_gieldy'   => 'Podaj termin giełdy',
            'miejsce_gieldy'=> 'Miejsce odbycia się giełdy',
            'stanowisko'    => 'Stanowisko, którego będzie dotyczyć giełda pracy',
            'wymagania'     => 'Opis wymagań dla osób chcących uczestniczyć w giełdzie pracy',
            'opis'          => 'Dodatkowy opis giełdy',
            'publikacja_od' => 'Informacje publikowane od',
            'publikacja_do' => 'Informacje publikowane do',
            'status'        => 'Określ status giełdy',
        ));

        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
    }

}
