<?php

/**
 * Ofertypracy form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class OfertypracyForm extends BaseOfertypracyForm {

//status oferty pracy
    protected static $statusy = array('0' => 'Robocza', '1' => 'Opublikowana', '3' => 'Do usunięcia', '4' => 'Do publikacji', '5' => 'Odrzucona', '6' => 'Usuń z publikacji');
    protected static $sposob_realizacji = array('0' => 'otwarta', '1' => 'zamknięta');
    protected static $pfron = array('0' => 'nie', '1' => 'tak');
    protected static $subsydiowana = array('0' => 'nie', '1' => 'tak');
    protected static $formaprawna = array(
        '' => '',
        '0' => 'Indywidualna działalność gospodarcza',
        '1' => 'Spółka cywilna',
        '2' => 'Spółka jawna',
        '3' => 'Spółka partnerska',
        '4' => 'Spółka komandytowa',
        '5' => 'Spółka komandytowo-akcyjna',
        '6' => 'Spółka z ograniczoną odpowiedzialnością',
        '7' => 'Spółka akcyjna',
        '8' => 'Spółka europejska',
    );
    protected static $rodzajumowy = array(
        '1' => 'Nie dotyczy',
        '2' => 'Umowa zlecenie',
        '3' => 'Umowa o pracę na czas określony',
        '4' => 'Umowa o pracę na czas nieokreślony',
        '5' => 'Umowa o dzieło'
    );
    protected static $zmianowosc = array(
        '' => '',
        '1' => 'jedna zmiana',
        '2' => 'dwie zmiany',
        '3' => 'trzy zmiany',
        '4' => 'ruch ciągły',
        '5' => 'inne',
    );
    protected static $forma_kontaktu = array(
        '' => '',
        '0' => 'kontakt osobisty',
        '1' => 'kontakt telefoniczny',
        '2' => 'e-mail',
        '3' => 'cv u pośrednika',
    );
    
    protected static $aplikacja = array(
        '1' => 'Za pośrednictwem PUP',
        '2' => 'Bezpośrednio do pracodawcy',
    );

    public function configure() {
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');

        unset($this['uzytkownik_id']);
        $this->widgetSchema['pracodawca_nazwa']            = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['pracodawca_ulica']            = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['pracodawca_kod']              = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['pracodawca_miasto']           = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['oferta_nazwa_zawodu']         = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['oferta_liczba_miejsc']        = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['oferta_miejsce_wykonywania_pracy'] = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['created_at']                  = new sfWidgetFormInputHidden();
        $this->widgetSchema['publikacja_od']               = new sfWidgetFormInputDateTimeRich();
        $this->widgetSchema['publikacja_do']               = new sfWidgetFormInputDateTimeRich();
        $this->widgetSchema['oferta_data_rozpoczecia']     = new sfWidgetFormInputDateTimeRich();
        $this->widgetSchema['status']                      = new sfWidgetFormInputHidden();
        $this->widgetSchema['sposob_realizacji']           = new sfWidgetFormSelect(array('choices' => self::$sposob_realizacji));
        $this->widgetSchema['pracodawca_forma_prawna']     = new sfWidgetFormSelect(array('choices' => self::$formaprawna));
        $this->widgetSchema['oferta_rodzaj_umowy']         = new sfWidgetFormSelect(array('choices' => self::$rodzajumowy));
        $this->widgetSchema['oferta_zmianowosc']           = new sfWidgetFormSelect(array('choices' => self::$zmianowosc));
        $this->widgetSchema['pracodawca_forma_kontaktu']   = new sfWidgetFormSelect(array('choices' => self::$forma_kontaktu));
        $this->widgetSchema['oferta_zasieg']               = new sfWidgetFormSelect(array('choices' => OfertypracyPeer::getRodzajAktywizacji()));
        $this->widgetSchema['oferta_numer']                = new sfWidgetFormInput();
        $this->widgetSchema['oferta_kategoria']            = new sfWidgetFormPropelChoice(array('model' => 'OfertypracyKategorie', 'add_empty' => true));

        $this->widgetSchema['oferta_dodatkowe_informacje'] = new sfWidgetFormTextareaTinyMCEUser(
                        array('can_be_adv' => false),
                        array(
                            'class' => 'tiny_mce'
                        )
        );

        $this->widgetSchema['oferta_inne'] = new sfWidgetFormTextareaTinyMCEUser(
                        array('can_be_adv' => false),
                        array(
                            'class' => 'tiny_mce_1'
                        )
        );

        $this->widgetSchema['oferta_charakterystyka_pracy'] = new sfWidgetFormTextareaTinyMCEUser(
                        array('can_be_adv' => false),
                        array(
                            'class' => 'tiny_mce_2'
                        )
        );
        
       
        $this->widgetSchema['pfron'] = new sfWidgetFormSelect(array('choices' => self::$pfron));
        $this->widgetSchema['subsydiowana'] = new sfWidgetFormSelect(array('choices' => self::$subsydiowana));
        $this->widgetSchema['aplikacja_sposob'] = new sfWidgetFormSelect(array('choices' => self::$aplikacja));
        $this->setValidator['oferta_zasieg'] = new sfValidatorChoice(array('choices' => array_keys(OfertypracyPeer::getRodzajAktywizacji())));
        
        $this->setValidator['pracodawca_forma_prawna'] = new sfValidatorChoice(array('choices' => array_keys(self::$formaprawna)),array('required' => false));
        $this->setValidator['pfron'] = new sfValidatorChoice(array('choices' => array_keys(self::$pfron)),array('required' => false));
        $this->setValidator['subsydiowana'] = new sfValidatorChoice(array('choices' => array_keys(self::$subsydiowana)),array('required' => false));
        $this->setValidator['aplikacja_sposob'] = new sfValidatorChoice(array('choices' => array_keys(self::$aplikacja)),array('required' => false));
        
        $this->widgetSchema['wymagania_umiejetnosci_umiejetnosc'] = new sfWidgetFormTextareaTinyMCEUser(
                        array('can_be_adv' => false),
                        array(
                            'class' => 'tiny_mce_3'
                        )
        );
        
        $this->widgetSchema['wymagania_uprawnienia'] = new sfWidgetFormTextareaTinyMCEUser(
                        array('can_be_adv' => false),
                        array(
                            'class' => 'tiny_mce_4'
                        )
        );
        
        $this->widgetSchema['aplikacja_dokumenty'] = new sfWidgetFormTextareaTinyMCEUser(
                        array('can_be_adv' => false),
                        array(
                            'class' => 'tiny_mce_5'
                        )
        );

        $this->widgetSchema->setLabels(array(
            'pracodawca_nazwa'                 => 'Nazwa pracodawcy',
            'pracodawca_osoba_kontaktowa'      => 'Osoba kontaktowa',
            'pracodawca_telefon'               => 'Telefon pracodawcy',
            'pracodawca_fax'                   => 'Fax pracodawcy',
            'pracodawca_email'                 => 'E-mail pracodawcy',
            'pracodawca_kod'                   => 'Kod pocztowy',
            'pracodawca_miasto'                => 'Miasto',
            'pracodawca_ulica'                 => 'Ulica',
            'pracodawca_nip'                   => 'NIP',
            'pracodawca_regon'                 => 'REGON',
            'pracodawca_forma_prawna'          => 'Forma prawna',
            'pracodawca_forma_kontaktu'        => 'Forma kontaktu w sprawie oferty',
            'pracodawca_rodzaj_dzialalnosci'   => 'Rodzaj działalności',
            'pracodawca_liczba_zatrudnionych'  => 'Liczba zatrudnionych',
            'oferta_nazwa_zawodu'              => 'Nazwa zawodu',
            'oferta_nazwa_stanowiska'          => 'Nazwa stanowiska',
            'oferta_liczba_miejsc'             => 'Liczba miejsc',
            'oferta_zmianowosc'                => 'Zmianowość',
            'oferta_data_rozpoczecia'          => 'Termin rozpoczęcia pracy',
            'oferta_wyksztalcenie'             => 'Wymagane wykształcenie',
            'oferta_staz_pracy'                => 'Wymagany staż pracy',
            'oferta_specjalnosc'               => 'Specjalność',
            'oferta_inne'                      => 'Wynagrodzenie',
            'oferta_charakterystyka_pracy'     => 'Charakterystyka pracy',
            'oferta_zasieg'                    => 'Forma aktywizacji',
            'oferta_wnioskowana_liczba_kandydatow' => 'Wnioskowana liczba kandydatów',
            'oferta_liczba_miejsc_niepelnosprawni' => 'Liczba miejsc dla osób niepełnosprawnych',
            'oferta_miejsce_wykonywania_pracy' => 'Miejsce wykonywania pracy',
            'oferta_dodatkowe_informacje'      => 'Dodatkowe informacje',
            'oferta_rodzaj_umowy'              => 'Rodzaj umowy',
            'sposob_realizacji'                => 'Sposób realizacji',
            'oferta_numer'                     => 'Numer ofery',
            'oferta_kategoria'                 => 'Adresaci',
			'oferta_branza'                 => 'Branża',
            'pfron'                            => 'PFRON',
            'subsydiowana'                     => 'Czy subsydiowana',
            'kontakt_pup_nazwisko'             => 'Nazwisko pracownika',
            'kontakt_pup_imie'                 => 'Imię pracownika',
            'kontakt_pup_telefon'               => 'Telefon kontaktowy',
            'pracodawca_stanowisko' => 'Stanowisko',
            'pracodawca_kontakt_telefon' => 'Telefon',
            'pracodawca_miejsce_aplikowania'       => 'Miejsce aplikacji',
            'pracodawca_terminy'                   => 'Termin aplikacji',
            'pracodawca_godziny'                   => 'Godziny aplikacji',
            'wymagania_zawod_opis_zawodu'          => 'Nazwa zawodu',
            'wymagania_zawod_staz'                 => 'Staż',
            'wymagania_zawod_waga'                 => 'Wymagane',
            'wymagania_wyksztalcenie_poziom'       => 'Poziom wykształcenia',
            'wymagania_wyksztalcenie_typ'          => 'Typ wykształcenia',
            'wymagania_wyksztalcenie_waga'         => 'Wymagane',
            'wymagania_umiejetnosci_umiejetnosc'   => 'Umiejętność',
            'wymagania_umiejetnosci_waga'          => 'Wymagane',
            'wymagania_uprawnienia'                => 'Uprawnienia',
            'aplikacja_jezyk'                      => 'Język',
            'aplikacja_sposob'                     => 'Sposób',
            'aplikacja_dokumenty'                  => 'Dokumenty',
            'identyfikator'                        => 'Identyfikator',
            'nr_stanowiska'                        => 'Nr stanowiska',
            'kwota_wynagrodzenia_od'               => 'Minimalna kwota wynagrodzenia',
            'kwota_wynagrodzenia_do'               => 'Maksymalna kwota wynagrodzenia',
            'system_wynagrodzenia'               => 'System wynagrodzenia',

            
        ));

        $this->widgetSchema->setHelps(array(
            'pracodawca_nazwa'                 => 'Podaj nazwę pracodawcy',
            'pracodawca_osoba_kontaktowa'      => 'Podaj nazwisko osoby kontaktowej po stronie pracodawcy',
            'pracodawca_telefon'               => 'Numer telefonu do pracodawcy',
            'pracodawca_fax'                   => 'Numer faxu do pracodawcy',
            'pracodawca_email'                 => 'Adres e-mail pracodawcy',
            'pracodawca_kod'                   => 'Dane adresowe pracodawcy',
            'pracodawca_miasto'                => 'Dane adresowe pracodawcy',
            'pracodawca_ulica'                 => 'Dane adresowe pracodawcy',
            'pracodawca_nip'                   => 'Numer NIP',
            'pracodawca_regon'                 => 'Numer REGON',
            'pracodawca_forma_prawna'          => 'Forma prawna działalności',
            'pracodawca_forma_kontaktu'        => 'Forma kontaktu w sprawie oferty',
            'pracodawca_rodzaj_dzialalnosci'   => 'Rodzaj działalności',
            'pracodawca_liczba_zatrudnionych'  => 'Liczba zatrudnionych osób',
            'oferta_nazwa_zawodu'              => 'Nazwa zawodu, którego dotyczy oferta',
            'oferta_nazwa_stanowiska'          => 'Nazwa stanowiska, którego dotyczy oferta',
            'oferta_liczba_miejsc'             => 'Liczba wolnych miejsc',
            'oferta_zmianowosc'                => 'Zmianowość pracy',
            'oferta_data_rozpoczecia'          => 'Termin rozpoczęcia pracy',
            'oferta_wyksztalcenie'             => 'Wymagane wykształcenie',
            'oferta_staz_pracy'                => 'Wymagany staż pracy',
            'oferta_specjalnosc'               => 'Specjalność',
            'oferta_inne'                      => 'Wynagrodzenie oraz system wynagrodzenia',
            'oferta_charakterystyka_pracy'     => 'Charakterystyka pracy',
            'oferta_zasieg'                    => 'Kod formy aktywizacji (wg danych systemu Syriusz)',
            'oferta_wnioskowana_liczba_kandydatow' => 'Wnioskowana liczba kandydatów',
            'oferta_liczba_miejsc_niepelnosprawni' => 'Dostępna liczba miejsc dla osób niepełnosprawnych',
            'oferta_miejsce_wykonywania_pracy' => 'Miejsce wykonywania pracy',
            'oferta_dodatkowe_informacje'      => 'Dodatkowe informacje',
            'oferta_rodzaj_umowy'              => 'Rodzaj umowy',
            'sposob_realizacji'                => 'Sposób realizacji',
            'oferta_numer'                     => 'Numer ofery',
            'oferta_kategoria'                 => 'Do kogo jest adresowana oferta',
			'oferta_branza'                 	=> 'Wybierz branżę, do której należy oferta',
            'publikacja_od'                    => 'Podaj datę opublikowania oferty od dnia',
            'publikacja_do'                    => 'Podaj datę opublikowania oferty do dnia',
            'pfron'                            => 'PFRON',
            'subsydiowana'                     => 'Czy subsydiowana',
            'kontakt_pup_nazwisko'             => 'Nazwisko pracownika',
            'kontakt_pup_imie'                 => 'Imię pracownika',
            'kontakt_pup_telefon'               => 'Telefon kontaktowy',
            'pracodawca_stanowisko' => 'Zajmowane stanowisko',
            'pracodawca_kontakt_telefon' => 'Telefon kontaktowy',
            'pracodawca_miejsce_aplikowania'       => 'Miejsce składania aplikacji',
            'pracodawca_terminy'                   => 'Termin składania aplikacji',
            'pracodawca_godziny'                   => 'Godziny, w których przyjmowane są aplikacje',
            'wymagania_zawod_opis_zawodu'          => 'Nazwa wymaganego zawodu',
            'wymagania_zawod_staz'                 => 'Staż pracy w zawodzie',
            'wymagania_zawod_waga'                 => 'Poziom wymagania',
            'wymagania_wyksztalcenie_poziom'       => 'Poziom wykształcenia',
            'wymagania_wyksztalcenie_typ'          => 'Typ wykształcenia',
            'wymagania_wyksztalcenie_waga'         => 'Poziom wymagania',
            'wymagania_umiejetnosci_umiejetnosc'   => 'Wymagane umiejętności',
            'wymagania_umiejetnosci_waga'          => 'Poziom wymagania',
            'wymagania_uprawnienia'                => 'Wymagane uprawnienia',
            'aplikacja_jezyk'                      => 'Język, w którym wymagana jest aplikacja',
            'aplikacja_sposob'                     => 'Sposób złożenia aplikacji',
            'aplikacja_dokumenty'                  => 'Wymagane dokumenty',
            'identyfikator'                        => 'Identyfikator oferty w systemie Syriusz',
            'nr_stanowiska'                        => 'Nr stanowiska',
            'kwota_wynagrodzenia_od'               => 'Minimalna kwota wynagrodzenia',
            'kwota_wynagrodzenia_do'               => 'Maksymalna kwota wynagrodzenia',
            'system_wynagrodzenia'                 => 'System wynagrodzenia',
        ));
    }

}
