<?php

/**
 * OfertypracyKategorie form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class OfertypracyKategorieForm extends BaseOfertypracyKategorieForm {

    public function configure() {
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
        $this->setWidgets(array(
            'id' => new sfWidgetFormInputHidden(),
            'created_at' => new sfWidgetFormInputHidden(),
            'updated_at' => new sfWidgetFormInputHidden(),
            'nazwa' => new sfWidgetFormInput(array(), array('class' => 'required')),
            'ikona' => new sfWidgetFormInputHidden(),
        ));

        $this->setValidators(array(
            'id' => new sfValidatorPropelChoice(array('model' => 'OfertypracyKategorie', 'column' => 'id', 'required' => false)),
            'created_at' => new sfValidatorDateTime(array('required' => false)),
            'updated_at' => new sfValidatorDateTime(array('required' => false)),
            'nazwa' => new sfValidatorString(array('max_length' => 150)),
            'ikona' => new sfValidatorString(array('max_length' => 255)),
        ));

        $this->widgetSchema->setHelps(array(
            'nazwa' => 'Podaj nazwę kategorii'
        ));

        $this->widgetSchema->setNameFormat('ofertypracy_kategorie[%s]');

        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
    }

}
