<?php

/**
 * OfertypracyKategorie form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseOfertypracyKategorieForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'created_at' => new sfWidgetFormDateTime(),
      'updated_at' => new sfWidgetFormDateTime(),
      'nazwa'      => new sfWidgetFormInput(),
      'ikona'      => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorPropelChoice(array('model' => 'OfertypracyKategorie', 'column' => 'id', 'required' => false)),
      'created_at' => new sfValidatorDateTime(array('required' => false)),
      'updated_at' => new sfValidatorDateTime(array('required' => false)),
      'nazwa'      => new sfValidatorString(array('max_length' => 150)),
      'ikona'      => new sfValidatorString(array('max_length' => 255)),
    ));

    $this->widgetSchema->setNameFormat('ofertypracy_kategorie[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'OfertypracyKategorie';
  }


}
