<?php

/**
 * SyriuszStats form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseSyriuszStatsForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'     => new sfWidgetFormInputHidden(),
      'WGM'    => new sfWidgetFormInput(),
      'M_C'    => new sfWidgetFormInput(),
      'ROK'    => new sfWidgetFormInput(),
      'DZIAL'  => new sfWidgetFormInput(),
      'TABELA' => new sfWidgetFormInput(),
      'NRW'    => new sfWidgetFormInput(),
      'R1'     => new sfWidgetFormInput(),
      'R2'     => new sfWidgetFormInput(),
      'R3'     => new sfWidgetFormInput(),
      'R4'     => new sfWidgetFormInput(),
      'R5'     => new sfWidgetFormInput(),
      'R6'     => new sfWidgetFormInput(),
      'R7'     => new sfWidgetFormInput(),
      'R8'     => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'     => new sfValidatorPropelChoice(array('model' => 'SyriuszStats', 'column' => 'id', 'required' => false)),
      'WGM'    => new sfValidatorInteger(array('required' => false)),
      'M_C'    => new sfValidatorInteger(array('required' => false)),
      'ROK'    => new sfValidatorInteger(array('required' => false)),
      'DZIAL'  => new sfValidatorInteger(array('required' => false)),
      'TABELA' => new sfValidatorInteger(array('required' => false)),
      'NRW'    => new sfValidatorInteger(array('required' => false)),
      'R1'     => new sfValidatorInteger(array('required' => false)),
      'R2'     => new sfValidatorInteger(array('required' => false)),
      'R3'     => new sfValidatorInteger(array('required' => false)),
      'R4'     => new sfValidatorInteger(array('required' => false)),
      'R5'     => new sfValidatorInteger(array('required' => false)),
      'R6'     => new sfValidatorInteger(array('required' => false)),
      'R7'     => new sfValidatorInteger(array('required' => false)),
      'R8'     => new sfValidatorInteger(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('syriusz_stats[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'SyriuszStats';
  }


}
