<?php



class GieldypracyPubMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.GieldypracyPubMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(GieldypracyPubPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(GieldypracyPubPeer::TABLE_NAME);
		$tMap->setPhpName('GieldypracyPub');
		$tMap->setClassname('GieldypracyPub');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('TYTUL_GIELDY', 'TytulGieldy', 'VARCHAR', true, 255);

		$tMap->addColumn('DATA_GIELDY', 'DataGieldy', 'TIMESTAMP', true, null);

		$tMap->addColumn('MIEJSCE_GIELDY', 'MiejsceGieldy', 'VARCHAR', true, 255);

		$tMap->addColumn('STANOWISKO', 'Stanowisko', 'VARCHAR', false, 255);

		$tMap->addColumn('WYMAGANIA', 'Wymagania', 'LONGVARCHAR', false, null);

		$tMap->addColumn('OPIS', 'Opis', 'LONGVARCHAR', false, null);

		$tMap->addColumn('PUBLIKACJA_OD', 'PublikacjaOd', 'TIMESTAMP', false, null);

		$tMap->addColumn('PUBLIKACJA_DO', 'PublikacjaDo', 'TIMESTAMP', false, null);

		$tMap->addColumn('STATUS', 'Status', 'INTEGER', true, null);

		$tMap->addColumn('KOLEJNOSC', 'Kolejnosc', 'INTEGER', true, null);

		$tMap->addForeignKey('UZYTKOWNIK_ID', 'UzytkownikId', 'INTEGER', 'sf_guard_user', 'ID', false, 11);

	} 
} 