<?php



class Ma100203MapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.Ma100203MapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(Ma100203Peer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(Ma100203Peer::TABLE_NAME);
		$tMap->setPhpName('Ma100203');
		$tMap->setClassname('Ma100203');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('WGM', 'Wgm', 'INTEGER', false, 4);

		$tMap->addColumn('RJ', 'Rj', 'VARCHAR', false, 1);

		$tMap->addColumn('M_C', 'MC', 'INTEGER', false, 2);

		$tMap->addColumn('ROK', 'Rok', 'INTEGER', false, 4);

		$tMap->addColumn('D1W01R1', 'D1w01r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W01R2', 'D1w01r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W01R3', 'D1w01r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W01R4', 'D1w01r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W01R5', 'D1w01r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W01R6', 'D1w01r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W01R7', 'D1w01r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W01R8', 'D1w01r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W02R1', 'D1w02r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W02R2', 'D1w02r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W02R3', 'D1w02r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W02R4', 'D1w02r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W02R5', 'D1w02r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W02R6', 'D1w02r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W02R7', 'D1w02r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W02R8', 'D1w02r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W03R1', 'D1w03r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W03R2', 'D1w03r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W03R3', 'D1w03r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W03R4', 'D1w03r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W03R5', 'D1w03r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W03R6', 'D1w03r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W03R7', 'D1w03r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W03R8', 'D1w03r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W04R1', 'D1w04r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W04R2', 'D1w04r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W04R3', 'D1w04r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W04R4', 'D1w04r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W04R5', 'D1w04r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W04R6', 'D1w04r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W04R7', 'D1w04r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W04R8', 'D1w04r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W05R1', 'D1w05r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W05R2', 'D1w05r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W05R3', 'D1w05r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W05R4', 'D1w05r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W05R5', 'D1w05r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W05R6', 'D1w05r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W05R7', 'D1w05r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W05R8', 'D1w05r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W06R1', 'D1w06r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W06R2', 'D1w06r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W06R3', 'D1w06r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W06R4', 'D1w06r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W06R5', 'D1w06r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W06R6', 'D1w06r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W06R7', 'D1w06r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W06R8', 'D1w06r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W07R1', 'D1w07r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W07R2', 'D1w07r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W07R3', 'D1w07r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W07R4', 'D1w07r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W07R5', 'D1w07r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W07R6', 'D1w07r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W07R7', 'D1w07r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W07R8', 'D1w07r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W08R1', 'D1w08r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W08R2', 'D1w08r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W08R3', 'D1w08r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W08R4', 'D1w08r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W08R5', 'D1w08r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W08R6', 'D1w08r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W08R7', 'D1w08r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W08R8', 'D1w08r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W09R1', 'D1w09r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W09R2', 'D1w09r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W09R3', 'D1w09r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W09R4', 'D1w09r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W09R5', 'D1w09r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W09R6', 'D1w09r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W09R7', 'D1w09r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W09R8', 'D1w09r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W10R1', 'D1w10r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W10R2', 'D1w10r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W10R3', 'D1w10r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W10R4', 'D1w10r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W10R5', 'D1w10r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W10R6', 'D1w10r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W10R7', 'D1w10r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W10R8', 'D1w10r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W11R1', 'D1w11r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W11R2', 'D1w11r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W11R3', 'D1w11r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W11R4', 'D1w11r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W11R5', 'D1w11r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W11R6', 'D1w11r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W11R7', 'D1w11r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W11R8', 'D1w11r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W12R2', 'D1w12r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W12R4', 'D1w12r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W12R6', 'D1w12r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W12R8', 'D1w12r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W13R1', 'D1w13r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W13R2', 'D1w13r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W13R3', 'D1w13r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W13R4', 'D1w13r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W13R5', 'D1w13r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W13R6', 'D1w13r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W13R7', 'D1w13r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W13R8', 'D1w13r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W14R1', 'D1w14r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W14R2', 'D1w14r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W14R3', 'D1w14r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W14R4', 'D1w14r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W14R5', 'D1w14r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W14R6', 'D1w14r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W14R7', 'D1w14r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W14R8', 'D1w14r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W15R1', 'D1w15r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W15R2', 'D1w15r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W15R3', 'D1w15r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W15R4', 'D1w15r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W15R5', 'D1w15r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W15R6', 'D1w15r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W15R7', 'D1w15r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W15R8', 'D1w15r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W16R1', 'D1w16r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W16R2', 'D1w16r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W16R3', 'D1w16r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W16R4', 'D1w16r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W16R5', 'D1w16r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W16R6', 'D1w16r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W16R7', 'D1w16r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W16R8', 'D1w16r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W17R1', 'D1w17r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W17R2', 'D1w17r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W17R3', 'D1w17r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W17R4', 'D1w17r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W17R5', 'D1w17r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W17R6', 'D1w17r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W17R7', 'D1w17r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W17R8', 'D1w17r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W18R1', 'D1w18r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W18R2', 'D1w18r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W18R3', 'D1w18r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W18R4', 'D1w18r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W18R5', 'D1w18r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W18R6', 'D1w18r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W18R7', 'D1w18r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W18R8', 'D1w18r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W19R1', 'D1w19r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W19R2', 'D1w19r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W19R3', 'D1w19r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W19R4', 'D1w19r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W19R5', 'D1w19r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W19R6', 'D1w19r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W19R7', 'D1w19r7', 'INTEGER', false, 11);

		$tMap->addColumn('D1W19R8', 'D1w19r8', 'INTEGER', false, 11);

		$tMap->addColumn('D1W20R1', 'D1w20r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W20R2', 'D1w20r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W20R3', 'D1w20r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W20R4', 'D1w20r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W20R5', 'D1w20r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W20R6', 'D1w20r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W21R1', 'D1w21r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W21R2', 'D1w21r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W21R3', 'D1w21r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W21R4', 'D1w21r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W21R5', 'D1w21r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W21R6', 'D1w21r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W22R1', 'D1w22r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W22R2', 'D1w22r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W22R3', 'D1w22r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W22R4', 'D1w22r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W22R5', 'D1w22r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W22R6', 'D1w22r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W23R1', 'D1w23r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W23R2', 'D1w23r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W23R3', 'D1w23r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W23R4', 'D1w23r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W23R5', 'D1w23r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W23R6', 'D1w23r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W24R1', 'D1w24r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W24R2', 'D1w24r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W24R3', 'D1w24r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W24R4', 'D1w24r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W24R5', 'D1w24r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W24R6', 'D1w24r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W25R1', 'D1w25r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W25R2', 'D1w25r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W25R3', 'D1w25r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W25R4', 'D1w25r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W25R5', 'D1w25r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W25R6', 'D1w25r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W26R1', 'D1w26r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W26R2', 'D1w26r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W26R3', 'D1w26r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W26R4', 'D1w26r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W26R5', 'D1w26r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W26R6', 'D1w26r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W27R1', 'D1w27r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W27R2', 'D1w27r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W27R3', 'D1w27r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W27R4', 'D1w27r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W27R5', 'D1w27r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W27R6', 'D1w27r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W28R1', 'D1w28r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W28R2', 'D1w28r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W28R3', 'D1w28r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W28R4', 'D1w28r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W28R5', 'D1w28r5', 'INTEGER', false, 11);

		$tMap->addColumn('D1W28R6', 'D1w28r6', 'INTEGER', false, 11);

		$tMap->addColumn('D1W29R1', 'D1w29r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W29R2', 'D1w29r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W29R3', 'D1w29r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W29R4', 'D1w29r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W30R1', 'D1w30r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W30R2', 'D1w30r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W30R3', 'D1w30r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W30R4', 'D1w30r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W31R1', 'D1w31r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W31R2', 'D1w31r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W31R3', 'D1w31r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W31R4', 'D1w31r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W32R1', 'D1w32r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W32R2', 'D1w32r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W32R3', 'D1w32r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W32R4', 'D1w32r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W33R1', 'D1w33r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W33R2', 'D1w33r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W33R3', 'D1w33r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W33R4', 'D1w33r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W34R1', 'D1w34r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W34R2', 'D1w34r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W34R3', 'D1w34r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W34R4', 'D1w34r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W35R1', 'D1w35r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W35R2', 'D1w35r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W35R3', 'D1w35r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W35R4', 'D1w35r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W36R1', 'D1w36r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W36R2', 'D1w36r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W36R3', 'D1w36r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W36R4', 'D1w36r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W37R1', 'D1w37r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W37R2', 'D1w37r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W37R3', 'D1w37r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W37R4', 'D1w37r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W38R1', 'D1w38r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W38R2', 'D1w38r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W38R3', 'D1w38r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W38R4', 'D1w38r4', 'INTEGER', false, 11);

		$tMap->addColumn('D1W39R1', 'D1w39r1', 'INTEGER', false, 11);

		$tMap->addColumn('D1W39R2', 'D1w39r2', 'INTEGER', false, 11);

		$tMap->addColumn('D1W39R3', 'D1w39r3', 'INTEGER', false, 11);

		$tMap->addColumn('D1W39R4', 'D1w39r4', 'INTEGER', false, 11);

	} 
} 