<?php



class OfertypracyBranzaMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.OfertypracyBranzaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(OfertypracyBranzaPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(OfertypracyBranzaPeer::TABLE_NAME);
		$tMap->setPhpName('OfertypracyBranza');
		$tMap->setClassname('OfertypracyBranza');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 150);

	} 
} 