<?php



class OfertypracyKategorieMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.OfertypracyKategorieMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(OfertypracyKategoriePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(OfertypracyKategoriePeer::TABLE_NAME);
		$tMap->setPhpName('OfertypracyKategorie');
		$tMap->setClassname('OfertypracyKategorie');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 150);

		$tMap->addColumn('IKONA', 'Ikona', 'VARCHAR', true, 255);

	} 
} 