<?php


abstract class BaseGieldypracyPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'gieldypracy';

	
	const CLASS_DEFAULT = 'lib.model.Gieldypracy';

	
	const NUM_COLUMNS = 12;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'gieldypracy.ID';

	
	const TYTUL_GIELDY = 'gieldypracy.TYTUL_GIELDY';

	
	const DATA_GIELDY = 'gieldypracy.DATA_GIELDY';

	
	const MIEJSCE_GIELDY = 'gieldypracy.MIEJSCE_GIELDY';

	
	const STANOWISKO = 'gieldypracy.STANOWISKO';

	
	const WYMAGANIA = 'gieldypracy.WYMAGANIA';

	
	const OPIS = 'gieldypracy.OPIS';

	
	const PUBLIKACJA_OD = 'gieldypracy.PUBLIKACJA_OD';

	
	const PUBLIKACJA_DO = 'gieldypracy.PUBLIKACJA_DO';

	
	const STATUS = 'gieldypracy.STATUS';

	
	const KOLEJNOSC = 'gieldypracy.KOLEJNOSC';

	
	const UZYTKOWNIK_ID = 'gieldypracy.UZYTKOWNIK_ID';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'TytulGieldy', 'DataGieldy', 'MiejsceGieldy', 'Stanowisko', 'Wymagania', 'Opis', 'PublikacjaOd', 'PublikacjaDo', 'Status', 'Kolejnosc', 'UzytkownikId', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'tytulGieldy', 'dataGieldy', 'miejsceGieldy', 'stanowisko', 'wymagania', 'opis', 'publikacjaOd', 'publikacjaDo', 'status', 'kolejnosc', 'uzytkownikId', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::TYTUL_GIELDY, self::DATA_GIELDY, self::MIEJSCE_GIELDY, self::STANOWISKO, self::WYMAGANIA, self::OPIS, self::PUBLIKACJA_OD, self::PUBLIKACJA_DO, self::STATUS, self::KOLEJNOSC, self::UZYTKOWNIK_ID, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'tytul_gieldy', 'data_gieldy', 'miejsce_gieldy', 'stanowisko', 'wymagania', 'opis', 'publikacja_od', 'publikacja_do', 'status', 'kolejnosc', 'uzytkownik_id', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'TytulGieldy' => 1, 'DataGieldy' => 2, 'MiejsceGieldy' => 3, 'Stanowisko' => 4, 'Wymagania' => 5, 'Opis' => 6, 'PublikacjaOd' => 7, 'PublikacjaDo' => 8, 'Status' => 9, 'Kolejnosc' => 10, 'UzytkownikId' => 11, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'tytulGieldy' => 1, 'dataGieldy' => 2, 'miejsceGieldy' => 3, 'stanowisko' => 4, 'wymagania' => 5, 'opis' => 6, 'publikacjaOd' => 7, 'publikacjaDo' => 8, 'status' => 9, 'kolejnosc' => 10, 'uzytkownikId' => 11, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::TYTUL_GIELDY => 1, self::DATA_GIELDY => 2, self::MIEJSCE_GIELDY => 3, self::STANOWISKO => 4, self::WYMAGANIA => 5, self::OPIS => 6, self::PUBLIKACJA_OD => 7, self::PUBLIKACJA_DO => 8, self::STATUS => 9, self::KOLEJNOSC => 10, self::UZYTKOWNIK_ID => 11, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'tytul_gieldy' => 1, 'data_gieldy' => 2, 'miejsce_gieldy' => 3, 'stanowisko' => 4, 'wymagania' => 5, 'opis' => 6, 'publikacja_od' => 7, 'publikacja_do' => 8, 'status' => 9, 'kolejnosc' => 10, 'uzytkownik_id' => 11, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new GieldypracyMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(GieldypracyPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(GieldypracyPeer::ID);

		$criteria->addSelectColumn(GieldypracyPeer::TYTUL_GIELDY);

		$criteria->addSelectColumn(GieldypracyPeer::DATA_GIELDY);

		$criteria->addSelectColumn(GieldypracyPeer::MIEJSCE_GIELDY);

		$criteria->addSelectColumn(GieldypracyPeer::STANOWISKO);

		$criteria->addSelectColumn(GieldypracyPeer::WYMAGANIA);

		$criteria->addSelectColumn(GieldypracyPeer::OPIS);

		$criteria->addSelectColumn(GieldypracyPeer::PUBLIKACJA_OD);

		$criteria->addSelectColumn(GieldypracyPeer::PUBLIKACJA_DO);

		$criteria->addSelectColumn(GieldypracyPeer::STATUS);

		$criteria->addSelectColumn(GieldypracyPeer::KOLEJNOSC);

		$criteria->addSelectColumn(GieldypracyPeer::UZYTKOWNIK_ID);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GieldypracyPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GieldypracyPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = GieldypracyPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return GieldypracyPeer::populateObjects(GieldypracyPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			GieldypracyPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(Gieldypracy $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof Gieldypracy) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or Gieldypracy object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = GieldypracyPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = GieldypracyPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = GieldypracyPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				GieldypracyPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinsfGuardUser(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GieldypracyPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GieldypracyPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GieldypracyPeer::UZYTKOWNIK_ID,), array(sfGuardUserPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinsfGuardUser(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GieldypracyPeer::addSelectColumns($c);
		$startcol = (GieldypracyPeer::NUM_COLUMNS - GieldypracyPeer::NUM_LAZY_LOAD_COLUMNS);
		sfGuardUserPeer::addSelectColumns($c);

		$c->addJoin(array(GieldypracyPeer::UZYTKOWNIK_ID,), array(sfGuardUserPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GieldypracyPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GieldypracyPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = GieldypracyPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GieldypracyPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = sfGuardUserPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = sfGuardUserPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = sfGuardUserPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					sfGuardUserPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGieldypracy($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(GieldypracyPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			GieldypracyPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(GieldypracyPeer::UZYTKOWNIK_ID,), array(sfGuardUserPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		GieldypracyPeer::addSelectColumns($c);
		$startcol2 = (GieldypracyPeer::NUM_COLUMNS - GieldypracyPeer::NUM_LAZY_LOAD_COLUMNS);

		sfGuardUserPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (sfGuardUserPeer::NUM_COLUMNS - sfGuardUserPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(GieldypracyPeer::UZYTKOWNIK_ID,), array(sfGuardUserPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = GieldypracyPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = GieldypracyPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = GieldypracyPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				GieldypracyPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = sfGuardUserPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = sfGuardUserPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = sfGuardUserPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					sfGuardUserPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addGieldypracy($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return GieldypracyPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(GieldypracyPeer::ID) && $criteria->keyContainsValue(GieldypracyPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.GieldypracyPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(GieldypracyPeer::ID);
			$selectCriteria->add(GieldypracyPeer::ID, $criteria->remove(GieldypracyPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(GieldypracyPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												GieldypracyPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof Gieldypracy) {
						GieldypracyPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(GieldypracyPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								GieldypracyPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(Gieldypracy $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(GieldypracyPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(GieldypracyPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(GieldypracyPeer::DATABASE_NAME, GieldypracyPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = GieldypracyPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = GieldypracyPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(GieldypracyPeer::DATABASE_NAME);
		$criteria->add(GieldypracyPeer::ID, $pk);

		$v = GieldypracyPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(GieldypracyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(GieldypracyPeer::DATABASE_NAME);
			$criteria->add(GieldypracyPeer::ID, $pks, Criteria::IN);
			$objs = GieldypracyPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseGieldypracyPeer::DATABASE_NAME)->addTableBuilder(BaseGieldypracyPeer::TABLE_NAME, BaseGieldypracyPeer::getMapBuilder());

