<?php


abstract class BaseOfertypracyKategorie extends BaseObject  implements Persistent {


  const PEER = 'OfertypracyKategoriePeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $created_at;

	
	protected $updated_at;

	
	protected $nazwa;

	
	protected $ikona;

	
	protected $collOfertypracys;

	
	private $lastOfertypracyCriteria = null;

	
	protected $collOfertypracyPubs;

	
	private $lastOfertypracyPubCriteria = null;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
		$this->ikona = 'default.png';
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getCreatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->created_at === null) {
			return null;
		}


		if ($this->created_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->created_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->created_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getUpdatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->updated_at === null) {
			return null;
		}


		if ($this->updated_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->updated_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->updated_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getNazwa()
	{
		return $this->nazwa;
	}

	
	public function getIkona()
	{
		return $this->ikona;
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = OfertypracyKategoriePeer::ID;
		}

		return $this;
	} 
	
	public function setCreatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->created_at !== null || $dt !== null ) {
			
			$currNorm = ($this->created_at !== null && $tmpDt = new DateTime($this->created_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->created_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = OfertypracyKategoriePeer::CREATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setUpdatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->updated_at !== null || $dt !== null ) {
			
			$currNorm = ($this->updated_at !== null && $tmpDt = new DateTime($this->updated_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->updated_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = OfertypracyKategoriePeer::UPDATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setNazwa($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->nazwa !== $v) {
			$this->nazwa = $v;
			$this->modifiedColumns[] = OfertypracyKategoriePeer::NAZWA;
		}

		return $this;
	} 
	
	public function setIkona($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->ikona !== $v || $v === 'default.png') {
			$this->ikona = $v;
			$this->modifiedColumns[] = OfertypracyKategoriePeer::IKONA;
		}

		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array(OfertypracyKategoriePeer::IKONA))) {
				return false;
			}

			if ($this->ikona !== 'default.png') {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->created_at = ($row[$startcol + 1] !== null) ? (string) $row[$startcol + 1] : null;
			$this->updated_at = ($row[$startcol + 2] !== null) ? (string) $row[$startcol + 2] : null;
			$this->nazwa = ($row[$startcol + 3] !== null) ? (string) $row[$startcol + 3] : null;
			$this->ikona = ($row[$startcol + 4] !== null) ? (string) $row[$startcol + 4] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 5; 
		} catch (Exception $e) {
			throw new PropelException("Error populating OfertypracyKategorie object", $e);
		}
	}

	
	public function ensureConsistency()
	{

	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(OfertypracyKategoriePeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = OfertypracyKategoriePeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
			$this->collOfertypracys = null;
			$this->lastOfertypracyCriteria = null;

			$this->collOfertypracyPubs = null;
			$this->lastOfertypracyPubCriteria = null;

		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(OfertypracyKategoriePeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			OfertypracyKategoriePeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
    if ($this->isNew() && !$this->isColumnModified(OfertypracyKategoriePeer::CREATED_AT))
    {
      $this->setCreatedAt(time());
    }

    if ($this->isModified() && !$this->isColumnModified(OfertypracyKategoriePeer::UPDATED_AT))
    {
      $this->setUpdatedAt(time());
    }

		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(OfertypracyKategoriePeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			OfertypracyKategoriePeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

			if ($this->isNew() ) {
				$this->modifiedColumns[] = OfertypracyKategoriePeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = OfertypracyKategoriePeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += OfertypracyKategoriePeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			if ($this->collOfertypracys !== null) {
				foreach ($this->collOfertypracys as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			if ($this->collOfertypracyPubs !== null) {
				foreach ($this->collOfertypracyPubs as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


			if (($retval = OfertypracyKategoriePeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}


				if ($this->collOfertypracys !== null) {
					foreach ($this->collOfertypracys as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}

				if ($this->collOfertypracyPubs !== null) {
					foreach ($this->collOfertypracyPubs as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}


			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = OfertypracyKategoriePeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getCreatedAt();
				break;
			case 2:
				return $this->getUpdatedAt();
				break;
			case 3:
				return $this->getNazwa();
				break;
			case 4:
				return $this->getIkona();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = OfertypracyKategoriePeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getCreatedAt(),
			$keys[2] => $this->getUpdatedAt(),
			$keys[3] => $this->getNazwa(),
			$keys[4] => $this->getIkona(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = OfertypracyKategoriePeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setCreatedAt($value);
				break;
			case 2:
				$this->setUpdatedAt($value);
				break;
			case 3:
				$this->setNazwa($value);
				break;
			case 4:
				$this->setIkona($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = OfertypracyKategoriePeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setCreatedAt($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setUpdatedAt($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setNazwa($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setIkona($arr[$keys[4]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);

		if ($this->isColumnModified(OfertypracyKategoriePeer::ID)) $criteria->add(OfertypracyKategoriePeer::ID, $this->id);
		if ($this->isColumnModified(OfertypracyKategoriePeer::CREATED_AT)) $criteria->add(OfertypracyKategoriePeer::CREATED_AT, $this->created_at);
		if ($this->isColumnModified(OfertypracyKategoriePeer::UPDATED_AT)) $criteria->add(OfertypracyKategoriePeer::UPDATED_AT, $this->updated_at);
		if ($this->isColumnModified(OfertypracyKategoriePeer::NAZWA)) $criteria->add(OfertypracyKategoriePeer::NAZWA, $this->nazwa);
		if ($this->isColumnModified(OfertypracyKategoriePeer::IKONA)) $criteria->add(OfertypracyKategoriePeer::IKONA, $this->ikona);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);

		$criteria->add(OfertypracyKategoriePeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setCreatedAt($this->created_at);

		$copyObj->setUpdatedAt($this->updated_at);

		$copyObj->setNazwa($this->nazwa);

		$copyObj->setIkona($this->ikona);


		if ($deepCopy) {
									$copyObj->setNew(false);

			foreach ($this->getOfertypracys() as $relObj) {
				if ($relObj !== $this) {  					$copyObj->addOfertypracy($relObj->copy($deepCopy));
				}
			}

			foreach ($this->getOfertypracyPubs() as $relObj) {
				if ($relObj !== $this) {  					$copyObj->addOfertypracyPub($relObj->copy($deepCopy));
				}
			}

		} 

		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new OfertypracyKategoriePeer();
		}
		return self::$peer;
	}

	
	public function clearOfertypracys()
	{
		$this->collOfertypracys = null; 	}

	
	public function initOfertypracys()
	{
		$this->collOfertypracys = array();
	}

	
	public function getOfertypracys($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collOfertypracys === null) {
			if ($this->isNew()) {
			   $this->collOfertypracys = array();
			} else {

				$criteria->add(OfertypracyPeer::OFERTA_KATEGORIA, $this->id);

				OfertypracyPeer::addSelectColumns($criteria);
				$this->collOfertypracys = OfertypracyPeer::doSelect($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(OfertypracyPeer::OFERTA_KATEGORIA, $this->id);

				OfertypracyPeer::addSelectColumns($criteria);
				if (!isset($this->lastOfertypracyCriteria) || !$this->lastOfertypracyCriteria->equals($criteria)) {
					$this->collOfertypracys = OfertypracyPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastOfertypracyCriteria = $criteria;
		return $this->collOfertypracys;
	}

	
	public function countOfertypracys(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collOfertypracys === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(OfertypracyPeer::OFERTA_KATEGORIA, $this->id);

				$count = OfertypracyPeer::doCount($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(OfertypracyPeer::OFERTA_KATEGORIA, $this->id);

				if (!isset($this->lastOfertypracyCriteria) || !$this->lastOfertypracyCriteria->equals($criteria)) {
					$count = OfertypracyPeer::doCount($criteria, $con);
				} else {
					$count = count($this->collOfertypracys);
				}
			} else {
				$count = count($this->collOfertypracys);
			}
		}
		return $count;
	}

	
	public function addOfertypracy(Ofertypracy $l)
	{
		if ($this->collOfertypracys === null) {
			$this->initOfertypracys();
		}
		if (!in_array($l, $this->collOfertypracys, true)) { 			array_push($this->collOfertypracys, $l);
			$l->setOfertypracyKategorie($this);
		}
	}


	
	public function getOfertypracysJoinOfertypracyBranza($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collOfertypracys === null) {
			if ($this->isNew()) {
				$this->collOfertypracys = array();
			} else {

				$criteria->add(OfertypracyPeer::OFERTA_KATEGORIA, $this->id);

				$this->collOfertypracys = OfertypracyPeer::doSelectJoinOfertypracyBranza($criteria, $con, $join_behavior);
			}
		} else {
									
			$criteria->add(OfertypracyPeer::OFERTA_KATEGORIA, $this->id);

			if (!isset($this->lastOfertypracyCriteria) || !$this->lastOfertypracyCriteria->equals($criteria)) {
				$this->collOfertypracys = OfertypracyPeer::doSelectJoinOfertypracyBranza($criteria, $con, $join_behavior);
			}
		}
		$this->lastOfertypracyCriteria = $criteria;

		return $this->collOfertypracys;
	}


	
	public function getOfertypracysJoinsfGuardUser($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collOfertypracys === null) {
			if ($this->isNew()) {
				$this->collOfertypracys = array();
			} else {

				$criteria->add(OfertypracyPeer::OFERTA_KATEGORIA, $this->id);

				$this->collOfertypracys = OfertypracyPeer::doSelectJoinsfGuardUser($criteria, $con, $join_behavior);
			}
		} else {
									
			$criteria->add(OfertypracyPeer::OFERTA_KATEGORIA, $this->id);

			if (!isset($this->lastOfertypracyCriteria) || !$this->lastOfertypracyCriteria->equals($criteria)) {
				$this->collOfertypracys = OfertypracyPeer::doSelectJoinsfGuardUser($criteria, $con, $join_behavior);
			}
		}
		$this->lastOfertypracyCriteria = $criteria;

		return $this->collOfertypracys;
	}

	
	public function clearOfertypracyPubs()
	{
		$this->collOfertypracyPubs = null; 	}

	
	public function initOfertypracyPubs()
	{
		$this->collOfertypracyPubs = array();
	}

	
	public function getOfertypracyPubs($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collOfertypracyPubs === null) {
			if ($this->isNew()) {
			   $this->collOfertypracyPubs = array();
			} else {

				$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

				OfertypracyPubPeer::addSelectColumns($criteria);
				$this->collOfertypracyPubs = OfertypracyPubPeer::doSelect($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

				OfertypracyPubPeer::addSelectColumns($criteria);
				if (!isset($this->lastOfertypracyPubCriteria) || !$this->lastOfertypracyPubCriteria->equals($criteria)) {
					$this->collOfertypracyPubs = OfertypracyPubPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastOfertypracyPubCriteria = $criteria;
		return $this->collOfertypracyPubs;
	}

	
	public function countOfertypracyPubs(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collOfertypracyPubs === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

				$count = OfertypracyPubPeer::doCount($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

				if (!isset($this->lastOfertypracyPubCriteria) || !$this->lastOfertypracyPubCriteria->equals($criteria)) {
					$count = OfertypracyPubPeer::doCount($criteria, $con);
				} else {
					$count = count($this->collOfertypracyPubs);
				}
			} else {
				$count = count($this->collOfertypracyPubs);
			}
		}
		return $count;
	}

	
	public function addOfertypracyPub(OfertypracyPub $l)
	{
		if ($this->collOfertypracyPubs === null) {
			$this->initOfertypracyPubs();
		}
		if (!in_array($l, $this->collOfertypracyPubs, true)) { 			array_push($this->collOfertypracyPubs, $l);
			$l->setOfertypracyKategorie($this);
		}
	}


	
	public function getOfertypracyPubsJoinOfertypracy($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collOfertypracyPubs === null) {
			if ($this->isNew()) {
				$this->collOfertypracyPubs = array();
			} else {

				$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

				$this->collOfertypracyPubs = OfertypracyPubPeer::doSelectJoinOfertypracy($criteria, $con, $join_behavior);
			}
		} else {
									
			$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

			if (!isset($this->lastOfertypracyPubCriteria) || !$this->lastOfertypracyPubCriteria->equals($criteria)) {
				$this->collOfertypracyPubs = OfertypracyPubPeer::doSelectJoinOfertypracy($criteria, $con, $join_behavior);
			}
		}
		$this->lastOfertypracyPubCriteria = $criteria;

		return $this->collOfertypracyPubs;
	}


	
	public function getOfertypracyPubsJoinOfertypracyBranza($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collOfertypracyPubs === null) {
			if ($this->isNew()) {
				$this->collOfertypracyPubs = array();
			} else {

				$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

				$this->collOfertypracyPubs = OfertypracyPubPeer::doSelectJoinOfertypracyBranza($criteria, $con, $join_behavior);
			}
		} else {
									
			$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

			if (!isset($this->lastOfertypracyPubCriteria) || !$this->lastOfertypracyPubCriteria->equals($criteria)) {
				$this->collOfertypracyPubs = OfertypracyPubPeer::doSelectJoinOfertypracyBranza($criteria, $con, $join_behavior);
			}
		}
		$this->lastOfertypracyPubCriteria = $criteria;

		return $this->collOfertypracyPubs;
	}


	
	public function getOfertypracyPubsJoinsfGuardUser($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(OfertypracyKategoriePeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collOfertypracyPubs === null) {
			if ($this->isNew()) {
				$this->collOfertypracyPubs = array();
			} else {

				$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

				$this->collOfertypracyPubs = OfertypracyPubPeer::doSelectJoinsfGuardUser($criteria, $con, $join_behavior);
			}
		} else {
									
			$criteria->add(OfertypracyPubPeer::OFERTA_KATEGORIA, $this->id);

			if (!isset($this->lastOfertypracyPubCriteria) || !$this->lastOfertypracyPubCriteria->equals($criteria)) {
				$this->collOfertypracyPubs = OfertypracyPubPeer::doSelectJoinsfGuardUser($criteria, $con, $join_behavior);
			}
		}
		$this->lastOfertypracyPubCriteria = $criteria;

		return $this->collOfertypracyPubs;
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
			if ($this->collOfertypracys) {
				foreach ((array) $this->collOfertypracys as $o) {
					$o->clearAllReferences($deep);
				}
			}
			if ($this->collOfertypracyPubs) {
				foreach ((array) $this->collOfertypracyPubs as $o) {
					$o->clearAllReferences($deep);
				}
			}
		} 
		$this->collOfertypracys = null;
		$this->collOfertypracyPubs = null;
	}

} 