<?php


abstract class BaseSyriuszStatsPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'syriuszstats';

	
	const CLASS_DEFAULT = 'lib.model.SyriuszStats';

	
	const NUM_COLUMNS = 15;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'syriuszstats.ID';

	
	const WGM = 'syriuszstats.WGM';

	
	const M_C = 'syriuszstats.M_C';

	
	const ROK = 'syriuszstats.ROK';

	
	const DZIAL = 'syriuszstats.DZIAL';

	
	const TABELA = 'syriuszstats.TABELA';

	
	const NRW = 'syriuszstats.NRW';

	
	const R1 = 'syriuszstats.R1';

	
	const R2 = 'syriuszstats.R2';

	
	const R3 = 'syriuszstats.R3';

	
	const R4 = 'syriuszstats.R4';

	
	const R5 = 'syriuszstats.R5';

	
	const R6 = 'syriuszstats.R6';

	
	const R7 = 'syriuszstats.R7';

	
	const R8 = 'syriuszstats.R8';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Wgm', 'MC', 'Rok', 'Dzial', 'Tabela', 'Nrw', 'R1', 'R2', 'R3', 'R4', 'R5', 'R6', 'R7', 'R8', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'wgm', 'mC', 'rok', 'dzial', 'tabela', 'nrw', 'r1', 'r2', 'r3', 'r4', 'r5', 'r6', 'r7', 'r8', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::WGM, self::M_C, self::ROK, self::DZIAL, self::TABELA, self::NRW, self::R1, self::R2, self::R3, self::R4, self::R5, self::R6, self::R7, self::R8, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'WGM', 'M_C', 'ROK', 'DZIAL', 'TABELA', 'NRW', 'R1', 'R2', 'R3', 'R4', 'R5', 'R6', 'R7', 'R8', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Wgm' => 1, 'MC' => 2, 'Rok' => 3, 'Dzial' => 4, 'Tabela' => 5, 'Nrw' => 6, 'R1' => 7, 'R2' => 8, 'R3' => 9, 'R4' => 10, 'R5' => 11, 'R6' => 12, 'R7' => 13, 'R8' => 14, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'wgm' => 1, 'mC' => 2, 'rok' => 3, 'dzial' => 4, 'tabela' => 5, 'nrw' => 6, 'r1' => 7, 'r2' => 8, 'r3' => 9, 'r4' => 10, 'r5' => 11, 'r6' => 12, 'r7' => 13, 'r8' => 14, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::WGM => 1, self::M_C => 2, self::ROK => 3, self::DZIAL => 4, self::TABELA => 5, self::NRW => 6, self::R1 => 7, self::R2 => 8, self::R3 => 9, self::R4 => 10, self::R5 => 11, self::R6 => 12, self::R7 => 13, self::R8 => 14, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'WGM' => 1, 'M_C' => 2, 'ROK' => 3, 'DZIAL' => 4, 'TABELA' => 5, 'NRW' => 6, 'R1' => 7, 'R2' => 8, 'R3' => 9, 'R4' => 10, 'R5' => 11, 'R6' => 12, 'R7' => 13, 'R8' => 14, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new SyriuszStatsMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(SyriuszStatsPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(SyriuszStatsPeer::ID);

		$criteria->addSelectColumn(SyriuszStatsPeer::WGM);

		$criteria->addSelectColumn(SyriuszStatsPeer::M_C);

		$criteria->addSelectColumn(SyriuszStatsPeer::ROK);

		$criteria->addSelectColumn(SyriuszStatsPeer::DZIAL);

		$criteria->addSelectColumn(SyriuszStatsPeer::TABELA);

		$criteria->addSelectColumn(SyriuszStatsPeer::NRW);

		$criteria->addSelectColumn(SyriuszStatsPeer::R1);

		$criteria->addSelectColumn(SyriuszStatsPeer::R2);

		$criteria->addSelectColumn(SyriuszStatsPeer::R3);

		$criteria->addSelectColumn(SyriuszStatsPeer::R4);

		$criteria->addSelectColumn(SyriuszStatsPeer::R5);

		$criteria->addSelectColumn(SyriuszStatsPeer::R6);

		$criteria->addSelectColumn(SyriuszStatsPeer::R7);

		$criteria->addSelectColumn(SyriuszStatsPeer::R8);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(SyriuszStatsPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			SyriuszStatsPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(SyriuszStatsPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = SyriuszStatsPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return SyriuszStatsPeer::populateObjects(SyriuszStatsPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SyriuszStatsPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			SyriuszStatsPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(SyriuszStats $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof SyriuszStats) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or SyriuszStats object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = SyriuszStatsPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = SyriuszStatsPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = SyriuszStatsPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				SyriuszStatsPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return SyriuszStatsPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SyriuszStatsPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(SyriuszStatsPeer::ID) && $criteria->keyContainsValue(SyriuszStatsPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.SyriuszStatsPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SyriuszStatsPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(SyriuszStatsPeer::ID);
			$selectCriteria->add(SyriuszStatsPeer::ID, $criteria->remove(SyriuszStatsPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SyriuszStatsPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(SyriuszStatsPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(SyriuszStatsPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												SyriuszStatsPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof SyriuszStats) {
						SyriuszStatsPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(SyriuszStatsPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								SyriuszStatsPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(SyriuszStats $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(SyriuszStatsPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(SyriuszStatsPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(SyriuszStatsPeer::DATABASE_NAME, SyriuszStatsPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = SyriuszStatsPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = SyriuszStatsPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(SyriuszStatsPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(SyriuszStatsPeer::DATABASE_NAME);
		$criteria->add(SyriuszStatsPeer::ID, $pk);

		$v = SyriuszStatsPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SyriuszStatsPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(SyriuszStatsPeer::DATABASE_NAME);
			$criteria->add(SyriuszStatsPeer::ID, $pks, Criteria::IN);
			$objs = SyriuszStatsPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseSyriuszStatsPeer::DATABASE_NAME)->addTableBuilder(BaseSyriuszStatsPeer::TABLE_NAME, BaseSyriuszStatsPeer::getMapBuilder());

